<?php

use App\Models\User;
use Illuminate\Support\Facades\Auth;

if(!function_exists('user_get_meta')){
    function user_get_meta($name, $id){
        $user = User::find($id);
        $meta = $user->meta;

        if ($meta) {
            $meta = $meta->where(['name' => $name, 'user_id' => $id])->first();
            return $meta ? $meta->value : null;
        }

        return null;
    }
}

if(!function_exists('user_set_meta')){
    function user_set_meta($name, $value, $id){
        $user = User::find($id);
        $meta = $user->meta()->where(['name' => $name, 'user_id' => $id])->first();

        if ($meta) {
            $meta->value = $value;
            $meta->save();
        } else {
            $user->meta()->create([
                'name'      => $name,
                'value'     => $value,
                'user_id'   => Auth::id()
            ]);
        }
    }
}
