<?php

namespace App\Http\Controllers;

use App\Http\Requests\StoreThreadRequest;
use App\Http\Requests\UpdateThreadRequest;
use App\Models\Category;
use App\Models\Thread;
use Illuminate\Support\Facades\Auth;

class ThreadController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        $categories = Category::all();
        return view('thread.new', compact('categories'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(StoreThreadRequest $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show($slug){
        $thread = Thread::where('slug', $slug)->firstOrFail();
        // $comments->withPath('/' . $slug);
        return view('thread.index', compact('thread'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit($id){
        $thread = Thread::findOrFail($id);
        return view('thread.edit', compact('thread'));

    }

    /**
     * Update the specified resource in storage.
     */
    public function update(UpdateThreadRequest $request, Thread $thread){
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy($id){
        $thread = Thread::findOrFail($id);
        if(
            $thread->user->id == Auth::user()->id ||
            Auth::user()->type == "admin"
        ){
            $thread->delete();
            return redirect(route('home'));
        }else{
            abort(404);
        }
    }

    public function status($id, $status){
        $thread = Thread::findOrFail($id);

        if($thread->user->id == Auth::user()->id){
            $thread->status = $status;
            $thread->save();
            return redirect(route('thread', $thread->slug));
        }else{
            abort(404);
        }
    }
}
