<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Cookie;
use Symfony\Component\HttpFoundation\Response;

class OnlineStatusMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {

        // if(auth()->check()){

        //     $minutes = 1;

        //     Cookie::queue('online_status', 1, $minutes);

        //     // auth()->user()->update(['online' => 1]);

        //     $user = auth()->user();
        //     $user->online = 1;
        //     $user->save();
        // }

        if (Auth::check()) {
            $expiresAt = now()->addMinutes(5);
            Cache::put('user-status' . Auth::user()->id, true, $expiresAt);
        }

        return $next($request);
    }
}
