<?php

namespace App\Livewire\Category;

use App\Models\Category;
use App\Models\Thread;
use Livewire\WithPagination;
use Livewire\Attributes\On;
use Illuminate\Http\Request;
use Livewire\Component;

class Threads extends Component
{

    public $category;
    public $title;

    public $perPage = 20;

    use WithPagination;

    public function mount($slug){
        $this->category = Category::where('slug', $slug)->firstOrFail();
        $this->title = $this->category->title;
    }

    public function loadMore(){
        $this->perPage += 20;
    }

    public function render(){
        $cat_threads = Thread::where('category_id', $this->category->id)
            ->where('status', 'published')
            ->orderBy('fixed', 'desc')
            ->orderBy('updated_at', 'desc')
            ->cursorPaginate($this->perPage);

        return view('livewire.category.threads', compact('cat_threads'))
            ->title($this->title);
    }
}
