<?php

namespace App\Livewire;

use App\Models\Changelog;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class Changelogs extends Component{

    public $textBox = false;

    public $title;
    public $content;

    public function triggerBox(){
        $this->textBox = $this->textBox == false ? true : false;
    }

    public function setContent($value){
        $this->content = $value;
    }

    public function delete(Changelog $changelog){
        $changelog->delete();
    }

    public function add(){
        $this->validate([
            'title'     => 'required',
            'content'   => 'required'
        ], [
            'required'  => __(':attribute field is required.')
        ], [
            'title'     => __('Title'),
            'content'   => __('Content')
        ]);

        $create = Changelog::create([
            'title'     => $this->title,
            'content'   => $this->content,
            'user_id'   => Auth::id()
        ]);

        if($create){
            $this->textBox = false;
            $this->title = '';
            $this->content = '';
        }
    }

    public function render(){
        $changelogs = Changelog::orderBy('created_at', 'desc')->paginate(10);
        return view('livewire.changelogs', compact('changelogs'))->title(__('Changelog'));
    }
}
