<?php

namespace App\Livewire\Dashboard;

use App\Models\Comment;
use Illuminate\Support\Facades\Cache;
use Livewire\Component;
use Livewire\WithPagination;

class Comments extends Component{

    use WithPagination;

    public function delete($id){
        $comment = Comment::find($id);
        $comment->replies()->delete();
        $comment->delete();

        return redirect()->back()->with('success', __('Comment successfully deleted.'));
    }

    public function render(){
        $comments = Comment::orderBy('created_at', 'desc')->paginate(20);

        $commentsCount = Cache::remember('commentsCount', now()->addMinutes(60), function(){
            return Comment::count();
        });

        $commentsCount = Cache::get('commentsCount');

        return view('livewire.dashboard.comments', compact('comments', 'commentsCount'))->title(__('Comments'));
    }
}
