<?php

namespace App\Livewire\Dashboard;

use App\Models\JobCategory;
use Livewire\Component;

class EditJobCategory extends Component{

    public $id;

    public $title;
    public $slug;
    public $description;

    public function mount($id){
        $this->id = $id;

        $category = JobCategory::find($id);
        $this->title = $category->title;
        $this->slug = $category->slug;
        $this->description = $category->description;
    }

    public function save(){
        $this->validate([
            'title' => 'required',
            'slug'  => 'required'
        ], [
            'required' => __(':attribute field is required.')
        ], [
            'title' => __('Title'),
            'slug'  => __('Slug')
        ]);

        $category = JobCategory::find($this->id);
        $category->title = $this->title;
        $category->slug = $this->slug;
        $category->description = $this->description;
        $category->save();

        return redirect()->back()->with('success', __('Category was successfully updated.'));
    }

    public function render(){
        return view('livewire.dashboard.edit-job-category');
    }
}
