<?php

namespace App\Livewire\Home;

use Livewire\WithPagination;
use App\Models\Thread;
use Illuminate\Support\Collection;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Cache;
use Livewire\Attributes\Computed;
use Livewire\Component;
use Livewire\Attributes\On;

class Threads extends Component
{

    use WithPagination;

    public $tabName = 'Popular';

    public $perPage = 20;

    public function tab($name){
        $this->tabName = $name;
        $this->perPage = 20;
        $this->resetPage();
    }

    public function loadMore(){
        $this->perPage += 20;
    }

    #[On('editItemStatus')]
    public function render(){
        if($this->tabName == "Popular"){
            // $threads = Thread::withCount('likes')->where('status', 'published')->orderBy('fixed', 'desc')->orderBy('likes_count', 'desc')->paginate(30);

            // $threads = (new Collection(Thread::withCount('likes')->where('status', 'published')->orderBy('fixed', 'desc')->orderBy('likes_count', 'desc')->latest()->take(300)->get()))->paginate(30);

            $threads = Thread::withCount('likes')->where('status', 'published')->orderBy('fixed', 'desc')->orderBy('likes_count', 'desc')->cursorPaginate($this->perPage);
        }elseif($this->tabName == "Newest"){
            $threads = Thread::where('status', 'published')->orderBy('fixed', 'desc')->orderBy('updated_at', 'desc')->cursorPaginate($this->perPage);
        }elseif($this->tabName == "Following"){
            $followings = Auth::user()->followings()->pluck('following_id');
            $threads = Thread::whereIn('user_id', $followings)->where('status', 'published')->orderBy('updated_at', 'desc')->cursorPaginate($this->perPage);
        }

        return view('livewire.home.threads', compact('threads'))->title('Anasayfa');
    }
}
