<?php

namespace App\Livewire\Jobs;

use App\Models\Job;
use App\Models\JobCategory;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class Create extends Component{

    public $title;
    public $content;
    public $budget;
    public $category;

    // public function setJobContent($value){
    //     $this->content = $value;
    // }

    public function create(){
        
        dd($this->content);
        
        $this->validate([
            'title'     => 'required|min:10',
            'content'   => 'required',
            'budget'    => 'required|integer',
            'category'  => 'required'
        ], [
            'required'  => __(':attribute field is required.'),
            'min'       => __(':attribute field must contain at least :min characters.'),
            'integer'   => __(':attribute field must contain only numbers.')
        ], [
            'title'     => __('Job Title'),
            'content'   => __('Content'),
            'budget'    => __('Budget'),
            'category'  => __('Category')
        ]);

        $job = Job::create([
            'user_id'       => Auth::id(),
            'title'         => $this->title,
            'content'       => $this->content,
            'budget'        => $this->budget,
            'category_id'   => $this->category,
            'featured'      => 0,
            'status'        => 1
        ]);

        return redirect()->route('jobs.single', $job->slug)->with('success', __('Job Posting Successfully Created!'));
    }

    public function render(){
        $job_categories = JobCategory::get();
        
        return view('livewire.jobs.create', compact('job_categories'))->title(__('Post A Job'));
    }
}
