<?php

namespace App\Livewire\Message;

use App\Models\Message;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class Sidebar extends Component{

    public $id;
    public $searchText;

    protected $listeners = ['render', 'renderMessages'];

    // public function search(){
    //     $keyword = $this->searchText;
    //     $userId = Auth::id();

    //     $messages = Message::where(function ($query) {
    //         $query->whereHas('senderUser', function ($query) {
    //             $query->where('name', 'like', '%Emel%');
    //         })
    //         ->orWhereHas('receiptUser', function ($query) {
    //             $query->where('name', 'like', '%Emel%');
    //         });
    //     })
    //     ->where(function ($query) {
    //         $query->where('sender_id', Auth::id())
    //             ->orWhere('recivier_id', Auth::id());
    //     })
    //     ->with('contents')
    //     ->get()
    //     ->sortByDesc(function($parent, $key){
    //         $child = $parent->contents()->orderBy('created_at', 'desc')->first();
    //         return $child ? $child->created_at : $parent->created_at;
    //     });

    // }

    public function render(){

        if($this->searchText){
            $keyword = $this->searchText;
            $messages = Message::where(function ($query) use ($keyword) {
                $query->whereHas('senderUser', function ($query) use ($keyword) {
                    $query->where('name', 'like', '%'.$keyword.'%');
                })
                ->orWhereHas('receiptUser', function ($query) use ($keyword) {
                    $query->where('name', 'like', '%'.$keyword.'%');
                });
            })
            ->where(function ($query) {
                $query->where('sender_id', Auth::id())
                    ->orWhere('recivier_id', Auth::id());
            })
            ->with('contents')
            ->get()
            ->sortByDesc(function($parent, $key){
                $child = $parent->contents()->orderBy('created_at', 'desc')->first();
                return $child ? $child->created_at : $parent->created_at;
            });
        }else{
            $messages = Message::where('sender_id', Auth::id())
            ->orWhere('recivier_id', Auth::id())
            ->with('contents')
            ->get()->sortByDesc(function($parent, $key){
                $child = $parent->contents()->orderBy('created_at', 'desc')->first();
                return $child ? $child->created_at : $parent->created_at;
            });
        }

        return view('livewire.message.sidebar', compact('messages'));
    }
}
