<?php

namespace App\Livewire\Message;

use App\Models\Message;
use App\Models\MessageContent;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class View extends Component
{

    public $id;
    public $messageContent;

    protected $listeners = ['render'];

    public function mount($id){
        $this->id = $id;
    }

    public function createMessage(){

        $this->validate([
            'messageContent' => 'required'
        ]);

        MessageContent::create([
            'message_id'    => $this->id,
            'sender_id'     => Auth::id(),
            'content'       => $this->messageContent
        ]);

        $this->messageContent = '';

        $this->dispatch('renderMessages');
    }

    public function render(){
        $message = Message::find($this->id);

        if($message->sender_id != Auth::id() && $message->recivier_id != Auth::id()){
            abort(404);
        }

        if($message->sender_id !== Auth::id()):
            $title = $message->senderUser->name;
        else:
            $title = $message->receiptUser->name;
        endif;

        $messageContents = MessageContent::where('message_id', $this->id)->get();

        $viewed = MessageContent::where('message_id', $this->id)->where('sender_id', '!=', Auth::id())->where('viewed', 0);
        $viewed->update(['viewed' => 1]);

        return view('livewire.message.view', compact('messageContents'))
            ->extends('layouts.main', ['wide' => true])
            ->title($title);
    }
}
