<?php

namespace App\Livewire\Modals;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Livewire\Attributes\Rule;
use Livewire\Component;

class Login extends Component{

    #[Rule('required|email')]
    public $email;

    #[Rule('required')]
    public $password;

    public $remember;

    public $error;

    public function login(Request $request){
        if(filter_var($this->email, FILTER_VALIDATE_EMAIL)){
            if(Auth::attempt([
                'email'     => $this->email,
                'password'  => $this->password
            ], $this->remember)){
                $request->session()->regenerate();
                $this->dispatch('login-refresh');
            }else{
                $this->error = 'Lütfen bilgilerinizi kontrol ederek tekrar deneyin!';
            }
        }else{
            if(Auth::attempt([
                'username'     => $this->email,
                'password'  => $this->password
            ], $this->remember)){
                $request->session()->regenerate();
                $this->dispatch('login-refresh');
            }else{
                $this->error = 'Lütfen bilgilerinizi kontrol ederek tekrar deneyin!';
            }
        }
    }

    public function render(){
        return view('livewire.modals.login');
    }
}
