<?php

namespace App\Livewire;

use Illuminate\Support\Facades\Auth;
use Livewire\Component;
use App\Models\Notification as NotificationModel;
use Carbon\Carbon;
use Illuminate\Support\Facades\Cache;

class Notification extends Component
{

    public $perPage = 20;

    public function markAllRead(){
        NotificationModel::where(['user_id' => Auth::id(), 'read' => 0])->update(['read' => 1]);
        $this->render();
    }

    public function loadMore(){
        $this->perPage += 20;
    }

    public function render(){

        $dateAgo = Carbon::now()->subDays(3);

        $notifications = NotificationModel::where('user_id', Auth::id())
        ->whereDate('created_at', '>=', $dateAgo)
        ->orderBy('created_at', 'desc')
        ->cursorPaginate($this->perPage);

        return view('livewire.notification', compact('notifications'))->title(__('Notifications'));
    }
}
