<?php

namespace App\Livewire;

use App\Models\Report;
use Illuminate\Http\Request;
use Livewire\Component;

class ReportViolation extends Component
{

    public $reportedurl;
    public $details;

    public function mount(Request $request){
        $this->reportedurl = $request->get('url');
    }

    public function send(){

        $this->validate([
            'reportedurl'       => 'required|url|regex:/typn\.net/',
            'details'           => 'required|min:10'
        ], [
            'required'       => __(':attribute field is required.'),
            'url'               => __(':attribute field must be an URL.'),
            'regex'             => __(':attribute source does not belong here.')
        ], [
            'reportedurl'       => __('Reported URL'),
            'details'           => __('Details')
        ]);

        Report::create([
            'url'           => $this->reportedurl,
            'description'   => $this->details
        ]);

        return redirect()->back()->with('success', __('Abuse report sent successfully.'));
    }

    public function render(){
        return view('livewire.report-violation')->title(__('Report Abuse'));
    }
}
