<?php

namespace App\Livewire;

use App\Models\Job;
use App\Models\Thread;
use Livewire\Component;
use Livewire\Attributes\Url;
use App\Models\User;

class Search extends Component{

    public $search;

    public function render(){

        $threads = Thread::where('title', 'LIKE', '%' . $this->search . '%')->take(3)->get();
        $jobs = Job::where('title', 'LIKE', '%' . $this->search . '%')->take(3)->get();
        $users = User::where('username', 'LIKE', '%' . $this->search . '%')->orWhere('name', 'LIKE', '%' . $this->search . '%')->take(3)->get();

        return view('livewire.search', compact('threads', 'jobs', 'users'));
    }
}
