<?php

namespace App\Livewire\Thread\Dropdown;

use App\Models\Following;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class ProfileBox extends Component
{

    public $user;
    public $id;
    public $followings;
    public $followers;
    public $following = false;

    public function mount(){
        $following = Following::where('user_id', Auth::id())->where('following_id', $this->id)->first();

        $this->followings = Following::where('user_id', $this->id)->count();
        $this->followers = Following::where('following_id', $this->id)->count();

        if($following){
            $this->following = true;
        }else{
            $this->following = false;
        }
    }

    public function followStatus(){
        if(Auth::check()){
            $following = Following::where('user_id', Auth::id())->where('following_id', $this->id)->first();
            if($following){
                Following::where('user_id', Auth::id())
                    ->where('following_id', $this->id)
                    ->delete();

                $this->following = false;
            }else{
                Following::create([
                    'user_id'       => Auth::id(),
                    'following_id'  => $this->id
                ]);
                $this->following = true;
            }

            $this->followings = Following::where('user_id', $this->id)->count();
            $this->followers = Following::where('following_id', $this->id)->count();

        }else{
            $this->dispatch('not-login');
        }
    }

    public function render()
    {
        return view('livewire.thread.dropdown.profile-box');
    }
}
