<?php

namespace App\Livewire\Thread\Dropdown;

use App\Models\Thread;
use Livewire\Component;

class Settings extends Component
{

    public $itemid;

    public $status;
    public $statusText;

    public function mount(){
        $thread = Thread::findOrFail($this->itemid);
        $this->status = $thread->status;
        $this->statusText = $thread->status == "published" ? __('Arşivle') : __('Arşivden Çıkar');
    }

    public function editStatus($status){
        $this->status = $status;
        $this->statusText = $status == "published" ? __('Arşivle') : __('Arşivden Çıkar');
        $thread = Thread::findOrFail($this->itemid);
        $thread->status = $status;
        $thread->save();

        $this->dispatch('editStatus');
    }

    public function render(){
        return view('livewire.thread.dropdown.settings');
    }
}
