<?php

namespace App\Livewire\Thread;

use App\Models\Category;
use App\Models\Thread;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;
use Livewire\Attributes\Rule;

class Edit extends Component
{

    public $id;


    #[Rule('required|min:10')]
    public $title;

    #[Rule('required|min:10')]
    public $content;

    #[Rule('required')]
    public $category;

    public function mount(){
        $thread = Thread::findOrFail($this->id);

        if($thread->user->id != Auth::id() && Auth::user()->type != "admin"){
            return redirect()->route('home');
        }

        $this->title = $thread->title;
        $this->content = $thread->content;
        $this->category = $thread->category_id;
    }

    public function edit(){
        $this->validate();

        $thread = Thread::findOrFail($this->id);
        $thread->title = $this->title;
        $thread->content = $this->content;
        $thread->category_id = $this->category;
        $thread->save();

        return $this->redirect(route('thread', $thread->slug));
    }

    public function setContent($value){
        $this->content = $value;
    }

    public function render()
    {
        $thread = Thread::findOrFail($this->id);
        $categories = Category::all();
        return view('livewire.thread.edit', compact('categories', 'thread'));
    }
}
