<?php

namespace App\Livewire\Thread;

use App\Models\Analytic;
use App\Models\Notification;
use App\Models\Thread;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class Index extends Component
{

    public $slug;

    public function mount($slug){
        $this->slug = $slug;
    }

    public function delete(Thread $thread){
        if(Auth::user()->type == "admin"){
            $thread->where('slug', $this->slug)->delete();

            Notification::where([
                'target_id'     => $thread->id,
            ])->delete();

            return redirect()->route('home');
        }
    }

    public function render(){

        $today = Carbon::now()->format('Y-m-d');

        $thread = Thread::where('slug', $this->slug)->firstOrFail();
        $thread->increment('views_count');

        $analytic = Analytic::where(['target_id' => $thread->id, 'type' => 'thread'])->whereDate('created_at', $today);

        if($analytic->exists()){
            $analytic->increment('views_count');
        }else{
            $createAnalytic = Analytic::create([
                'target_id' => $thread->id,
                'user_id'   => $thread->user->id,
                'type'      => 'thread'
            ]);

            $createAnalytic->increment('views_count');
        }

        Notification::where(['user_id' => Auth::id(), 'target_id' => $thread->id])->update(['read' => 1]);

        return view('livewire.thread.index', compact('thread'))->title($thread->title);
    }
}
