<?php

namespace App\Livewire\Thread;

use App\Models\Thread;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class Item extends Component
{

    public $itemid;

    public $status;
    public $statusText;

    // protected $listeners = ['deleteItem' => 'delete'];

    public function mount(){
        $item = Thread::find($this->itemid);
        $this->status = $item->status;
        $this->statusText = $item->status == "published" ? __('Arşivle') : __('Arşivden Çıkar');
    }

    /**
     * Edit Status
     *
     * @param [type] $status
     * @return void
     */
    public function editStatus($status){
        $item = Thread::find($this->itemid);
        if(
            Auth::user()->id == $item->user->id ||
            Auth::user()->type == "admin"
        ){
            $item->status = $status;
            $item->save();

            $this->dispatch('editItemStatus');
            $this->status = $status;
            $this->statusText = $status == "published" ? __('Arşivle') : __('Arşivden Çıkar');
        }
    }

    public function delete($id){
        $item = Thread::find($id);
        if(
            Auth::user()->id == $item->user->id ||
            Auth::user()->type == "admin"
        ){
            $item->delete();

            return redirect()->route('home');
        }
    }

    public function render(){
        $thread = Thread::find($this->itemid);
        return view('livewire.thread.item', ['thread' => $thread]);
    }
}
