<?php

namespace App\Livewire\Thread\Item;

use App\Models\Favorite as ModelsFavorite;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class Favorite extends Component
{

    public $id;
    public $active = false;

    public function mount(){
        $check = ModelsFavorite::where('user_id', Auth::id())->where('thread_id', $this->id);

        if($check->exists()){
            $this->active = true;
        }
    }

    public function addFavorite(){
        if(Auth::check()){
            $check = ModelsFavorite::where('user_id', Auth::id())->where('thread_id', $this->id);

            if($check->exists()){
                $check->delete();

                $this->active = false;
            }else{
                ModelsFavorite::create([
                    'user_id'   => Auth::id(),
                    'thread_id' => $this->id
                ]);

                $this->active = true;
            }
        }else{
            $this->dispatch('not-login');
        }
    }

    public function render()
    {
        return view('livewire.thread.item.favorite');
    }
}
