<?php

namespace App\Livewire\Thread\Item;

use App\Models\Like;
use App\Models\Notification;
use App\Models\Thread;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class Upvote extends Component{

    public $id;
    public $active = false;
    public $likes;
    // public $notification_exists = false;

    public function mount(){
        $this->likes = Like::where('thread_id', $this->id)->count();

        if(Auth::check()){
            $check = Like::where('user_id', Auth::id())->where('thread_id', $this->id)->first();

            if($check){
                $this->active = true;
            }else{
                $this->active = false;
            }

            $thread = Thread::find($this->id);
            // $noti_exists = Notification::where([
            //     'sender_id' => Auth::id(),
            //     'user_id'   => $thread->user_id,
            //     'type'      => 'thread_like',
            //     'target_id' => $this->id
            // ]);

            // if($noti_exists->exists()){
            //     $this->notification_exists = true;
            // }
        }
    }

    public function upvote(){
        if(Auth::check()){

            $thread = Thread::find($this->id);

            if(Auth::id() != $thread->user_id){
                $check = Like::where('user_id', Auth::id())->where('thread_id', $this->id)->first();

                if($check){
                    Like::where('user_id', Auth::id())->where('thread_id', $this->id)->delete();

                    Notification::where([
                        'sender_id' => Auth::id(),
                        'user_id'   => $thread->user_id,
                        'target_id' => $this->id,
                        'type'      => 'thread_like'
                    ])->delete();

                    // $this->notification_exists = false;

                    $this->active = false;
                }else{
                    Like::create([
                        'thread_id' => $this->id,
                        'user_id'   => Auth::id()
                    ]);

                    // if(!$this->notification_exists){
                        Notification::create([
                            'sender_id' => Auth::id(),
                            'user_id'   => $thread->user_id,
                            'target_id' => $this->id,
                            'type'      => 'thread_like',
                            'read'      => 0
                        ]);
                    // }

                    $this->active = true;
                }

                $this->likes = Like::where('thread_id', $this->id)->count();
            }
        }else{
            $this->dispatch('not-login');
        }
    }

    public function render(){
        return view('livewire.thread.item.upvote');
    }
}
