<?php

namespace App\Livewire\Thread;

use App\Livewire\Notification;
use App\Models\Following;
use App\Models\Notification as ModelsNotification;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class ProfileBox extends Component
{

    public $user;
    public $followStatus;

    public function mount(){
        $check = Following::where('user_id', Auth::check() ? Auth::user()->id : 0)->where('following_id', $this->user->id)->first();
        if($check){
            $this->followStatus = true;
        }
    }

    public function follow(){
        if(Auth::check()){
            $check = Following::where('user_id', Auth::user()->id)->where('following_id', $this->user->id)->first();

            if(!$check){
                Following::create([
                    'user_id' => Auth::id(),
                    'following_id'  => $this->user->id
                ]);
                $this->followStatus = true;

                // ModelsNotification::create([
                //     'user_id'   => $this->user->id,
                //     'sender_id' => Auth::id(),
                //     'target_id' => 0,

                // ]);

                ModelsNotification::create([
                    'sender_id' => Auth::id(),
                    'user_id'   => $this->user->id,
                    'type'      => 'follow'
                ]);
            }else{
                $unfollow = Following::where('user_id', Auth::user()->id)->where('following_id', $this->user->id)->delete();
                $this->followStatus = false;

                $noti = ModelsNotification::where([
                    'sender_id' => Auth::id(),
                    'user_id'   => $this->user->id,
                    'type'      => 'follow'
                ]);

                if($noti->exists()){
                    $noti->delete();
                }
            }
        }else{
            $this->dispatch('not-login');
        }
    }

    public function render(){
        return view('livewire.thread.profile-box');
    }
}
