<?php

namespace App\Livewire\User\EditProfile;

use App\Models\Feedback as ModelsFeedback;
use Illuminate\Support\Facades\Auth;
use Livewire\Attributes\Rule;
use Livewire\Component;

class Feedback extends Component{

    public $content;

    public function sendFeedback(){

        $this->validate([
            'content'   => 'required|min:10'
        ],[
            'required'  => __(':attribute field is required.'),
            'min'       => __(':attribute field must contain at least :min characters.')
        ], [
            'content'   => __('Feedback')
        ]);

        ModelsFeedback::create([
            'content'   => $this->content,
            'user_id'   => Auth::id()
        ]);

        return redirect()->route('edit-profile.feedback')->with('success', __('Your feedback has been successfully sent.'));
    }

    public function render(){
        return view('livewire.user.edit-profile.feedback')->title(__('Give Feedback'));
    }
}
