<?php

namespace App\Livewire\User\EditProfile;

use App\Models\Payment;
use App\Models\Subscription;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class Premium extends Component{

    protected $listeners = ['add'];

    public function add($data){
        $payment = Payment::create([
           'customer_id'    => $data['customer']['id'],
           'customer_email'  => $data['customer']['email'],
           'payment_id'     => $data['id'],
           'transaction_id' => $data['transaction_id'],
           'total'          => $data['totals']['total'],
           'subtotal'       => $data['totals']['subtotal'],
           'tax'            => $data['totals']['tax']
        ]);

        if($payment){
            if($data['custom_data']['month'] == 1){
                $expiration = now()->addDays(30);
            }else{
                $expiration = now()->addDays(365);
            }

            Subscription::create([
                'user_id'           => Auth::id(),
                'expiration_date'   => $expiration
            ]);

            return redirect()->back()->with('success', __('You have switched to premium membership.'));
        }
    }

    public function render(){
        $user = User::find(Auth::id());
        return view('livewire.user.edit-profile.premium', compact('user'))->title(__('Premium Settings'));
    }
}
