<?php

namespace App\Livewire\User;

use App\Models\Following;
use App\Models\Notification;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class Recommended extends Component
{

    public $user;
    public $uid;
    public $follow = false;

    public function mount(){
        $check = Following::where('user_id', Auth::check() ? Auth::user()->id : 0)->where('following_id', $this->uid);
        if($check->exists()){
            $this->follow = true;
        }
    }

    public function userStatus($id){
        if(Auth::check()){
            $check = Following::where('user_id', Auth::user()->id)->where('following_id', $id)->first();

            if(!$check){
                Following::create([
                    'user_id' => Auth::user()->id,
                    'following_id'  => $id
                ]);
                $this->follow = true;

                Notification::create([
                    'sender_id' => Auth::id(),
                    'user_id'   => $this->user->id,
                    'type'      => 'follow'
                ]);
            }else{
                $unfollow = Following::where('user_id', Auth::user()->id)->where('following_id', $id)->delete();
                $this->follow = false;

                $noti = Notification::where([
                    'sender_id' => Auth::id(),
                    'user_id'   => $this->user->id,
                    'type'      => 'follow'
                ]);

                if($noti->exists()){
                    $noti->delete();
                }
            }
        }else{
            $this->dispatch('not-login');
        }
    }

    public function render(){
        return view('livewire.user.recommended');
    }
}
