<?php

namespace App\Models;

use Cviebrock\EloquentSluggable\Sluggable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    use HasFactory;
    use Sluggable;

    protected $fillable = ['title', 'slug', 'description'];

    public function threads(){
        return $this->hasMany(Thread::class, 'category_id', 'id');
    }

    public function sluggable(): array{
        return [
            'slug'  => [
                'source'    => 'title'
            ]
        ];
    }
}
