<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Comment extends Model
{
    use HasFactory;

    protected $fillable = ['content', 'user_id', 'thread_id', 'comment_id'];

    protected $dates = ['created_at'];

    public function user(){
        return $this->belongsTo(User::class);
    }

    public function replies(){
        // return $this->hasMany(Reply::class)->orderBy('created_at', 'desc');
        return $this->hasMany(Comment::class, 'comment_id', 'id');
    }

    public function likes(){
        return $this->hasMany(CommentLike::class);
    }

    public function thread(){
        return $this->hasOne(Thread::class, 'id', 'thread_id');
    }
}
