<?php

namespace App\Models;

use Cviebrock\EloquentSluggable\Sluggable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Te7aHoudini\LaravelTrix\Traits\HasTrixRichText;

class Job extends Model
{
    use HasFactory;
    use HasTrixRichText;
    use Sluggable;

    protected $fillable = ['title', 'slug', 'content', 'user_id', 'budget', 'category_id', 'featured', 'status'];

    public function sluggable(): array
    {
        return [
            'slug' => [
                'source'    => 'title'
            ]
        ];
    }

    public function user(){
        return $this->hasOne(User::class, 'id', 'user_id');
    }
}
