<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Model>
 */
class JobFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array{
        return [
            'title'         => fake()->sentence(4),
            'slug'          => Str::slug(fake()->sentence(2)),
            'content'       => fake()->paragraph(20),
            'user_id'       => fake()->numberBetween(1,11),
            'category_id'   => fake()->numberBetween(1,5),
            'budget'        => fake()->numberBetween(1000, 20000)
        ];
    }
}
