<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\User;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('threads', function (Blueprint $table) {
            $table->id();
            $table->index('title');
            $table->string('title');
            $table->string('slug');
            $table->longText('content');
            $table->foreignIdFor(User::class);
            $table->integer('category_id');
            $table->boolean('fixed')->default(0);
            $table->enum('status', ['draft', 'archive', 'published'])->default('published');
            $table->bigInteger('views_count')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('threads');
    }
};
