<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('jobs', function (Blueprint $table) {
            $table->id();
            $table->char('title', 255);
            $table->index('title');
            $table->char('slug', 255);
            $table->longText('content');
            $table->integer('user_id');
            $table->bigInteger('budget');
            $table->enum('currency', ['try', 'usd']);
            $table->integer('category_id');
            $table->boolean('featured')->default(0);
            $table->boolean('status')->default(1);
            $table->bigInteger('views_count')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('jobs');
    }
};
