@extends('layouts.main')
@section('title', 'Kategoriler')

@section('content')
    <div class="2xl:max-w-6xl mx-auto 2xl:py-10 2xl:space-y-5">
        <div class="grid grid-cols-4 gap-5">
            @foreach ($categories as $category)
                <a
                    wire:navigate
                    href="{{route('category', $category->slug)}}"
                    class="{{$category->classes ?? 'bg-sky-200'}} p-5 rounded relative overflow-hidden"
                >
                    <div class="font-bold text-lg">{{ $category->title }}</div>
                    <div class="line-clamp-3 mt-5 text-sm">{{ $category->description }}</div>
                    @if($category->icon)
                        <div class="absolute top-1/2 -translate-y-1/2 -right-10 [&>svg]:w-40 [&>svg]:h-40 opacity-10">{!! $category->icon !!}</div>
                    @endif
                </a>
            @endforeach
        </div>
    </div>
@endsection
