<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" class="h-full">
<head>
	<meta charset="UTF-8" />
	<link rel="icon" type="image/svg+xml" href="/vite.svg" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ $title ?? 'Sayfa' }}</title>

    <!-- Scripts -->
    @vite(['resources/css/app.css', 'resources/js/app.js'])
</head>
<body class="antialiased bg-white h-full">

    <x-parts.sidebar />

	<!-- MAIN START -->
	<div class="pl-72 flex flex-col h-screen">
		<!-- Header Start -->
		<div class="border-b border-gray-200 flex">
			<div class="bg-white flex-1 p-5 2xl:px-0 2xl:max-w-6xl mx-auto">
				<button type="button"
					class="bg-gray-50 rounded-md w-full h-10 px-3 text-left border border-gray-200 flex gap-2 items-center hover:border-gray-300 transition-all text-gray-500 text-sm search-form-button">
					<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
						stroke="currentColor" class="w-5 h-5 text-gray-400">
						<path stroke-linecap="round" stroke-linejoin="round"
							d="M21 21l-5.197-5.197m0 0A7.5 7.5 0 105.196 5.196a7.5 7.5 0 0010.607 10.607z" />
					</svg>

					<span>Hızlı Arama Yap...</span>

					<kbd class="font-sans font-semibold ml-auto">
						<abbr title="Command" class="no-underline text-slate-300">⌘</abbr>
						<span class="text-gray-400">K</span>
					</kbd>
				</button>
			</div>

			<div class="w-60 border-l border-gray-200 p-5 flex gap-5 justify-end items-center">

                @if(Auth::check())
				<!-- Notifications Start -->
				<div class="relative">

					<button id="dropdownNotificationButton" data-dropdown-toggle="dropdownNotification"
						class="inline-flex items-center justify-center text-sm font-medium text-center text-gray-500 hover:text-gray-900 focus:outline-none "
						type="button">
						<svg class="w-5 h-5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor"
							viewBox="0 0 14 20">
							<path
								d="M12.133 10.632v-1.8A5.406 5.406 0 0 0 7.979 3.57.946.946 0 0 0 8 3.464V1.1a1 1 0 0 0-2 0v2.364a.946.946 0 0 0 .021.106 5.406 5.406 0 0 0-4.154 5.262v1.8C1.867 13.018 0 13.614 0 14.807 0 15.4 0 16 .538 16h12.924C14 16 14 15.4 14 14.807c0-1.193-1.867-1.789-1.867-4.175ZM3.823 17a3.453 3.453 0 0 0 6.354 0H3.823Z" />
						</svg>
						<div class="relative flex">
							<div
								class="relative inline-flex w-3 h-3 bg-red-500 border-2 border-white rounded-full -top-2 right-3 dark:border-gray-900">
							</div>
						</div>
					</button>

					<!-- Dropdown menu -->
					<div id="dropdownNotification"
						class="z-20 hidden absolute right-0 w-96 bg-white divide-y divide-gray-100 rounded-lg shadow "
						aria-labelledby="dropdownNotificationButton">
						<div
							class="block px-4 py-2 font-medium text-center text-gray-700 rounded-t-lg bg-gray-50 dark:bg-gray-800 dark:text-white">
							Notifications
						</div>
						<div class="divide-y divide-gray-100 dark:divide-gray-700">
							<a href="#" class="flex px-4 py-3 hover:bg-gray-100 dark:hover:bg-gray-700">
								<div class="flex-shrink-0">
									<img class="rounded-full w-11 h-11" src="/docs/images/people/profile-picture-1.jpg"
										alt="Jese image">
									<div
										class="absolute flex items-center justify-center w-5 h-5 ml-6 -mt-5 bg-blue-600 border border-white rounded-full dark:border-gray-800">
										<svg class="w-2 h-2 text-white" aria-hidden="true"
											xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 18 18">
											<path
												d="M1 18h16a1 1 0 0 0 1-1v-6h-4.439a.99.99 0 0 0-.908.6 3.978 3.978 0 0 1-7.306 0 .99.99 0 0 0-.908-.6H0v6a1 1 0 0 0 1 1Z" />
											<path
												d="M4.439 9a2.99 2.99 0 0 1 2.742 1.8 1.977 1.977 0 0 0 3.638 0A2.99 2.99 0 0 1 13.561 9H17.8L15.977.783A1 1 0 0 0 15 0H3a1 1 0 0 0-.977.783L.2 9h4.239Z" />
										</svg>
									</div>
								</div>
								<div class="w-full pl-3">
									<div class="text-gray-500 text-sm mb-1.5 dark:text-gray-400">New message from <span
											class="font-semibold text-gray-900 dark:text-white">Jese Leos</span>: "Hey,
										what's up? All set for the presentation?"</div>
									<div class="text-xs text-blue-600 dark:text-blue-500">a few moments ago</div>
								</div>
							</a>
							<a href="#" class="flex px-4 py-3 hover:bg-gray-100 dark:hover:bg-gray-700">
								<div class="flex-shrink-0">
									<img class="rounded-full w-11 h-11" src="/docs/images/people/profile-picture-2.jpg"
										alt="Joseph image">
									<div
										class="absolute flex items-center justify-center w-5 h-5 ml-6 -mt-5 bg-gray-900 border border-white rounded-full dark:border-gray-800">
										<svg class="w-2 h-2 text-white" aria-hidden="true"
											xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 18">
											<path
												d="M6.5 9a4.5 4.5 0 1 0 0-9 4.5 4.5 0 0 0 0 9ZM8 10H5a5.006 5.006 0 0 0-5 5v2a1 1 0 0 0 1 1h11a1 1 0 0 0 1-1v-2a5.006 5.006 0 0 0-5-5Zm11-3h-2V5a1 1 0 0 0-2 0v2h-2a1 1 0 1 0 0 2h2v2a1 1 0 0 0 2 0V9h2a1 1 0 1 0 0-2Z" />
										</svg>
									</div>
								</div>
								<div class="w-full pl-3">
									<div class="text-gray-500 text-sm mb-1.5 dark:text-gray-400"><span
											class="font-semibold text-gray-900 dark:text-white">Joseph Mcfall</span> and
										<span class="font-medium text-gray-900 dark:text-white">5 others</span> started
										following you.
									</div>
									<div class="text-xs text-blue-600 dark:text-blue-500">10 minutes ago</div>
								</div>
							</a>
							<a href="#" class="flex px-4 py-3 hover:bg-gray-100 dark:hover:bg-gray-700">
								<div class="flex-shrink-0">
									<img class="rounded-full w-11 h-11" src="/docs/images/people/profile-picture-3.jpg"
										alt="Bonnie image">
									<div
										class="absolute flex items-center justify-center w-5 h-5 ml-6 -mt-5 bg-red-600 border border-white rounded-full dark:border-gray-800">
										<svg class="w-2 h-2 text-white" aria-hidden="true"
											xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 18">
											<path
												d="M17.947 2.053a5.209 5.209 0 0 0-3.793-1.53A6.414 6.414 0 0 0 10 2.311 6.482 6.482 0 0 0 5.824.5a5.2 5.2 0 0 0-3.8 1.521c-1.915 1.916-2.315 5.392.625 8.333l7 7a.5.5 0 0 0 .708 0l7-7a6.6 6.6 0 0 0 2.123-4.508 5.179 5.179 0 0 0-1.533-3.793Z" />
										</svg>
									</div>
								</div>
								<div class="w-full pl-3">
									<div class="text-gray-500 text-sm mb-1.5 dark:text-gray-400"><span
											class="font-semibold text-gray-900 dark:text-white">Bonnie Green</span> and
										<span class="font-medium text-gray-900 dark:text-white">141 others</span> love
										your story. See it and view more stories.
									</div>
									<div class="text-xs text-blue-600 dark:text-blue-500">44 minutes ago</div>
								</div>
							</a>
							<a href="#" class="flex px-4 py-3 hover:bg-gray-100 dark:hover:bg-gray-700">
								<div class="flex-shrink-0">
									<img class="rounded-full w-11 h-11" src="/docs/images/people/profile-picture-4.jpg"
										alt="Leslie image">
									<div
										class="absolute flex items-center justify-center w-5 h-5 ml-6 -mt-5 bg-green-400 border border-white rounded-full dark:border-gray-800">
										<svg class="w-2 h-2 text-white" aria-hidden="true"
											xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 18">
											<path
												d="M18 0H2a2 2 0 0 0-2 2v9a2 2 0 0 0 2 2h2v4a1 1 0 0 0 1.707.707L10.414 13H18a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2Zm-5 4h2a1 1 0 1 1 0 2h-2a1 1 0 1 1 0-2ZM5 4h5a1 1 0 1 1 0 2H5a1 1 0 0 1 0-2Zm2 5H5a1 1 0 0 1 0-2h2a1 1 0 0 1 0 2Zm9 0h-6a1 1 0 0 1 0-2h6a1 1 0 1 1 0 2Z" />
										</svg>
									</div>
								</div>
								<div class="w-full pl-3">
									<div class="text-gray-500 text-sm mb-1.5 dark:text-gray-400"><span
											class="font-semibold text-gray-900 dark:text-white">Leslie Livingston</span>
										mentioned you in a comment: <span class="font-medium text-blue-500"
											href="#">@bonnie.green</span> what do you say?</div>
									<div class="text-xs text-blue-600 dark:text-blue-500">1 hour ago</div>
								</div>
							</a>
							<a href="#" class="flex px-4 py-3 hover:bg-gray-100 dark:hover:bg-gray-700">
								<div class="flex-shrink-0">
									<img class="rounded-full w-11 h-11" src="/docs/images/people/profile-picture-5.jpg"
										alt="Robert image">
									<div
										class="absolute flex items-center justify-center w-5 h-5 ml-6 -mt-5 bg-purple-500 border border-white rounded-full dark:border-gray-800">
										<svg class="w-2 h-2 text-white" aria-hidden="true"
											xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 14">
											<path
												d="M11 0H2a2 2 0 0 0-2 2v10a2 2 0 0 0 2 2h9a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2Zm8.585 1.189a.994.994 0 0 0-.9-.138l-2.965.983a1 1 0 0 0-.685.949v8a1 1 0 0 0 .675.946l2.965 1.02a1.013 1.013 0 0 0 1.032-.242A1 1 0 0 0 20 12V2a1 1 0 0 0-.415-.811Z" />
										</svg>
									</div>
								</div>
								<div class="w-full pl-3">
									<div class="text-gray-500 text-sm mb-1.5 dark:text-gray-400"><span
											class="font-semibold text-gray-900 dark:text-white">Robert Brown</span>
										posted a new video: Glassmorphism - learn how to implement the new design trend.
									</div>
									<div class="text-xs text-blue-600 dark:text-blue-500">3 hours ago</div>
								</div>
							</a>
						</div>
						<a href="#"
							class="block py-2 text-sm font-medium text-center text-gray-900 rounded-b-lg bg-gray-50 hover:bg-gray-100 dark:bg-gray-800 dark:hover:bg-gray-700 dark:text-white">
							<div class="inline-flex items-center ">
								<svg class="w-4 h-4 mr-2 text-gray-500 dark:text-gray-400" aria-hidden="true"
									xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 14">
									<path
										d="M10 0C4.612 0 0 5.336 0 7c0 1.742 3.546 7 10 7 6.454 0 10-5.258 10-7 0-1.664-4.612-7-10-7Zm0 10a3 3 0 1 1 0-6 3 3 0 0 1 0 6Z" />
								</svg>
								View all
							</div>
						</a>
					</div>
				</div>
				<!-- Notifications End -->

				<!-- User Avatar Start -->
				<div class="relative">
					<button data-dropdown-toggle="dropdownAvatarNameButton"
						class="flex items-center text-sm font-medium text-gray-900 rounded-full hover:text-blue-600 md:mr-0 dark:text-white"
						type="button">
						<span class="sr-only">{{ __('Kullanıcı Menüsünü Aç') }}</span>
                        @if(Auth::user()->profile_photo_path)
						<img class="w-8 h-8 mr-2 rounded-full"
							src="{{ asset(Auth::user()->profile_photo_path) }}"
							alt="user photo">
                        @else
                            <div class="bg-gray-100 w-8 h-8 mr-2 rounded-full leading-8 font-bold text-gray-500 uppercase">
                                {{ mb_substr(Auth::user()->username, 0, 1) }}
                            </div>
                        @endif
						{{Auth::user()->name}}
						<svg class="w-2.5 h-2.5 ml-2.5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
							fill="none" viewBox="0 0 10 6">
							<path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
								d="m1 1 4 4 4-4" />
						</svg>
					</button>

					<!-- Dropdown menu -->
					<div id="dropdownAvatarNameButton"
						class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44 absolute right-0">
						<div class="px-4 py-3 text-sm text-gray-900 dark:text-white">
							<div>{{ Auth::user()->name }}</div>
							<div class="font-medium truncate">{{ Auth::user()->email }}</div>
						</div>
						<ul class="py-2 text-sm text-gray-700 dark:text-gray-200"
							aria-labelledby="dropdownUserAvatarButton">
							<li>
								<a href="#"
									class="block px-4 py-2 hover:bg-gray-100 dark:hover:bg-gray-600 dark:hover:text-white">
                                    {{ __('Profil') }}
                                </a>
							</li>
							<li>
								<a href="#"
									class="block px-4 py-2 hover:bg-gray-100 dark:hover:bg-gray-600 dark:hover:text-white">
                                    {{ __('Ayarlar') }}
                                </a>
							</li>
						</ul>
						<div class="py-2">
							<a href="#"
								class="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100 dark:hover:bg-gray-600 dark:text-gray-200 dark:hover:text-white">
                                {{ __('Çıkış Yap') }}
                            </a>
						</div>
					</div>
				</div>
				<!-- User Avatar End -->
                @else

                <a
                    wire:navigate
                    href="{{ route('login') }}"
                    class="text-sm text-gray-600 hover:text-black transition-all">Giriş Yap</a>

                <a
                    wire:navigate
                    href="{{ route('register') }}" class="bg-gray-100 py-2 px-4 text-sm text-gray-500 rounded-full hover:bg-gray-200 hover:text-black transition-all">
                    Kayıt Ol
                </a>

                @endif
			</div>
		</div>
		<!-- Header End -->
		<!-- Main Start -->
		<div class="flex flex-1 overflow-hidden">
			<div class="flex-1 overflow-y-auto bg-gray-100 divide-y divide-gray-200">

                <div class="2xl:max-w-6xl mx-auto 2xl:py-10 2xl:space-y-5">

				{{$slot}}

                </div>

			</div>
			<div class="w-60 border-l border-gray-200 p-5">
                <div class="font-bold text-sm text-gray-500">Önerilen Kişiler</div>

                <div class="mt-5 divide-y divide-gray-100">
                    @foreach($recommended_users as $user)
                        <livewire:user.recommended :$user :id="$user->id" :key="$user->id" />
                    @endforeach
                </div>
            </div>
		</div>
		<!-- Main End -->
	</div>
	<!-- MAIN END -->


	<!-- SEARCH FORM START -->
	<div
		class="fixed inset-0 flex items-center justify-center bg-black/20 search-fixed-form pointer-events-none opacity-0">
		<div
			class="max-w-xl mx-auto w-full overflow-hidden transition-all transform bg-white divide-y divide-gray-100 shadow-2xl rounded-xl ring-1 ring-black ring-opacity-5 scale-50 search-form-content">
			<div class="relative">
				<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
					stroke="currentColor" class="w-5 h-5 text-gray-500 absolute top-3 left-3">
					<path stroke-linecap="round" stroke-linejoin="round"
						d="M21 21l-5.197-5.197m0 0A7.5 7.5 0 105.196 5.196a7.5 7.5 0 0010.607 10.607z" />
				</svg>
				<input type="text"
					class="w-full h-12 pr-4 text-gray-800 placeholder-gray-400 bg-transparent border-0 pl-11 focus:ring-0 sm:text-sm !ring-0 !outline-none"
					placeholder="Başlık ya da kategorilerde arama yapın..." role="combobox" aria-expanded="false"
					aria-controls="options">
			</div>
			<ul class="p-3 space-y-3 overflow-y-auto max-h-96 scroll-py-3" id="options" role="listbox">
				<li>
					<div class="px-1 py-3 ml-5 text-sm font-semibold text-gray-500">
						Konular
					</div>
				</li>
				<li class="flex p-3 text-gray-500 duration-200 cursor-default select-none hover:text-blue-500 group rounded-xl hover:bg-gray-50"
					id="option-1" role="option" tabindex="-1">
					<a href="#" class="flex text-sm ml-4">
						Merhaba Dünya
					</a>
				</li>
				<li class="flex p-3 text-gray-500 duration-200 cursor-default select-none hover:text-blue-500 group rounded-xl hover:bg-gray-50"
					id="option-1" role="option" tabindex="-1">
					<a href="#" class="flex text-sm ml-4">
						Javascript ile Bildirim Özelliği
					</a>
				</li>
				<li>
					<div class="px-1 py-3 ml-5 text-sm font-semibold text-gray-500">
						Kategoriler
					</div>
				</li>
				<li class="flex p-3 text-gray-500 duration-200 cursor-default select-none hover:text-blue-500 group rounded-xl hover:bg-gray-50"
					id="option-1" role="option" tabindex="-1">
					<a href="#" class="flex text-sm ml-4">
						Javascript
					</a>
				</li>
				<li class="flex p-3 text-gray-500 duration-200 cursor-default select-none hover:text-blue-500 group rounded-xl hover:bg-gray-50"
					id="option-1" role="option" tabindex="-1">
					<a href="#" class="flex text-sm ml-4">
						Laravel
					</a>
				</li>
			</ul>
		</div>
	</div>
	<!-- SEARCH FORM END -->

    <livewire:modals.login />

    @livewireScripts

    <script>

        var toggles = document.querySelectorAll('[data-dropdown-toggle]')

        toggles.forEach(item => {
            item.addEventListener('click', e => {

                var toggleId = e.currentTarget.dataset.dropdownToggle

                e.currentTarget.closest('.relative')?.querySelector(`#${toggleId}`)?.classList.toggle('hidden')
            })

        })

        var homeComments = document.querySelectorAll('.comment-input')

        homeComments.forEach(item => {
            item.addEventListener('focus', () => {
                item.closest('.comment-wrap').querySelector('.comment-inner-text').classList.add('hidden')
            })

            item.addEventListener('focusout', () => {
                if (item.value.length < 1)
                    item.closest('.comment-wrap').querySelector('.comment-inner-text').classList.remove('hidden')
            })
        })

        // Search Form Button
        var searchFormButton = document.querySelector('.search-form-button')
        searchFormButton.addEventListener('click', () => {
            var searchForm = document.querySelector('.search-fixed-form')
            var searchFormContent = searchForm.querySelector('.search-form-content')

            searchForm.classList.remove('opacity-0', 'pointer-events-none')
            searchFormContent.classList.remove('scale-50')
        })

        document.body.addEventListener("click", function (event) {
            var clickedElement = event.target;

            if (clickedElement.tagName === "DIV" && !clickedElement.classList.contains("search-form-content")) {
                document.querySelector('.search-fixed-form').classList.add('pointer-events-none')
                document.querySelector('.search-fixed-form').querySelector('.search-form-content').classList.add('scale-50')
                setTimeout(() => {
                    document.querySelector('.search-fixed-form').classList.add('opacity-0')
                }, 150)
            }
        });


        document.querySelectorAll('.reply-button').forEach(item => {
            item.addEventListener('click', (e) => {

                document.querySelectorAll('.comment-reply').forEach(reply => {
                    reply.classList.add('hidden')
                })

                e.target.closest('.comment').querySelector('.comment-reply').classList.toggle('hidden')
                e.target.closest('.comment').querySelector('.comment-reply textarea').value = ""
            })
        })

        Livewire.on('not-login', () => {
            document.querySelector('#login-modal').classList.remove('hidden')
        })

        Livewire.on('login-refresh', () => {
            document.querySelector('#login-modal').classList.add('hidden')
            location.reload()
        })

        document.querySelector('#login-modal .close-button').addEventListener('click', () => {
            document.querySelector('#login-modal').classList.add('hidden')
        })

        document.querySelectorAll('.not-login').forEach(item => {
            item.addEventListener('click', () => {
                Livewire.dispatch('not-login')
            })
        })
    </script>
</body>
</html>
