<!-- Left content -->
<div class="w-full md:w-60 mb-8 md:mb-0" wire:ignore>
    <div class="md:sticky md:top-16 md:h-[calc(100dvh-64px)] md:overflow-x-hidden md:overflow-y-auto no-scrollbar">
        <div class="md:py-8">

            @if(!Auth::check())
            <div class="p-4 leading-6 bg-white dark:bg-slate-800/20 text-neutral-700 border border-gray-200 dark:border-slate-700 rounded mb-5">
                <h2 class="mx-0 mt-0 mb-4 text-xl font-bold sm:text-xl sm:leading-6 text-neutral-800 dark:text-slate-100">
                    {{__(':sitename is a community of :users amazing developers', ['sitename' => 'typn', 'users' => number_format($users_count, 0, ',', '.')])}}
                </h2>

                <p class="mx-0 mt-0 mb-4 text-zinc-600 dark:text-slate-400 text-sm">
                    {{__('We are a community where coders share, stay up to date and grow their careers.')}}
                </p>

                <div>
                    <a
                        wire:navigate
                        href="{{route('register')}}"
                        class="inline-flex relative justify-center py-2 px-4 mb-1 w-full font-medium text-center text-indigo-600 rounded-md dark:text-slate-100 cursor-pointer"
                        aria-label="{{__('Create account')}}">
                            {{__('Create account')}}
                    </a>

                    <a
                        wire:navigate
                        href="{{route('login')}}"
                        class="flex relative justify-center py-2 px-4 max-w-full bg-white dark:bg-indigo-500/30 dark:text-indigo-400 rounded-md cursor-pointer"
                        aria-label="{{__('Log in')}}">
                            {{__('Log in')}}
                    </a>
                </div>
            </div>
            @endif

            <div class="flex justify-between items-center md:block">
                <!-- Button -->
                <div class="xl:hidden mb-6">
                    @if(!Route::is('thread') && !Route::is('new-thread') && !Route::is('notifications'))
                        @if(Route::is('jobs.index'))
                        <a
                            @if(Auth::check())
                                href="{{ route('jobs.create') }}"
                                wire:navigate
                            @endif
                            class="p-2 text-sm rounded-md font-medium transition-all w-full bg-indigo-500 block text-center hover:bg-indigo-600 text-white cursor-pointer {{ !Auth::check() ? 'not-login' : '' }} ">
                            {{__('Post A Job')}}
                        </a>
                        @else
                        <a
                            @if(Auth::check())
                                href="{{ route('new-thread') }}"
                                wire:navigate
                            @endif
                            class="p-2 text-sm rounded-md font-medium transition-all w-full bg-indigo-500 block text-center hover:bg-indigo-600 text-white cursor-pointer {{ !Auth::check() ? 'not-login' : '' }} ">
                            {{__('Create Post')}}
                        </a>
                        @endif
                    @endif
                </div>
            </div>

            <!-- Links -->
            <div class="flex flex-nowrap overflow-x-scroll no-scrollbar md:block md:overflow-auto px-4 md:space-y-3 -mx-4">
                <!-- Group 1 -->
                <div>
                    <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase mb-3 md:sr-only">Menu</div>
                    <ul class="flex flex-nowrap md:block mr-3 md:mr-0">
                        <li class="mr-0.5 md:mr-0 md:mb-0.5">
                            <a
                                wire:navigate
                                class="flex items-center px-2.5 py-2 rounded whitespace-nowrap transition-all {{ Route::is('home') ? 'bg-white dark:bg-slate-800' : 'hover:bg-white/50' }}"
                                href="{{route('home')}}">
                                <svg class="w-4 h-4 shrink-0 fill-current {{ Route::is('home') ? 'text-indigo-500' : 'text-slate-400 dark:text-slate-500' }} mr-2" viewBox="0 0 16 16">
                                    <path d="M10 16h4c.6 0 1-.4 1-.998V6.016c0-.3-.1-.6-.4-.8L8.6.226c-.4-.3-.9-.3-1.3 0l-6 4.992c-.2.2-.3.5-.3.799v8.986C1 15.6 1.4 16 2 16h4c.6 0 1-.4 1-.998v-2.996h2v2.996c0 .599.4.998 1 .998Zm-4-5.99c-.6 0-1 .399-1 .998v2.995H3V6.515L8 2.32l5 4.194v7.488h-2v-2.995c0-.6-.4-.999-1-.999H6Z" />
                                </svg>
                                <span class="text-sm font-medium {{ Route::is('home') ? 'text-indigo-500' : 'text-slate-600 dark:text-slate-300' }}">{{ __('Home') }}</span>
                            </a>
                        </li>

                        @if(Auth::check())
                            <li class="mr-0.5 md:mr-0 md:mb-0.5">
                                <a
                                    wire:navigate
                                    class="flex items-center px-2.5 py-2 rounded whitespace-nowrap {{ Route::is('favorites') ? 'bg-white dark:bg-slate-800' : 'hover:bg-white/50' }}"
                                    href="{{route('favorites')}}">
                                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4 shrink-0 {{ Route::is('favorites') ? 'text-indigo-500' : 'text-slate-400 dark:text-slate-500' }} mr-2">
                                        <path stroke-linecap="round" stroke-linejoin="round" d="M17.593 3.322c1.1.128 1.907 1.077 1.907 2.185V21L12 17.25 4.5 21V5.507c0-1.108.806-2.057 1.907-2.185a48.507 48.507 0 0111.186 0z" />
                                    </svg>
                                    <span class="text-sm font-medium {{ Route::is('favorites') ? 'text-indigo-500' : 'text-slate-600 dark:text-slate-300' }}">{{ __('Favorites') }}</span>
                                </a>
                            </li>
                        @endif

                        <li class="mr-0.5 md:mr-0 md:mb-0.5">
                            <a
                                wire:navigate
                                class="flex items-center px-2.5 py-2 rounded whitespace-nowrap {{ Route::is('jobs.index') || Route::is('jobs.create') ? 'bg-white dark:bg-slate-800' : 'hover:bg-white/50' }}" href="{{ route('jobs.index') }}">
                                <svg class="w-4 h-4 shrink-0 fill-current {{ Route::is('jobs.index') || Route::is('jobs.create') ? 'text-indigo-500' : 'text-slate-400 dark:text-slate-500' }} mr-2" viewBox="0 0 16 16">
                                    <path d="M5 9h11v2H5V9zM0 9h3v2H0V9zm5 4h6v2H5v-2zm-5 0h3v2H0v-2zm5-8h7v2H5V5zM0 5h3v2H0V5zm5-4h11v2H5V1zM0 1h3v2H0V1z" />
                                </svg>
                                <span class="text-sm font-medium {{ Route::is('jobs.index') || Route::is('jobs.create') ? 'text-indigo-500' : 'text-slate-600 dark:text-slate-300' }}">{{ __('Jobs') }}</span>
                            </a>
                        </li>

                        @if(Auth::check())
                            <li class="mr-0.5 md:mr-0 md:mb-0.5">
                                <a
                                    wire:navigate
                                    class="flex items-center px-2.5 py-2 rounded whitespace-nowrap hover:bg-white/50"
                                    href="{{route('messages.index')}}">
                                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4 shrink-0 text-slate-400 dark:text-slate-500 mr-2">
                                        <path stroke-linecap="round" stroke-linejoin="round" d="M9 3.75H6.912a2.25 2.25 0 00-2.15 1.588L2.35 13.177a2.25 2.25 0 00-.1.661V18a2.25 2.25 0 002.25 2.25h15A2.25 2.25 0 0021.75 18v-4.162c0-.224-.034-.447-.1-.661L19.24 5.338a2.25 2.25 0 00-2.15-1.588H15M2.25 13.5h3.86a2.25 2.25 0 012.012 1.244l.256.512a2.25 2.25 0 002.013 1.244h3.218a2.25 2.25 0 002.013-1.244l.256-.512a2.25 2.25 0 012.013-1.244h3.859M12 3v8.25m0 0l-3-3m3 3l3-3" />
                                    </svg>

                                    <span class="text-sm font-medium text-slate-600 dark:text-slate-300">{{ __('Messages') }}</span>

                                    @if($unreadMessageCount > 0)
                                    <div class="text-xs inline-flex font-medium bg-red-100 dark:bg-red-500/30 text-red-600 dark:text-red-400 rounded-full text-center px-2 py-0.5 ml-auto">
                                        {{ $unreadMessageCount ? $unreadMessageCount : ($unreadMessageCount > 9 ? '9+' : '9') }}
                                    </div>
                                    @endif
                                </a>
                            </li>

                            <li class="mr-0.5 md:mr-0 md:mb-0.5">
                                <a
                                    wire:navigate
                                    class="flex items-center px-2.5 py-2 rounded whitespace-nowrap {{ Route::is('notifications') ? 'bg-white dark:bg-slate-800' : 'hover:bg-white/50' }}"
                                    href="{{ route('notifications') }}">
                                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2.5" stroke="currentColor" class="w-4 h-4 shrink-0 {{ Route::is('notifications') ? 'text-indigo-500' : 'text-slate-400 dark:text-slate-500' }} mr-2">
                                        <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 12h16.5m-16.5 3.75h16.5M3.75 19.5h16.5M5.625 4.5h12.75a1.875 1.875 0 010 3.75H5.625a1.875 1.875 0 010-3.75z" />
                                    </svg>


                                    <span class="text-sm font-medium {{ Route::is('notifications') ? 'text-indigo-500' : 'text-slate-600 dark:text-slate-300' }}">{{ __('Notifications') }}</span>

                                    @if($notificationsCount > 0)
                                        <div class="text-xs inline-flex font-medium bg-red-100 dark:bg-red-500/30 text-red-600 dark:text-red-400 rounded-full text-center px-2 py-0.5 ml-auto">
                                            {{ $notificationsCount > 9 ? '9+' : $notificationsCount }}
                                        </div>
                                    @endif
                                </a>
                            </li>
                        @endif

                        <li class="mr-0.5 md:mr-0 md:mb-0.5">
                            <a
                                wire:navigate
                                class="flex items-center px-2.5 py-2 rounded whitespace-nowrap transition-all hover:bg-white/50"
                                href="{{route('changelog')}}">
                                <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4 shrink-0 stroke-current text-slate-400 dark:text-slate-500 mr-2" width="44" height="44" viewBox="0 0 24 24" stroke-width="2" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M3 6a3 3 0 1 0 6 0a3 3 0 0 0 -6 0" />
                                    <path d="M21 11v-3a2 2 0 0 0 -2 -2h-6l3 3m0 -6l-3 3" />
                                    <path d="M3 13v3a2 2 0 0 0 2 2h6l-3 -3m0 6l3 -3" />
                                    <path d="M15 18a3 3 0 1 0 6 0a3 3 0 0 0 -6 0" />
                                </svg>
                                <span class="text-sm font-medium text-slate-600 dark:text-slate-300">{{ __('Changelog') }}</span>
                            </a>
                        </li>
                    </ul>
                </div>


                    @if(Route::is('jobs.index'))
                        <div class="space-y-8">
                            <div class="bg-white dark:bg-slate-800 shadow-lg rounded-sm border border-slate-200 dark:border-slate-700 p-5 min-w-60">
                                <div class="grid md:grid-cols-2 xl:grid-cols-1 gap-6">
                                    <div>
                                        <div class="text-sm text-slate-800 dark:text-slate-100 font-semibold mb-3">{{ __('Category') }}</div>
                                        <ul class="space-y-2">
                                            @foreach($jobcategories as $category)
                                            <li>
                                                <label class="flex items-center">
                                                    <input
                                                    wire:change="filter"
                                                    wire:model="updateCategories"
                                                    type="checkbox" class="form-checkbox" value="{{$category->id}}" />
                                                    <span class="text-sm text-slate-600 dark:text-slate-300 font-medium ml-2">{{ $category->title }}</span>
                                                </label>
                                            </li>
                                            @endforeach
                                        </ul>
                                    </div>
                                    <div>
                                        <div class="text-sm text-slate-800 dark:text-slate-100 font-semibold mb-3">{{ __('Budget') }}</div>
                                        <ul class="space-y-2">
                                            <li>
                                                <label class="flex items-center">
                                                    <input wire:change="filter" wire:model="budget" type="checkbox" class="form-checkbox" value="1000-10000" checked />
                                                    <span class="text-sm text-slate-600 dark:text-slate-300 font-medium ml-2">1000 - 10000 TL</span>
                                                </label>
                                            </li>
                                            <li>
                                                <label class="flex items-center">
                                                    <input wire:change="filter" wire:model="budget" type="checkbox" class="form-checkbox" value="10000-20000" />
                                                    <span class="text-sm text-slate-600 dark:text-slate-300 font-medium ml-2">10000 - 20000 TL</span>
                                                </label>
                                            </li>
                                            <li>
                                                <label class="flex items-center">
                                                    <input wire:change="filter" wire:model="budget" type="checkbox" class="form-checkbox" value="20000-30000" />
                                                    <span class="text-sm text-slate-600 dark:text-slate-300 font-medium ml-2">20000 - 30000 TL</span>
                                                </label>
                                            </li>
                                            <li>
                                                <label class="flex items-center">
                                                    <input wire:change="filter" wire:model="budget" type="checkbox" class="form-checkbox" value="over_30000" />
                                                    <span class="text-sm text-slate-600 dark:text-slate-300 font-medium ml-2">> 30000 TL</span>
                                                </label>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @else
                        <div>
                            <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase mb-3">{{ __('Categories') }}</div>
                            <ul class="flex flex-nowrap md:block mr-3 md:mr-0">
                                @foreach($all_categories as $category)
                                <li class="mr-0.5 md:mr-0 md:mb-0.5">
                                    <a
                                        wire:navigate
                                        class="flex gap-1 items-center px-2.5 py-2 rounded whitespace-nowrap  transition-all @if(Request::is('c/' . $category->slug) == $category->slug) bg-white dark:bg-slate-800 text-indigo-500  @else hover:bg-white dark:hover:bg-slate-800 text-slate-500 dark:text-slate-500 dark:hover:text-slate-200 @endif"
                                        href="{{ route('category', $category->slug) }}">
                                        #
                                        <span class="text-sm font-medium">{{ $category->title }}</span>
                                    </a>
                                </li>
                                @endforeach
                            </ul>
                        </div>
                    @endif

            </div>

            @if(get_ad('left_sidebar'))
                <div class="my-4">
                    {!! get_ad('left_sidebar') !!}
                </div>
            @endif

        </div>
    </div>
</div>
