<!-- Right content -->
<div class="w-full hidden xl:block xl:w-72" wire:ignore>
    <div class="lg:sticky lg:top-16 lg:h-[calc(100dvh-64px)] lg:overflow-x-hidden lg:overflow-y-auto no-scrollbar">
        <div class="md:py-8">

            @if(!Route::is('thread') && !Route::is('new-thread') && !Route::is('notifications'))
            <!-- Button -->
            <div class="mb-6">
                @if(Route::is('jobs.index'))
                <a
                    @if(Auth::check())
                        href="{{ route('jobs.create') }}"
                        wire:navigate
                    @endif
                    class="p-2 text-sm rounded-md font-medium transition-all w-full bg-indigo-500 block text-center hover:bg-indigo-600 text-white cursor-pointer {{ !Auth::check() ? 'not-login' : '' }} ">
                    {{__('Post A Job')}}
                </a>
                @else
                <a
                    @if(Auth::check())
                        href="{{ route('new-thread') }}"
                        wire:navigate
                    @endif
                    class="p-2 text-sm rounded-md font-medium transition-all w-full bg-indigo-500 block text-center hover:bg-indigo-600 text-white cursor-pointer {{ !Auth::check() ? 'not-login' : '' }} ">
                    {{__('Create Post')}}
                </a>
                @endif
            </div>
            @endif

            <!-- Blocks -->
            <div class="space-y-4">

                @if(Route::is('thread'))
                    <livewire:thread.profile-box :$user />
                @endif

                @if(!Route::is('thread') && !Route::is('jobs.index'))
                <!-- Block 1 -->
                <div class="bg-slate-50 dark:bg-slate-800/20 p-4 rounded border border-slate-200 dark:border-slate-700">
                    <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase mb-4">{{ __('Top Categories') }}</div>
                    <ul class="space-y-3">
                        @foreach($popular_categories as $category)
                        <li>
                            <div class="flex items-center justify-between">
                                <div class="grow flex items-center">
                                    <div class="truncate">
                                        <span class="text-sm font-medium text-slate-800 dark:text-slate-100">{{ $category->title }}</span>
                                    </div>
                                </div>
                                <a
                                    wire:navigate
                                    href="{{route('category', $category->slug)}}"
                                    class="text-xs inline-flex font-medium bg-indigo-100 dark:bg-indigo-500/30 text-indigo-600 dark:text-indigo-400 rounded-full text-center px-2.5 py-1">
                                    {{ __('View') }}
                                </a>
                            </div>
                        </li>
                        @endforeach
                    </ul>
                </div>
                @endif

                <!-- Block 2 -->
                <div class="bg-slate-50 dark:bg-slate-800/20 p-4 rounded border border-slate-200 dark:border-slate-700">
                    <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase mb-4">{{ __('Who To Follow') }}</div>
                    <ul class="space-y-3">
                        @foreach($recommended_users as $user)
                            <livewire:user.recommended :user="$user" :uid="$user->id" />
                        @endforeach
                    </ul>
                </div>

                @if(get_ad('right_sidebar'))
                    <div class="my-4">
                        {!! get_ad('right_sidebar') !!}
                    </div>
                @endif
            </div>
        </div>
    </div>
</div>
