<!-- Item Start -->
<div
    class="bg-white flex gap-5 p-5 transition-all hover:bg-gray-50 2xl:border 2xl:border-gray-200 2xl:rounded-lg">
    <div class="relative">
        <div class="group">
            <a
                wire:navigate
                href="{{ route('user-profile', $thread->user->username) }}"
                class="shrink-0 sticky top-5 block p-2">
                @if($thread->user->profile_photo_path)
                    <img
                        src="{{ asset('storage/' . $thread->user->profile_photo_path) }}"
                        class="w-14 h-14 rounded-full"
                        alt="{{$thread->user->username}}"
                    >
                @else
                    <div class="w-14 h-14 bg-gray-100 rounded-full flex items-center justify-center text-2xl font-bold text-gray-400 uppercase">
                        {{mb_substr($thread->user->username, 0, 1)}}
                    </div>
                @endif
                {{-- <span
                    class="top-2 right-2 absolute w-3.5 h-3.5 bg-green-400 border-2 border-gray-100  rounded-full"></span> --}}
            </a>
            <x-user.dropdown-box
                :name="$thread->user->name"
                :username="$thread->user->username"
                :about="$thread->user->about"
                :photo="$thread->user->profile_photo_path"
            />
        </div>
    </div>
    <div class="flex-1">
        <div>
            <div class="flex">
                <a
                    wire:navigate
                    href="{{ route('thread', $thread->slug) }}"
                    class="font-bold text-xl line-clamp-2 text-gray-600 flex-1">
                    {{$thread->title}}
                </a>
                @if(
                    Auth::check() && $thread->user->id == Auth::user()->id ||
                    Auth::check() && Auth::user()->type == "admin"
                )
                <div class="w-20 shrink-0 flex justify-end items-start">
                    {{-- <div class="relative">
                        <button id="dropdownMenuIconButton" data-dropdown-toggle="dropdownDots"
                            class="inline-flex items-center p-2 text-sm font-medium text-center text-gray-900"
                            type="button">
                            <svg class="w-4 h-4" aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg" fill="currentColor"
                                viewBox="0 0 4 15">
                                <path
                                    d="M3.5 1.5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0Zm0 6.041a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0Zm0 5.959a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0Z" />
                            </svg>
                        </button>
                        <!-- Dropdown menu -->
                        <div id="dropdownDots"
                            class="absolute top-full right-0 z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44 dark:bg-gray-700 dark:divide-gray-600">
                            <ul class="py-2 text-sm text-gray-700 dark:text-gray-200"
                                aria-labelledby="dropdownMenuIconButton">
                                <li>
                                    <a href="#"
                                        class="block px-4 py-2 hover:bg-gray-100 dark:hover:bg-gray-600 dark:hover:text-white">Düzenle</a>
                                </li>
                                <li>
                                    <a href="{{ route('delete-thread', $thread->id) }}"
                                        class="block px-4 py-2 hover:bg-gray-100 dark:hover:bg-gray-600 dark:hover:text-white">Sil</a>
                                </li>
                            </ul>
                            <div class="py-2">
                                <a href="{{ route('thread-status', [$thread->id, $thread->status != 'archive' ? 'archive' : 'published']) }}"
                                    class="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100 dark:hover:bg-gray-600 dark:text-gray-200 dark:hover:text-white">Arşivle</a>
                            </div>
                        </div>
                    </div> --}}

                    {{-- <livewire:thread.dropdown.settings :key="uniqid()" :id="$thread->id" /> --}}
                    <livewire:thread.dropdown.settings :key="$thread->id" :itemid="$thread->id" />
                </div>
                @endif
            </div>
            <div class="line-clamp-3 text-gray-500 my-3">
                {{$thread->content}}
            </div>
            <div class="flex justify-between items-center">
                <div class="flex gap-1">
                    <a
                        wire:navigate
                        href="{{ route('category', $thread->category->slug) }}"
                        class="py-1 px-2 rounded-full bg-gray-100 hover:bg-gray-200 text-gray-500 text-sm transition-all">
                        {{ $thread->category->title }}
                    </a>
                </div>
                <div class="text-sm flex gap-5 items-center">
                    <a
                        href="{{ route('user-profile', $thread->user->username) }}"
                        class="font-medium hover:text-sky-700 transition-all"
                        wire:navigate
                        >
                        {{ $thread->user->name }}
                    </a>
                    <span class="text-gray-500">
                        {{ $thread->created_at->diffForHumans() }}
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Item End -->
