<!-- Sidebar -->
<div class="flex flex-nowrap overflow-x-scroll no-scrollbar md:block md:overflow-auto px-3 py-6 border-b md:border-b-0 md:border-r border-slate-200 dark:border-slate-700 min-w-60 md:space-y-3">

    <!-- Group 1 -->
    <div>
        <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase mb-3">{{ __('Account Settings') }}</div>
        <ul class="flex flex-nowrap md:block mr-3 md:mr-0">
            <li class="mr-0.5 md:mr-0 md:mb-0.5">
                <a
                    wire:navigate
                    class="flex items-center px-2.5 py-2 rounded whitespace-nowrap {{Route::is('edit-profile.index') ? 'bg-indigo-50 dark:bg-indigo-500/30' : ''}} "  href="{{route('edit-profile.index')}}">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" class="w-4 h-4 shrink-0 {{Route::is('edit-profile.index') ? 'text-indigo-400' : 'text-slate-400 dark:text-slate-500'}} mr-2">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M15.75 6a3.75 3.75 0 11-7.5 0 3.75 3.75 0 017.5 0zM4.501 20.118a7.5 7.5 0 0114.998 0A17.933 17.933 0 0112 21.75c-2.676 0-5.216-.584-7.499-1.632z" />
                    </svg>
                    <span class="text-sm font-medium {{Route::is('edit-profile.index') ? 'text-indigo-500 dark:text-indigo-400' : 'text-slate-600 dark:text-slate-300 hover:text-slate-700 dark:hover:text-slate-200'}}">{{ __('My Account') }}</span>
                </a>
            </li>
            <li class="mr-0.5 md:mr-0 md:mb-0.5">
                <a
                    wire:navigate
                    class="flex items-center px-2.5 py-2 rounded whitespace-nowrap {{Route::is('edit-profile.email') ? 'bg-indigo-50 dark:bg-indigo-500/30' : ''}}"
                    href="{{route('edit-profile.email')}}">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" class="w-4 h-4 shrink-0 {{Route::is('edit-profile.email') ? 'text-indigo-400' : 'text-slate-400 dark:text-slate-500'}} mr-2">
                        <path stroke-linecap="round" d="M16.5 12a4.5 4.5 0 11-9 0 4.5 4.5 0 019 0zm0 0c0 1.657 1.007 3 2.25 3S21 13.657 21 12a9 9 0 10-2.636 6.364M16.5 12V8.25" />
                    </svg>
                    <span class="text-sm font-medium {{Route::is('edit-profile.email') ? 'text-indigo-500 dark:text-indigo-400' : 'text-slate-600 dark:text-slate-300 hover:text-slate-700 dark:hover:text-slate-200'}}">{{ __('Email') }}</span>
                </a>
            </li>
            <li class="mr-0.5 md:mr-0 md:mb-0.5">
                <a
                    wire:navigate
                    class="flex items-center px-2.5 py-2 rounded whitespace-nowrap {{Route::is('edit-profile.password') ? 'bg-indigo-50 dark:bg-indigo-500/30' : ''}} "
                    href="{{ route('edit-profile.password') }}">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" class="w-4 h-4 shrink-0 {{Route::is('edit-profile.password') ? 'text-indigo-400' : 'text-slate-400 dark:text-slate-500'}} mr-2">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M15.75 5.25a3 3 0 013 3m3 0a6 6 0 01-7.029 5.912c-.563-.097-1.159.026-1.563.43L10.5 17.25H8.25v2.25H6v2.25H2.25v-2.818c0-.597.237-1.17.659-1.591l6.499-6.499c.404-.404.527-1 .43-1.563A6 6 0 1121.75 8.25z" />
                    </svg>
                    <span class="text-sm font-medium {{Route::is('edit-profile.password') ? 'text-indigo-500 dark:text-indigo-400' : 'text-slate-600 dark:text-slate-300 hover:text-slate-700 dark:hover:text-slate-200'}}">{{ __('Password') }}</span>
                </a>
            </li>
            {{-- <li class="mr-0.5 md:mr-0 md:mb-0.5">
                <a
                    wire:navigate
                    class="flex items-center px-2.5 py-2 rounded whitespace-nowrap {{Route::is('edit-profile.premium') ? 'bg-indigo-50 dark:bg-indigo-500/30' : ''}}"
                    href="{{ route('edit-profile.premium') }}">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" class="w-4 h-4 shrink-0 {{Route::is('edit-profile.premium') ? 'text-indigo-400' : 'text-slate-400 dark:text-slate-500'}} mr-2">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M11.48 3.499a.562.562 0 011.04 0l2.125 5.111a.563.563 0 00.475.345l5.518.442c.499.04.701.663.321.988l-4.204 3.602a.563.563 0 00-.182.557l1.285 5.385a.562.562 0 01-.84.61l-4.725-2.885a.563.563 0 00-.586 0L6.982 20.54a.562.562 0 01-.84-.61l1.285-5.386a.562.562 0 00-.182-.557l-4.204-3.602a.563.563 0 01.321-.988l5.518-.442a.563.563 0 00.475-.345L11.48 3.5z" />
                    </svg>
                    <span class="text-sm font-medium {{Route::is('edit-profile.premium') ? 'text-indigo-500 dark:text-indigo-400' : 'text-slate-600 dark:text-slate-300 hover:text-slate-700 dark:hover:text-slate-200'}}">{{ __('Premium') }}</span>
                </a>
            </li> --}}
        </ul>
    </div>
    <!-- Group 2 -->
    <div>
        <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase mb-3">{{ __('Experience') }}</div>
        <ul class="flex flex-nowrap md:block mr-3 md:mr-0">
            <li class="mr-0.5 md:mr-0 md:mb-0.5">
                <a
                    wire:navigate
                    class="flex items-center px-2.5 py-2 rounded whitespace-nowrap  {{Route::is('edit-profile.feedback') ? 'bg-indigo-50 dark:bg-indigo-500/30' : ''}}"
                    href="{{ route('edit-profile.feedback') }}">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" class="w-4 h-4 shrink-0 {{Route::is('edit-profile.feedback') ? 'text-indigo-400' : 'text-slate-400 dark:text-slate-500'}} mr-2">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M12 18v-5.25m0 0a6.01 6.01 0 001.5-.189m-1.5.189a6.01 6.01 0 01-1.5-.189m3.75 7.478a12.06 12.06 0 01-4.5 0m3.75 2.383a14.406 14.406 0 01-3 0M14.25 18v-.192c0-.983.658-1.823 1.508-2.316a7.5 7.5 0 10-7.517 0c.85.493 1.509 1.333 1.509 2.316V18" />
                    </svg>
                    <span class="text-sm font-medium {{Route::is('edit-profile.feedback') ? 'text-indigo-500 dark:text-indigo-400' : 'text-slate-600 dark:text-slate-300 hover:text-slate-700 dark:hover:text-slate-200'}}">{{ __('Give Feedback') }}</span>
                </a>
            </li>
        </ul>
    </div>
</div>
