<div class="my-8">

    <div class="sm:flex sm:justify-between sm:items-center mb-8">

        <!-- Left: Title -->
        <div class="mb-4 sm:mb-0">
            <h1 class="text-2xl md:text-3xl text-slate-800 dark:text-slate-100 font-bold">
                {{ __('Changelog') }}
            </h1>
        </div>

        @if(Auth::check() && Auth::user()->type == "admin")
        <!-- Right: Actions -->
        <div class="grid grid-flow-col sm:auto-cols-max justify-start sm:justify-end gap-2">
            <button wire:click="triggerBox" class="btn bg-indigo-500 hover:bg-indigo-600 text-white">
                <svg class="w-4 h-4 fill-current opacity-50 shrink-0" viewBox="0 0 16 16">
                    <path d="M15 7H9V1c0-.6-.4-1-1-1S7 .4 7 1v6H1c-.6 0-1 .4-1 1s.4 1 1 1h6v6c0 .6.4 1 1 1s1-.4 1-1V9h6c.6 0 1-.4 1-1s-.4-1-1-1z" />
                </svg>
                <span class="ml-2">{{ __('Add New') }}</span>
            </button>
        </div>
        @endif
    </div>

    @if($textBox)
    <div class="border-t border-slate-200 dark:border-slate-700 py-5">
        <form wire:submit="add" class="space-y-5">

            <div>
                <label class="block text-sm font-medium mb-1" for="title">{{ __('Title') }}</label>
                <input wire:model="title" id="title" class="form-input w-full" type="text">
                @error('title') <div class="text-xs mt-1 text-rose-500">{{ $message }}</div> @enderror
            </div>

            <div>
                <label class="block text-sm font-medium mb-1" for="title">{{ __('Content') }}</label>
                <input wire:model="content" id="content" type="hidden" name="content" value="{{$content}}">
                <div wire:ignore>
                    <trix-editor
                    class="trix-editor"
                    wire:ignore
                    wire:trix-change="setContent($event.target.value)"
                    input="content"
                    ></trix-editor>
                </div>
                @error('content') <div class="text-xs mt-1 text-rose-500">{{ $message }}</div> @enderror
            </div>
            <button type="submit" class="inline-flex items-center px-5 py-2.5 mt-4 sm:mt-6 text-sm font-medium text-center text-white bg-blue-500 rounded-lg focus:ring-4 focus:ring-primary-200 dark:focus:ring-primary-900 hover:bg-primary-800">
                {{ __('Create') }}
            </button>
        </form>
    </div>
    @endif

    <div class="border-t border-slate-200 dark:border-slate-700">
        <div class="max-w-3xl m-auto mt-8">

            <!-- Posts -->
            <div class="xl:-translate-x-16">
            @if($changelogs->count() > 0)
                @foreach($changelogs as $changelog)
                    <article class="pt-6">
                        <div class="xl:flex">
                            <div class="w-32 shrink-0">
                                <div class="text-xs font-semibold uppercase text-slate-400 dark:text-slate-500 xl:leading-8">{{ $changelog->created_at->translatedFormat('j F Y') }}</div>
                            </div>
                            <div class="grow pb-6 border-b border-slate-200 dark:border-slate-700">
                                <header>
                                    <h2 class="text-2xl text-slate-800 dark:text-slate-100 font-bold mb-3">{{ $changelog->title }}</h2>

                                    <div class="flex flex-nowrap items-center space-x-2 mb-4">
                                        <div class="flex items-center">
                                            <a
                                                wire:navigate
                                                class="block mr-2 shrink-0"
                                                href="{{ route('user-profile', $changelog->user->username) }}">
                                                <x-user.avatar :user="$changelog->user" class="w-8 h-8 bg-white" />
                                            </a>
                                            <a
                                                wire:navigate
                                                class="block text-sm font-semibold text-slate-800 dark:text-slate-100"
                                                href="{{ route('user-profile', $changelog->user->username) }}">
                                                {{$changelog->user->name}}
                                            </a>
                                        </div>
                                        @if(Auth::user()->type == "admin")
                                            <button wire:click="delete({{$changelog->id}})" class="text-sm">{{ __('Delete') }}</button>
                                        @endif
                                    </div>

                                </header>
                                <div class="space-y-3">
                                    {!! $changelog->content !!}
                                </div>
                            </div>
                        </div>
                    </article>
                @endforeach
            @else
                <div class="text-2xl text-center">{{ __('No changes published.') }}</div>
            @endif
            </div>

            @if($changelogs->count() > 0)
            <div class="mt-5">
                {{ $changelogs->links() }}
            </div>
            @endif
        </div>
    </div>
</div>
