<div class="my-8">

    <x-parts.admin.navigation />

    <div class="mb-8">

        <!-- Title -->
        <h1 class="text-2xl md:text-3xl text-slate-800 dark:text-slate-100 font-bold">
            {{ __('Ad Settings') }}
        </h1>

    </div>

    <div class="bg-white dark:bg-slate-800 shadow-lg rounded-sm mb-8">
        <div class="flex flex-col md:flex-row md:-mr-px">

            <!-- Sidebar -->
            <div class="flex flex-nowrap overflow-x-scroll no-scrollbar md:block md:overflow-auto px-3 py-6 border-b md:border-b-0 md:border-r border-slate-200 dark:border-slate-700 min-w-60 md:space-y-3" wire:ignore>
                <div>
                    <ul class="flex flex-nowrap md:block mr-3 md:mr-0">
                        <li class="mr-0.5 md:mr-0 md:mb-0.5">
                            <a
                                wire:navigate
                                class="flex items-center px-2.5 py-2 rounded whitespace-nowrap @if(Route::isWith('dashboard.ads', 'home')) bg-indigo-50 dark:bg-indigo-500/30 @endif"
                                href="{{route('dashboard.ads', 'home')}}"

                                >
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" class="w-4 h-4 shrink-0 @if(Route::isWith('dashboard.ads', 'home')) stroke-indigo-400 @else stroke-slate-400 dark:stroke-slate-500 @endif mr-2">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M2.25 12l8.954-8.955c.44-.439 1.152-.439 1.591 0L21.75 12M4.5 9.75v10.125c0 .621.504 1.125 1.125 1.125H9.75v-4.875c0-.621.504-1.125 1.125-1.125h2.25c.621 0 1.125.504 1.125 1.125V21h4.125c.621 0 1.125-.504 1.125-1.125V9.75M8.25 21h8.25" />
                                </svg>
                                <span class="text-sm font-medium  @if(Route::isWith('dashboard.ads', 'home')) text-indigo-500 dark:text-indigo-400 @else text-slate-600 dark:text-slate-300 hover:text-slate-700 dark:hover:text-slate-200 @endif ">{{ __('Home') }}</span>
                            </a>
                        </li>
                        <li class="mr-0.5 md:mr-0 md:mb-0.5">
                            <a
                                wire:navigate
                                class="flex items-center px-2.5 py-2 rounded whitespace-nowrap @if(Route::isWith('dashboard.ads', 'sidebar')) bg-indigo-50 dark:bg-indigo-500/30 @endif"
                                href="{{route('dashboard.ads', 'sidebar')}}">
                                <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4 shrink-0 @if(Route::isWith('dashboard.ads', 'sidebar')) stroke-indigo-400 @else stroke-slate-400 dark:stroke-slate-500 @endif mr-2" width="44" height="44" viewBox="0 0 24 24" stroke-width="2" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M4 4m0 2a2 2 0 0 1 2 -2h12a2 2 0 0 1 2 2v12a2 2 0 0 1 -2 2h-12a2 2 0 0 1 -2 -2z" />
                                    <path d="M9 4l0 16" />
                                </svg>
                                <span class="text-sm font-medium @if(Route::isWith('dashboard.ads', 'sidebar')) text-indigo-500 dark:text-indigo-400 @else text-slate-600 dark:text-slate-300 hover:text-slate-700 dark:hover:text-slate-200 @endif">{{ __('Sidebar') }}</span>
                            </a>
                        </li>
                        <li class="mr-0.5 md:mr-0 md:mb-0.5">
                            <a
                                wire:navigate
                                class="flex items-center px-2.5 py-2 rounded whitespace-nowrap @if(Route::isWith('dashboard.ads', 'thread')) bg-indigo-50 dark:bg-indigo-500/30 @endif"
                                href="{{route('dashboard.ads', 'thread')}}">
                                <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4 shrink-0 @if(Route::isWith('dashboard.ads', 'thread')) stroke-indigo-400 @else stroke-slate-400 dark:stroke-slate-500 @endif mr-2" width="44" height="44" viewBox="0 0 24 24" stroke-width="2" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M4 4m0 2a2 2 0 0 1 2 -2h12a2 2 0 0 1 2 2v2a2 2 0 0 1 -2 2h-12a2 2 0 0 1 -2 -2z" />
                                    <path d="M4 14m0 2a2 2 0 0 1 2 -2h12a2 2 0 0 1 2 2v2a2 2 0 0 1 -2 2h-12a2 2 0 0 1 -2 -2z" />
                                </svg>
                                <span class="text-sm font-medium @if(Route::isWith('dashboard.ads', 'thread')) text-indigo-500 dark:text-indigo-400 @else text-slate-600 dark:text-slate-300 hover:text-slate-700 dark:hover:text-slate-200 @endif">{{ __('Thread') }}</span>
                            </a>
                        </li>
                        <li class="mr-0.5 md:mr-0 md:mb-0.5">
                            <a
                                wire:navigate
                                class="flex items-center px-2.5 py-2 rounded whitespace-nowrap @if(Route::isWith('dashboard.ads', 'favorites')) bg-indigo-50 dark:bg-indigo-500/30 @endif"
                                href="{{ route('dashboard.ads', 'favorites') }}">
                                <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4 shrink-0 @if(Route::isWith('dashboard.ads', 'favorites')) stroke-indigo-400 @else stroke-slate-400 dark:stroke-slate-500 @endif mr-2" width="44" height="44" viewBox="0 0 24 24" stroke-width="2" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M9 4h6a2 2 0 0 1 2 2v14l-5 -3l-5 3v-14a2 2 0 0 1 2 -2" />
                                </svg>
                                <span class="text-sm font-medium @if(Route::isWith('dashboard.ads', 'favorites')) text-indigo-500 dark:text-indigo-400 @else text-slate-600 dark:text-slate-300 hover:text-slate-700 dark:hover:text-slate-200 @endif">{{ __('Favorites') }}</span>
                            </a>
                        </li>
                        <li class="mr-0.5 md:mr-0 md:mb-0.5">
                            <a
                                wire:navigate
                                class="flex items-center px-2.5 py-2 rounded whitespace-nowrap @if(Route::isWith('dashboard.ads', 'jobs')) bg-indigo-50 dark:bg-indigo-500/30 @endif"
                                href="{{ route('dashboard.ads', 'jobs') }}">
                                <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4 shrink-0 @if(Route::isWith('dashboard.ads', 'jobs')) stroke-indigo-400 @else stroke-slate-400 dark:stroke-slate-500 @endif mr-2" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M8 7a4 4 0 1 0 8 0a4 4 0 0 0 -8 0" />
                                    <path d="M6 21v-2a4 4 0 0 1 4 -4h1.5" />
                                    <path d="M18 18m-3 0a3 3 0 1 0 6 0a3 3 0 1 0 -6 0" />
                                    <path d="M20.2 20.2l1.8 1.8" />
                                </svg>
                                <span class="text-sm font-medium @if(Route::isWith('dashboard.ads', 'jobs')) text-indigo-500 dark:text-indigo-400 @else text-slate-600 dark:text-slate-300 hover:text-slate-700 dark:hover:text-slate-200 @endif">{{ __('Jobs') }}</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>

            <!-- Panel -->
            <form wire:submit="save" class="grow">

                @if (session('success'))
                    <div class="p-4 mb-4 text-sm text-green-800 rounded-lg bg-green-50 dark:bg-gray-800 dark:text-green-400" role="alert">
                        {{ session('success') }}
                    </div>
                @elseif (session('error'))
                    <div class="p-4 mb-4 text-sm text-red-800 rounded-lg bg-red-50 dark:bg-gray-800 dark:text-red-400" role="alert">
                        {{ session('error') }}
                    </div>
                @endif

                @if($tab == 'home' || $tab == '')
                    <div class="p-6 space-y-6">
                        <h2 class="text-2xl text-slate-800 dark:text-slate-100 font-bold mb-5">{{ __('Home') }}</h2>

                        <section>
                            <div class="space-y-10">
                                <div>
                                    <label class="block text-sm font-medium mb-1" for="home_between_posts">{{ __('Ad space between posts') }}</label>
                                    <textarea wire:model="home_between_posts" id="home_between_posts" cols="30" rows="5" class="form-textarea w-full focus:border-slate-300 resize-none"></textarea>
                                </div>
                                <div>
                                    <label class="block text-sm font-medium mb-1" for="home_under_tab">{{ __('Ad space under tab') }}</label>
                                    <textarea wire:model="home_under_tab" id="home_under_tab" cols="30" rows="5" class="form-textarea w-full focus:border-slate-300 resize-none"></textarea>
                                </div>
                            </div>
                        </section>
                    </div>
                @elseif($tab == 'sidebar')
                    <div class="p-6 space-y-6">
                        <h2 class="text-2xl text-slate-800 dark:text-slate-100 font-bold mb-5">{{ __('Sidebar') }}</h2>

                        <section>
                            <div class="space-y-10">
                                <div>
                                    <label class="block text-sm font-medium mb-1" for="left_sidebar">{{ __('Left Sidebar Ad Space') }}</label>
                                    <textarea wire:model="left_sidebar" id="left_sidebar" cols="30" rows="5" class="form-textarea w-full focus:border-slate-300 resize-none"></textarea>
                                </div>
                                <div>
                                    <label class="block text-sm font-medium mb-1" for="right_sidebar">{{ __('Right Sidebar Ad Space') }}</label>
                                    <textarea wire:model="right_sidebar" id="right_sidebar" cols="30" rows="5" class="form-textarea w-full focus:border-slate-300 resize-none"></textarea>
                                </div>
                            </div>
                        </section>
                    </div>
                @elseif($tab == "thread")
                    <div class="p-6 space-y-6">
                        <h2 class="text-2xl text-slate-800 dark:text-slate-100 font-bold mb-5">{{ __('Thread') }}</h2>

                        <section>
                            <div class="space-y-10">
                                <div>
                                    <label class="block text-sm font-medium mb-1" for="article_top">{{ __('In-article Top Ad Space') }}</label>
                                    <textarea wire:model="article_top" id="article_top" cols="30" rows="5" class="form-textarea w-full focus:border-slate-300 resize-none"></textarea>
                                </div>
                                <div>
                                    <label class="block text-sm font-medium mb-1" for="under_comment_form">{{ __('Ad Space Under Comment Form') }}</label>
                                    <textarea wire:model="under_comment_form" id="right_sidebar" cols="30" rows="5" class="form-textarea w-full focus:border-slate-300 resize-none"></textarea>
                                </div>
                            </div>
                        </section>
                    </div>
                @elseif($tab == "favorites")
                    <div class="p-6 space-y-6">
                        <h2 class="text-2xl text-slate-800 dark:text-slate-100 font-bold mb-5">{{ __('Favorites') }}</h2>

                        <section>
                            <div class="space-y-10">
                                <div>
                                    <label class="block text-sm font-medium mb-1" for="favorite_between_posts">{{ __('Ad space between posts') }}</label>
                                    <textarea wire:model="favorite_between_posts" id="favorite_between_posts" cols="30" rows="5" class="form-textarea w-full focus:border-slate-300 resize-none"></textarea>
                                </div>
                                <div>
                                    <label class="block text-sm font-medium mb-1" for="favorite_header">{{ __('Ad Space Above Favorites') }}</label>
                                    <textarea wire:model="favorite_header" id="favorite_header" cols="30" rows="5" class="form-textarea w-full focus:border-slate-300 resize-none"></textarea>
                                </div>
                            </div>
                        </section>
                    </div>
                @elseif($tab == 'jobs')
                    <div class="p-6 space-y-6">
                        <h2 class="text-2xl text-slate-800 dark:text-slate-100 font-bold mb-5">{{ __('Jobs') }}</h2>

                        <section>
                            <div class="space-y-10">
                                <div>
                                    <label class="block text-sm font-medium mb-1" for="job_under_search_form">{{ __('Ad Space Under Search Form') }}</label>
                                    <textarea wire:model="job_under_search_form" id="job_under_search_form" cols="30" rows="5" class="form-textarea w-full focus:border-slate-300 resize-none"></textarea>
                                </div>
                                <div>
                                    <label class="block text-sm font-medium mb-1" for="job_content_top">{{ __('Content Top Ad Space') }}</label>
                                    <textarea wire:model="job_content_top" id="favorite_header" cols="30" rows="5" class="form-textarea w-full focus:border-slate-300 resize-none"></textarea>
                                </div>
                                <div>
                                    <label class="block text-sm font-medium mb-1" for="job_above_apply_button">{{ __('Ad Space Above the Apply Button in the Content') }}</label>
                                    <textarea wire:model="job_above_apply_button" id="job_above_apply_button" cols="30" rows="5" class="form-textarea w-full focus:border-slate-300 resize-none"></textarea>
                                </div>
                                <div>
                                    <label class="block text-sm font-medium mb-1" for="job_sidebar">{{ __('Content Sidebar') }}</label>
                                    <textarea wire:model="job_sidebar" id="job_sidebar" cols="30" rows="5" class="form-textarea w-full focus:border-slate-300 resize-none"></textarea>
                                </div>
                            </div>
                        </section>
                    </div>
                @endif

                <footer>
                    <div class="flex flex-col px-6 py-5 border-t border-slate-200 dark:border-slate-700">
                        <div class="flex self-end">
                            <button type="submit" class="btn bg-indigo-500 hover:bg-indigo-600 text-white ml-3">{{ __('Save Changes') }}</button>
                        </div>
                    </div>
                </footer>
            </form>

        </div>
    </div>
</div>
