<div class="my-8">

    <x-parts.admin.navigation />

    <div class="mb-8">
        <h1 class="text-2xl md:text-3xl text-slate-800 dark:text-slate-100 font-bold">
            {{ __('Edit Category') }}
        </h1>
    </div>

    <div class="bg-white dark:bg-slate-800 shadow-lg rounded-sm mb-8">
        <div class="flex flex-col md:flex-row md:-mr-px">

            <form wire:submit="save" class="grow">
                <div class="p-6 space-y-6">

                    @if (session('success'))
                        <div class="p-4 mb-4 text-sm text-green-800 rounded-lg bg-green-50 dark:bg-gray-800 dark:text-green-400" role="alert">
                            {{ session('success') }}
                        </div>
                    @elseif (session('error'))
                        <div class="p-4 mb-4 text-sm text-red-800 rounded-lg bg-red-50 dark:bg-gray-800 dark:text-red-400" role="alert">
                            {{ session('error') }}
                        </div>
                    @endif


                    <section>
                        <div class="grid sm:grid-cols-2 gap-4">
                            <div>
                                <label class="block text-sm font-medium mb-1" for="title">{{ __('Title') }}</label>
                                <input wire:model="title" id="title" class="form-input w-full" type="text"  />
                                @error('title') <div class="text-xs mt-1 text-rose-500">{{ $message }}</div> @enderror
                            </div>
                            <div>
                                <label class="block text-sm font-medium mb-1" for="slug">{{ __('Slug') }}</label>
                                <input wire:model="slug" id="slug" class="form-input w-full" type="text"  />
                                @error('slug') <div class="text-xs mt-1 text-rose-500">{{ $message }}</div> @enderror
                            </div>
                            <div class="col-span-2">
                                <label class="block text-sm font-medium mb-1" for="description">{{ __('Description') }}</label>
                                <textarea wire:model="description" name="" id="description" cols="30" rows="5" class="w-full form-textarea"></textarea>
                                @error('description') <div class="text-xs mt-1 text-rose-500">{{ $message }}</div> @enderror
                            </div>
                        </div>
                    </section>
                </div>

                <!-- Panel footer -->
                <footer>
                    <div class="flex flex-col px-6 py-5 border-t border-slate-200 dark:border-slate-700">
                        <div class="flex self-end">
                            <button class="btn bg-indigo-500 hover:bg-indigo-600 text-white ml-3">{{ __('Save Changes') }}</button>
                        </div>
                    </div>
                </footer>
            </form>

        </div>
    </div>
</div>
