<div class="my-8">

    <x-parts.admin.navigation />

    <div class="mb-8">
        <h1 class="text-2xl md:text-3xl text-slate-800 dark:text-slate-100 font-bold">
            {{ __('Feedback') }}
        </h1>
    </div>

    @if($feedbacks->count() > 0)
        @foreach($feedbacks as $feedback)
        <div class="bg-white dark:bg-slate-800 shadow-lg rounded-sm border border-slate-200 dark:border-slate-700 p-3" x-data="{ open: false }">
            <button class="flex items-center justify-between w-full group mb-1" @click.prevent="open = !open" :aria-expanded="open" aria-expanded="false">
                <div class="text-sm text-slate-800 dark:text-slate-100 font-medium">
                    {{$feedback->user->name}}
                    <span class="text-gray-500 dark:text-slate-500">{{ '@' . $feedback->user->username }}</span>
                </div>
                <svg class="w-8 h-8 shrink-0 fill-current text-slate-400 dark:text-slate-500 group-hover:text-slate-500 dark:group-hover:text-slate-400 ml-3" :class="{ 'rotate-180': open }" viewBox="0 0 32 32">
                    <path d="M16 20l-5.4-5.4 1.4-1.4 4 4 4-4 1.4 1.4z"></path>
                </svg>
            </button>
            <div class="text-sm" x-show="open" style="display: none;">
                {{$feedback->content}}
            </div>
        </div>
        @endforeach

        <div class="mt-5">{{$feedbacks->links()}}</div>
    @else
        <div class="border-t border-slate-200 dark:border-slate-700">
            <div class="max-w-2xl m-auto mt-16">

                <div class="text-center px-4">
                    <div class="inline-flex items-center justify-center w-16 h-16 rounded-full bg-gradient-to-t from-slate-200 to-slate-100 dark:from-slate-700 dark:to-slate-800 mb-4">
                        <svg class="w-5 h-6 fill-current" viewBox="0 0 20 24">
                            <path class="text-slate-500 dark:text-slate-600" d="M10 10.562l9-5-8.514-4.73a1 1 0 00-.972 0L1 5.562l9 5z"></path>
                            <path class="text-slate-300 dark:text-slate-400" d="M9 12.294l-9-5v10.412a1 1 0 00.514.874L9 23.294v-11z"></path>
                            <path class="text-slate-400 dark:text-slate-500" d="M11 12.294v11l8.486-4.714a1 1 0 00.514-.874V7.295l-9 4.999z"></path>
                        </svg>
                    </div>
                    <h2 class="text-2xl text-slate-800 dark:text-slate-100 font-bold mb-2">{{ __('There is no feedback') }}</h2>
                    <div class="mb-6">{{ __('No feedback has been given so far, I wish it had been.') }}</div>
                </div>

            </div>
        </div>
    @endif
</div>
