<div class="my-8">

    @if(Auth::user()->type != "user")
        <x-parts.admin.navigation />
    @endif

    <!-- Page header -->
    <div class="sm:flex sm:justify-between sm:items-center mb-8">

        <!-- Left: Title -->
        <div class="mb-4 sm:mb-0">
            <h1 class="text-2xl md:text-3xl text-slate-800 dark:text-slate-100 font-bold flex gap-2 items-end">
                {{ __('Analytics') }}
                {{-- <div class="text-lg text-gray-500 mb-0.5 font-medium">{{ __('Last 30 Days') }}</div> --}}
            </h1>
        </div>
    </div>

    <!-- Cards -->
    <div class="grid grid-cols-12 gap-6">
        <!-- Report card (Top Channels) -->
        <div class="flex flex-col col-span-full sm:col-span-6 bg-white dark:bg-slate-800 shadow-lg rounded-sm border border-slate-200 dark:border-slate-700">
            <header class="px-5 py-4 border-b border-slate-100 dark:border-slate-700">
                <h2 class="font-semibold text-slate-800 dark:text-slate-100">{{ __('Jobs') }} ({{ __('Last 30 Days') }})</h2>
            </header>
            <div class="grow p-3">
                <div class="flex flex-col h-full">
                    <!-- Card content -->
                    <div class="grow">
                        <ul class="flex justify-between text-xs uppercase text-slate-400 dark:text-slate-500 font-semibold px-2 space-x-2">
                            <li>{{ __('Source') }}</li>
                            <li>{{ __('Pageviews') }}</li>
                        </ul>

                        <ul class="space-y-1 text-sm text-slate-800 dark:text-slate-100 mt-3 mb-4">
                            @foreach($job_analytics as $analytic)
                                <li class="relative px-2 py-1">
                                    <div class="absolute inset-0 bg-indigo-100 dark:bg-indigo-500/30" aria-hidden="true" style="width: {{ ($analytic->total_views_count / $job_analytics->first()->total_views_count) * 100 }}%;"></div>
                                    <div class="relative flex justify-between space-x-2">
                                        <div>/jobs/{{ $analytic->job->slug }}</div>
                                        <div class="font-medium">{{ $analytic->total_views_count }}</div>
                                    </div>
                                </li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>

        <!-- Report card (Top Pages) -->
        <div class="flex flex-col col-span-full sm:col-span-6 bg-white dark:bg-slate-800 shadow-lg rounded-sm border border-slate-200 dark:border-slate-700">
            <header class="px-5 py-4 border-b border-slate-100 dark:border-slate-700">
                <h2 class="font-semibold text-slate-800 dark:text-slate-100">
                    {{__('Threads')}}
                    ({{ __('Last 30 Days') }})
                </h2>
            </header>
            <div class="grow p-3">
                <div class="flex flex-col h-full">
                    <!-- Card content -->
                    <div class="grow">
                        <ul class="flex justify-between text-xs uppercase text-slate-400 dark:text-slate-500 font-semibold px-2 space-x-2">
                            <li>{{ __('Source') }}</li>
                            <li>{{ __('Pageviews') }}</li>
                        </ul>

                        <ul class="space-y-1 text-sm text-slate-800 dark:text-slate-100 mt-3 mb-4">
                            @foreach($thread_analytics as $analytic)
                            <!-- Item -->
                            <li class="relative px-2 py-1">
                                @if($thread_analytics->first()->total_views_count > 0)
                                <div class="absolute inset-0 bg-emerald-100 dark:bg-emerald-400/30" aria-hidden="true" style="width: {{ ($analytic->total_views_count / $thread_analytics->first()->total_views_count) * 100 }}%;"></div>
                                @endif
                                <div class="relative flex justify-between space-x-2">
                                    <div>/t/{{ $analytic->thread->slug }}/</div>
                                    <div class="font-medium">{{ $analytic->total_views_count }}</div>
                                </div>
                            </li>
                            <!-- Item -->
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>

        <div class="flex flex-col col-span-full sm:col-span-6 bg-white dark:bg-slate-800 shadow-lg rounded-sm border border-slate-200 dark:border-slate-700">
            <header class="px-5 py-4 border-b border-slate-100 dark:border-slate-700">
                <h2 class="font-semibold text-slate-800 dark:text-slate-100">{{ __('Jobs') }}</h2>
            </header>
            <div class="grow p-3">
                <div class="flex flex-col h-full">
                    <!-- Card content -->
                    <div class="grow">
                        <ul class="flex justify-between text-xs uppercase text-slate-400 dark:text-slate-500 font-semibold px-2 space-x-2">
                            <li>{{ __('Source') }}</li>
                            <li>{{ __('Pageviews') }}</li>
                        </ul>

                        <ul class="space-y-1 text-sm text-slate-800 dark:text-slate-100 mt-3 mb-4">
                            @foreach($best_jobs as $job)
                                <li class="relative px-2 py-1">
                                    @if($best_jobs->first()->views_count > 0)
                                    <div class="absolute inset-0 bg-indigo-100 dark:bg-indigo-500/30" aria-hidden="true" style="width: {{ ($job->views_count / $best_jobs->first()->views_count) * 100 }}%;"></div>
                                    @endif
                                    <div class="relative flex justify-between space-x-2">
                                        <div>/jobs/{{ $job->slug }}</div>
                                        <div class="font-medium">{{ $job->views_count }}</div>
                                    </div>
                                </li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>

        <div class="flex flex-col col-span-full sm:col-span-6 bg-white dark:bg-slate-800 shadow-lg rounded-sm border border-slate-200 dark:border-slate-700">
            <header class="px-5 py-4 border-b border-slate-100 dark:border-slate-700">
                <h2 class="font-semibold text-slate-800 dark:text-slate-100">
                    {{__('Threads')}}
                </h2>
            </header>
            <div class="grow p-3">
                <div class="flex flex-col h-full">
                    <!-- Card content -->
                    <div class="grow">
                        <ul class="flex justify-between text-xs uppercase text-slate-400 dark:text-slate-500 font-semibold px-2 space-x-2">
                            <li>{{ __('Source') }}</li>
                            <li>{{ __('Pageviews') }}</li>
                        </ul>

                        <ul class="space-y-1 text-sm text-slate-800 dark:text-slate-100 mt-3 mb-4">
                            @foreach($best_threads as $thread)
                            <!-- Item -->
                            <li class="relative px-2 py-1">
                                @if($best_threads->first()->views_count > 0)
                                <div class="absolute inset-0 bg-emerald-100 dark:bg-emerald-400/30" aria-hidden="true" style="width: {{ ($thread->views_count / $best_threads->first()->views_count) * 100 }}%;"></div>
                                @endif
                                <div class="relative flex justify-between space-x-2">
                                    <div>/t/{{ $thread->slug }}/</div>
                                    <div class="font-medium">{{ $thread->views_count }}</div>
                                </div>
                            </li>
                            <!-- Item -->
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
