<div class="my-8">

    <x-parts.admin.navigation />

    <div class="mb-8">
        <h1 class="text-2xl md:text-3xl text-slate-800 dark:text-slate-100 font-bold">
            {{ __('Settings') }}
        </h1>
    </div>

    <div class="bg-white dark:bg-slate-800 shadow-lg rounded-sm mb-8">
        <div class="flex flex-col md:flex-row md:-mr-px">

            <div class="grow">

                <div class="p-6 space-y-6">

                    @if (session('success'))
                        <div class="p-4 mb-4 text-sm text-green-800 rounded-lg bg-green-50 dark:bg-gray-800 dark:text-green-400" role="alert">
                            {{ session('success') }}
                        </div>
                    @elseif (session('error'))
                        <div class="p-4 mb-4 text-sm text-red-800 rounded-lg bg-red-50 dark:bg-gray-800 dark:text-red-400" role="alert">
                            {{ session('error') }}
                        </div>
                    @endif

                    <section>
                        <h3 class="text-xl leading-snug text-slate-800 dark:text-slate-100 font-bold mb-1">{{ __('Favicon') }}</h3>
                        <form class="flex items-center gap-5" wire:submit="uploadFavicon">
                            @if($favicon)
                                <img class="w-20 h-20 rounded-full object-cover" src="{{ $favicon->temporaryUrl() }}">
                            @else
                                <img class="w-20 h-20 rounded-full object-cover" src="{{ asset('storage/favicon/' . $sitefavicon) }}">
                            @endif
                            <div class="flex items-center gap-2">
                                <label class="text-white bg-indigo-500 hover:bg-indigo-600 font-medium rounded-md text-sm px-3 py-1.5 inline-flex items-center gap-1 transition-all cursor-pointer">
                                    <input id="favicon" type="file" wire:model="favicon" class="hidden">
                                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
                                        <path stroke-linecap="round" stroke-linejoin="round" d="M3 16.5v2.25A2.25 2.25 0 005.25 21h13.5A2.25 2.25 0 0021 18.75V16.5m-13.5-9L12 3m0 0l4.5 4.5M12 3v13.5" />
                                    </svg>
                                    {{ __('Change') }}
                                </label>
                                @if($favicon)
                                    <button class="text-gray-900 ring-1 ring-gray-200 bg-white dark:bg-slate-700 dark:ring-slate-600 dark:text-slate-100 focus:outline-none hover:bg-gray-100 font-medium rounded-md text-sm px-3 py-1.5 transition-all" type="submit">
                                        {{ __('Upload') }}
                                    </button>
                                @endif
                            </div>
                        </form>
                        @error('favicon') <div class="text-xs mt-1 text-rose-500">{{ $message }}</div> @enderror
                    </section>

                    <form wire:submit="updateSettings">
                    <section>
                        <div class="grid sm:grid-cols-2 gap-4">
                            <div>
                                <label class="block text-sm font-medium mb-1" for="sitename">{{ __('Site Title') }}</label>
                                <input wire:model="sitename" id="sitename" class="form-input w-full" type="text"  />
                                @error('sitename') <div class="text-xs mt-1 text-rose-500">{{ $message }}</div> @enderror
                            </div>
                            <div>
                                <label class="block text-sm font-medium mb-1" for="sitedescription">{{ __('Site Description') }}</label>
                                <input wire:model="sitedescription" id="sitedescription" class="form-input w-full" type="text" />
                                @error('sitedescription') <div class="text-xs mt-1 text-rose-500">{{ $message }}</div> @enderror
                            </div>
                            <div>
                                <label class="block text-sm font-medium mb-1" for="sitelanguage">{{ __('Site Language') }}</label>
                                <select
                                    wire:model="sitelanguage"
                                    id="sitelanguage"
                                    class="form-select w-full">
                                    <option value="tr" @if($sitelanguage == "tr") selected @endif>{{ __('Turkish') }}</option>
                                    <option value="en" @if($sitelanguage == "en") selected @endif>{{ __('English') }}</option>
                                </select>
                                @error('sitelanguage') <div class="text-xs mt-1 text-rose-500">{{ $message }}</div> @enderror
                            </div>
                        </div>
                    </section>
                </div>

                <!-- Panel footer -->
                <footer>
                    <div class="flex flex-col px-6 py-5 border-t border-slate-200 dark:border-slate-700">
                        <div class="flex self-end">
                            <button class="btn bg-indigo-500 hover:bg-indigo-600 text-white ml-3">{{ __('Save Changes') }}</button>
                        </div>
                    </div>
                </footer>
                </form>
            </div>

        </div>
    </div>
</div>
