<div class="my-8">

    <x-parts.admin.navigation />

    <div class="mb-8">
        <h1 class="text-2xl md:text-3xl text-slate-800 dark:text-slate-100 font-bold">
            {{ __('Users') }}
        </h1>
    </div>

    @if (session('success'))
        <div class="p-4 mb-4 text-sm text-green-800 rounded-lg bg-green-50 dark:bg-gray-800 dark:text-green-400" role="alert">
            {{ session('success') }}
        </div>
    @elseif (session('error'))
        <div class="p-4 mb-4 text-sm text-red-800 rounded-lg bg-red-50 dark:bg-gray-800 dark:text-red-400" role="alert">
            {{ session('error') }}
        </div>
    @endif

    <div class="bg-white dark:bg-slate-800 shadow-lg rounded-sm border border-slate-200 dark:border-slate-700">
        <header class="px-5 py-4">
            <h2 class="font-semibold text-slate-800 dark:text-slate-100">{{ __('All Users') }}
                <span class="text-slate-400 dark:text-slate-500 font-medium">{{ $usersCount }}</span>
            </h2>
        </header>
        <div>

            <!-- Table -->
            <div class="overflow-x-auto md:overflow-visible">
                <table class="table-auto w-full dark:text-slate-300">
                    <!-- Table header -->
                    <thead class="text-xs font-semibold uppercase text-slate-500 dark:text-slate-400 bg-slate-50 dark:bg-slate-900/20 border-t border-b border-slate-200 dark:border-slate-700">
                        <tr>
                            {{-- <th class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap w-px">
                                <span class="sr-only">{{ __('Premium') }}</span>
                            </th> --}}
                            <th class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                <div class="font-semibold text-left">{{ __('Full Name') }}</div>
                            </th>
                            <th class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                <div class="font-semibold text-left">{{ __('Email') }}</div>
                            </th>
                            <th class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                <div class="font-semibold text-left">{{ __('Jobs') }}</div>
                            </th>
                            <th class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                <div class="font-semibold">{{ __('Threads') }}</div>
                            </th>
                            <th class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                <span class="sr-only">{{ __('Menu') }}</span>
                            </th>
                        </tr>
                    </thead>
                    <!-- Table body -->
                    <tbody class="text-sm divide-y divide-slate-200 dark:divide-slate-700">
                        @foreach($users as $user)
                        <tr>
                            {{-- <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap w-px">
                                <div class="flex items-center relative" x-data="{ modalOpen: false }">
                                    <button @click.prevent="modalOpen = true" aria-controls="plan-modal-{{$user->id}}">
                                        @if($user->subscription)
                                        <svg class="w-4 h-4 shrink-0 fill-current text-amber-500" viewBox="0 0 16 16">
                                            <path d="M8 0L6 5.934H0l4.89 3.954L2.968 16 8 12.223 13.032 16 11.11 9.888 16 5.934h-6L8 0z"></path>
                                        </svg>
                                        @else
                                        <svg class="w-4 h-4 shrink-0 fill-current text-slate-300 dark:text-slate-600" viewBox="0 0 16 16">
                                            <path d="M8 0L6 5.934H0l4.89 3.954L2.968 16 8 12.223 13.032 16 11.11 9.888 16 5.934h-6L8 0z"></path>
                                        </svg>
                                        @endif
                                    </button>

                                    <div class="fixed inset-0 bg-slate-900 bg-opacity-30 z-50 transition-opacity" x-show="modalOpen" x-transition:enter="transition ease-out duration-200" x-transition:enter-start="opacity-0" x-transition:enter-end="opacity-100" x-transition:leave="transition ease-out duration-100" x-transition:leave-start="opacity-100" x-transition:leave-end="opacity-0" aria-hidden="true" style="display: none;"></div>
                                    <div id="plan-modal" class="fixed inset-0 z-50 overflow-hidden flex items-center my-4 justify-center px-4 sm:px-6" role="dialog" aria-modal="true" x-show="modalOpen" x-transition:enter="transition ease-in-out duration-200" x-transition:enter-start="opacity-0 translate-y-4" x-transition:enter-end="opacity-100 translate-y-0" x-transition:leave="transition ease-in-out duration-200" x-transition:leave-start="opacity-100 translate-y-0" x-transition:leave-end="opacity-0 translate-y-4" style="display: none;">
                                        <div class="bg-white dark:bg-slate-800 rounded shadow-lg overflow-auto max-w-lg w-full max-h-full"
                                        @click.outside="modalOpen = false"

                                        @keydown.escape.window="modalOpen = false">
                                            <!-- Modal header -->
                                            <div class="px-5 py-3 border-b border-slate-200 dark:border-slate-700">
                                                <div class="flex justify-between items-center">
                                                    <div class="font-semibold text-slate-800 dark:text-slate-100">{{ __('Premium Subscription') }}</div>
                                                    <button class="text-slate-400 dark:text-slate-500 hover:text-slate-500 dark:hover:text-slate-400" @click="modalOpen = false">
                                                        <div class="sr-only">{{ __('Close') }}</div>
                                                        <svg class="w-4 h-4 fill-current">
                                                            <path d="M7.95 6.536l4.242-4.243a1 1 0 111.415 1.414L9.364 7.95l4.243 4.242a1 1 0 11-1.415 1.415L7.95 9.364l-4.243 4.243a1 1 0 01-1.414-1.415L6.536 7.95 2.293 3.707a1 1 0 011.414-1.414L7.95 6.536z"></path>
                                                        </svg>
                                                    </button>
                                                </div>
                                            </div>
                                            <form wire:submit="changePremium({{$user->id}})">
                                                <!-- Modal content -->
                                                <div class="px-5 pt-4 pb-1" >
                                                    <div class="text-sm">
                                                        <div class="mb-4">{{ __('Upgrade or downgrade your plan:') }}</div>
                                                        <!-- Options -->
                                                        <ul class="space-y-2 mb-4">
                                                            <li>
                                                                <input wire:model="premium" type="radio" id="free" value="free" class="hidden peer" required @if(!$user->subscription) checked @endif
                                                                @click="keepModalOpen"
                                                                >
                                                                <label for="free" class="flex items-center justify-between w-full p-3 text-gray-500 bg-white border border-gray-200 rounded-md cursor-pointer dark:hover:text-gray-300 dark:border-gray-700 dark:peer-checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 hover:text-gray-600 hover:bg-gray-100 dark:text-gray-400 dark:bg-gray-800 dark:hover:bg-gray-700">
                                                                    <span class="font-medium text-slate-800 dark:text-slate-100">
                                                                        {{ __('Free') }}
                                                                    </span>
                                                                    @if(!$user->subscription)
                                                                        <span class="text-xs inline-flex font-medium bg-slate-100 dark:bg-slate-300 text-slate-500 dark:text-slate-600 rounded-full text-center px-2 py-0.5 ml-auto">{{ __('Current Plan') }}</span>
                                                                    @endif
                                                                </label>
                                                            </li>
                                                            <li>
                                                                <input wire:model="premium" type="radio" id="1mo" value="1mo" class="hidden peer" required
                                                                @click="keepModalOpen"
                                                                >
                                                                <label for="1mo" class="flex items-center justify-between w-full p-3 text-gray-500 bg-white border border-gray-200 rounded-md cursor-pointer dark:hover:text-gray-300 dark:border-gray-700 dark:peer-checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 hover:text-gray-600 hover:bg-gray-100 dark:text-gray-400 dark:bg-gray-800 dark:hover:bg-gray-700">
                                                                    <span class="font-medium text-slate-800 dark:text-slate-100">
                                                                        {{ __(':month Month', ['month' => 1]) }}
                                                                    </span>
                                                                    @if($user->subscription && $user->subscription->expiration_date < now()->addDays(30))
                                                                        <span class="text-xs inline-flex font-medium bg-slate-100 dark:bg-slate-300 text-slate-500 dark:text-slate-600 rounded-full text-center px-2 py-0.5 ml-auto">{{ __('Current Plan') }}</span>
                                                                    @endif
                                                                </label>
                                                            </li>
                                                            <li>
                                                                <input wire:model="premium" type="radio" id="1yr" value="1yr" class="hidden peer" required @if($user->subscription && $user->subscription->expiration_date > now()->addDays(30)) checked @endif
                                                                @click="keepModalOpen"
                                                                >
                                                                <label

                                                                    for="1yr"
                                                                    class="flex items-center justify-between w-full p-3 text-gray-500 bg-white border border-gray-200 rounded-md cursor-pointer dark:hover:text-gray-300 dark:border-gray-700 dark:peer-checked:text-blue-500 peer-checked:border-blue-600 peer-checked:text-blue-600 hover:text-gray-600 hover:bg-gray-100 dark:text-gray-400 dark:bg-gray-800 dark:hover:bg-gray-700"
                                                                    >
                                                                    <span class="font-medium text-slate-800 dark:text-slate-100">
                                                                        {{ __(':year Year', ['year' => 1]) }}
                                                                    </span>
                                                                    @if($user->subscription && $user->subscription->expiration_date > now()->addDays(30))
                                                                        <span class="text-xs inline-flex font-medium bg-slate-100 dark:bg-slate-300 text-slate-500 dark:text-slate-600 rounded-full text-center px-2 py-0.5 ml-auto">{{ __('Current Plan') }}</span>
                                                                    @endif
                                                                </label>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                                <!-- Modal footer -->
                                                <div class="px-5 py-4">
                                                    <div class="flex flex-wrap justify-end space-x-2">
                                                        <a
                                                            href="#"
                                                            class="btn-sm border-slate-200 dark:border-slate-700 hover:border-slate-300 dark:hover:border-slate-600 text-slate-600 dark:text-slate-300"
                                                            @click="modalOpen = false">
                                                            {{ __('Cancel') }}
                                                        </a>
                                                        <button type="submit" class="btn-sm bg-indigo-500 hover:bg-indigo-600 text-white" @click="modalOpen = false">{{ __('Change Plan') }}</button>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </td> --}}
                            <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                <div class="flex items-center">
                                    @if($user->profile_photo_path)
                                    <div class="w-10 h-10 shrink-0 mr-2 sm:mr-3">
                                        <img class="w-10 h-10 rounded-full" src="{{ asset('/storage/profile-photos/' . $user->profile_photo_path) }}" width="40" height="40" alt="User 01">
                                    </div>
                                    @else
                                        <div class="flex items-center justify-center bg-slate-100 dark:bg-slate-700 rounded-full w-10 h-10 text-sm font-semibold uppercase text-slate-500 dark:text-slate-400 shrink-0 mr-2 sm:mr-3">{{mb_substr($user->name, 0, 1)}}</div>
                                    @endif
                                    <div class="font-medium text-slate-800 dark:text-slate-100">{{ $user->name }}</div>
                                </div>
                            </td>
                            <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                <div class="text-left">{{ $user->email }}</div>
                            </td>
                            <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                <div class="text-left">{{ $user->jobs->count() }}</div>
                            </td>
                            <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap">
                                <div class="text-center">{{ $user->threads->count() }}</div>
                            </td>
                            <td class="px-2 first:pl-5 last:pr-5 py-3 whitespace-nowrap w-px">
                                <div class="relative inline-flex" x-data="{ open: false }">
                                    <button class="rounded-full text-slate-400 hover:text-slate-500 dark:text-slate-500 dark:hover:text-slate-400" :class="open ? 'bg-slate-100 dark:bg-slate-700 text-slate-500 dark:text-slate-400': 'text-slate-400 hover:text-slate-500 dark:text-slate-500 dark:hover:text-slate-400'" aria-haspopup="true" @click.prevent="open = !open" :aria-expanded="open" aria-expanded="false">
                                        <span class="sr-only">Menu</span>
                                        <svg class="w-8 h-8 fill-current" viewBox="0 0 32 32">
                                            <circle cx="16" cy="16" r="2"></circle>
                                            <circle cx="10" cy="16" r="2"></circle>
                                            <circle cx="22" cy="16" r="2"></circle>
                                        </svg>
                                    </button>
                                    <div class="origin-top-right z-10 absolute top-full right-0 min-w-36 bg-white dark:bg-slate-800 border border-slate-200 dark:border-slate-700 py-1.5 rounded shadow-lg overflow-hidden mt-1" @click.outside="open = false" @keydown.escape.window="open = false" x-show="open" x-transition:enter="transition ease-out duration-200 transform" x-transition:enter-start="opacity-0 -translate-y-2" x-transition:enter-end="opacity-100 translate-y-0" x-transition:leave="transition ease-out duration-200" x-transition:leave-start="opacity-100" x-transition:leave-end="opacity-0" style="display: none;">
                                        <ul>
                                            <li>
                                                <button wire:click="ban({{$user->id}})" class="font-medium text-sm text-slate-600 dark:text-slate-300 hover:text-slate-800 dark:hover:text-slate-200 flex py-1 px-3" href="#0" @click="open = false" @focus="open = true" @focusout="open = false">
                                                    @if($user->type == "banned")
                                                        {{ __('Remove Ban') }}
                                                    @else
                                                        {{ __('Ban') }}
                                                    @endif
                                                </button>
                                            </li>
                                            <li>
                                                <a
                                                    wire:navigate
                                                    class="font-medium text-sm text-slate-600 dark:text-slate-300 hover:text-slate-800 dark:hover:text-slate-200 flex py-1 px-3"
                                                    href="{{ route('dashboard.edit-user', $user->id) }}"
                                                    @click="open = false" @focus="open = true" @focusout="open = false">
                                                    {{ __('Edit') }}
                                                </a>
                                            </li>
                                            <li>
                                                <button wire:click="delete({{$user->id}})" class="font-medium text-sm text-rose-500 hover:text-rose-600 flex py-1 px-3" href="#0" @click="open = false" @focus="open = true" @focusout="open = false">
                                                    {{ __('Delete') }}
                                                </button>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div class="mt-5">{{$users->links()}}</div>

    <script>
        function keepModalOpen(event) {
            event.stopPropagation();
        }
    </script>
</div>
