
<div class="flex flex-col space-y-10 sm:flex-row sm:space-x-6 sm:space-y-0 md:flex-col md:space-x-0 md:space-y-10 xl:flex-row xl:space-x-6 xl:space-y-0">

    <div class="md:flex flex-1">
        <x-parts.left-sidebar
            :jobcategories="$job_categories"
        />
        <!-- Content -->
        <div class="my-8 flex-1 md:ml-8 xl:mx-4 2xl:ml-8 2xl:mr-2">
            <!-- Search form -->
            <div class="mb-5">
                <div class="relative">
                    <label for="job-search" class="sr-only">{{ __('Search') }}</label>
                    <input
                        wire:model.live.debounce.500ms="searchText"
                        {{-- wire:keydown.enter="filter" --}}
                        wire:change="filter"
                        id="job-search"
                        class="form-input w-full !pl-9 bg-white dark:bg-slate-800" type="search" placeholder="{{ __('Search job title or keyword…') }}" />
                    <button wire:click="filter" class="absolute right-full inset-0 group" type="submit" aria-label="{{ __('Search') }}">
                        <svg class="w-4 h-4 shrink-0 fill-current text-slate-400 dark:text-slate-500 group-hover:text-slate-500 dark:group-hover:text-slate-400 ml-3 mr-2" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg">
                            <path d="M7 14c-3.86 0-7-3.14-7-7s3.14-7 7-7 7 3.14 7 7-3.14 7-7 7zM7 2C4.243 2 2 4.243 2 7s2.243 5 5 5 5-2.243 5-5-2.243-5-5-5z" />
                            <path d="M15.707 14.293L13.314 11.9a8.019 8.019 0 01-1.414 1.414l2.393 2.393a.997.997 0 001.414 0 .999.999 0 000-1.414z" />
                        </svg>
                    </button>
                </div>
            </div>

            @if(get_ad('job_under_search_form'))
                <div class="my-4">
                    {!! get_ad('job_under_search_form') !!}
                </div>
            @endif

            <!-- Jobs header -->
            <div class="flex justify-end items-center mb-4">

                <!-- Dropdown Start -->
                {{-- <div class="flex items-center gap-2">
                    <select
                        wire:model="paginationNumber"
                        wire:change="filter"
                        id="paginationNumber"
                        class="form-select">
                        <option value="10">10</option>
                        <option value="20">20</option>
                        <option value="30">30</option>
                        <option value="40">40</option>
                        <option value="50">50</option>
                    </select>
                    <div class="text-sm">{{ __('Results') }}</div>
                </div> --}}
                <!-- Dropdown End -->

                <!-- Sort -->
                <div class="text-sm">
                    <span>{{ __('Sort by') }} </span>
                    <div class="relative inline-flex" x-data="{ open: false }">
                        <button
                        class="inline-flex justify-center items-center group"
                        aria-haspopup="true"
                        @click.prevent="open = !open"
                        :aria-expanded="open"
                        >
                            <div class="flex items-center truncate">
                                <span class="truncate font-medium text-indigo-500 group-hover:text-indigo-600 dark:group-hover:text-indigo-400">
                                    {{ $sortText }}
                                </span>
                                <svg class="w-3 h-3 shrink-0 ml-1 fill-current text-indigo-400" viewBox="0 0 12 12">
                                    <path d="M5.9 11.4L.5 6l1.4-1.4 4 4 4-4L11.3 6z" />
                                </svg>
                            </div>
                        </button>
                        <div
                            class="origin-top-right z-10 absolute top-full right-0 bg-white dark:bg-slate-800 border border-slate-200 dark:border-slate-700 py-1.5 rounded shadow-lg overflow-hidden mt-1 w-36"
                            @click.outside="open = false"
                            @keydown.escape.window="open = false"
                            x-show="open"
                            x-transition:enter="transition ease-out duration-200 transform"
                            x-transition:enter-start="opacity-0 -translate-y-2"
                            x-transition:enter-end="opacity-100 translate-y-0"
                            x-transition:leave="transition ease-out duration-200"
                            x-transition:leave-start="opacity-100"
                            x-transition:leave-end="opacity-0"
                            x-cloak
                        >
                            <ul>
                                <li>
                                    <a
                                        wire:click="setOrder('oldest')"
                                        class="font-medium text-sm text-slate-600 dark:text-slate-300 hover:text-slate-800 dark:hover:text-slate-200 flex items-center py-1 px-3"
                                        href="#0" @click="open = false" @focus="open = true" @focusout="open = false">
                                        {{ __('Oldest') }}
                                    </a>
                                </li>
                                <li>
                                    <a
                                        wire:click="setOrder('newest')"
                                        class="font-medium text-sm text-slate-600 dark:text-slate-300 hover:text-slate-800 dark:hover:text-slate-200 flex items-center py-1 px-3"
                                        href="#0" @click="open = false" @focus="open = true" @focusout="open = false">
                                        {{ __('Newest') }}
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Job list -->
            <div class="space-y-2">
                @if(count($jobs) > 0)
                    @foreach($jobs as $job)
                    <div class="@if($job->featured) bg-amber-50 dark:bg-amber-400/10 border-amber-300 dark:border-amber-400/50 @else bg-white dark:bg-slate-800 border-slate-200 dark:border-slate-700 @endif shadow-lg rounded-sm border  px-5 py-4">
                        <div class="md:flex justify-between items-center space-y-4 md:space-y-0 space-x-2">
                            <!-- Left side -->
                            <div class="flex items-start space-x-3 md:space-x-4">
                                <div class="w-9 h-9 shrink-0 mt-1">
                                    @if(isset($job->user->profile_photo_path))
                                        <img
                                            src="{{ asset($job->user->profile_photo_path) }}"
                                            class="w-9 h-9 rounded-full"
                                            alt="{{$job->user->username}}"
                                        >
                                    @else
                                        <div class="w-9 h-9 bg-gray-100 rounded-full flex items-center justify-center text-xl font-bold text-gray-400 uppercase">
                                            {{mb_substr($job->user->username, 0, 1)}}
                                        </div>
                                    @endif
                                </div>
                                <div>
                                    <a
                                        wire:navigate
                                        class="inline-flex font-semibold text-slate-800 dark:text-slate-100"
                                        href="{{ route('jobs.single', $job->slug) }}">
                                        {{ $job->title }}
                                    </a>
                                    <div class="text-sm">{{ __('Budget') }}: {{ $job->budget }} TL</div>
                                </div>
                            </div>
                            <!-- Right side -->
                            <div class="flex items-center space-x-4 pl-10 md:pl-0">
                                <div class="text-sm text-slate-500 dark:text-slate-400 italic whitespace-nowrap">
                                    {{ $job->created_at->translatedFormat('j F Y') }}
                                </div>
                                @if($job->featured)
                                    <div class="text-xs inline-flex font-medium bg-amber-100 dark:bg-amber-400/30 text-amber-600 dark:text-amber-400 rounded-full text-center px-2.5 py-1">{{ __('Featured') }}</div>
                                @endif
                            </div>
                        </div>
                    </div>
                    @endforeach

                    @if($jobs->hasMorePages())
                    <button
                        wire:click.prevent="loadMore"
                        wire:loading.attr="disabled"
                        type="button"
                        class="py-2.5 px-5 mr-2 text-sm font-medium text-gray-900 bg-white rounded-lg border border-gray-200 hover:bg-gray-100 hover:text-blue-700 focus:z-10 focus:outline-none focus:text-blue-700 dark:bg-gray-800 dark:text-gray-400 dark:border-gray-600 dark:hover:text-white dark:hover:bg-gray-700 flex justify-center items-center w-full">

                        <span wire:loading>
                            <svg aria-hidden="true" role="status" class="inline w-4 h-4 mr-3 text-gray-200 animate-spin dark:text-gray-600" viewBox="0 0 100 101" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M100 50.5908C100 78.2051 77.6142 100.591 50 100.591C22.3858 100.591 0 78.2051 0 50.5908C0 22.9766 22.3858 0.59082 50 0.59082C77.6142 0.59082 100 22.9766 100 50.5908ZM9.08144 50.5908C9.08144 73.1895 27.4013 91.5094 50 91.5094C72.5987 91.5094 90.9186 73.1895 90.9186 50.5908C90.9186 27.9921 72.5987 9.67226 50 9.67226C27.4013 9.67226 9.08144 27.9921 9.08144 50.5908Z" fill="currentColor"/>
                            <path d="M93.9676 39.0409C96.393 38.4038 97.8624 35.9116 97.0079 33.5539C95.2932 28.8227 92.871 24.3692 89.8167 20.348C85.8452 15.1192 80.8826 10.7238 75.2124 7.41289C69.5422 4.10194 63.2754 1.94025 56.7698 1.05124C51.7666 0.367541 46.6976 0.446843 41.7345 1.27873C39.2613 1.69328 37.813 4.19778 38.4501 6.62326C39.0873 9.04874 41.5694 10.4717 44.0505 10.1071C47.8511 9.54855 51.7191 9.52689 55.5402 10.0491C60.8642 10.7766 65.9928 12.5457 70.6331 15.2552C75.2735 17.9648 79.3347 21.5619 82.5849 25.841C84.9175 28.9121 86.7997 32.2913 88.1811 35.8758C89.083 38.2158 91.5421 39.6781 93.9676 39.0409Z" fill="#1C64F2"/>
                            </svg>
                            {{ __('Loading...') }}
                        </span>

                        <span wire:loading.remove>
                            {{ __('Load More') }}
                        </span>
                    </button>
                @endif
                @else
                    {{ __('No job postings were found matching your search!') }}
                @endif
            </div>
        </div>
    </div>

    <x-parts.right-sidebar />
</div>

