<div class="flex flex-col lg:flex-row lg:space-x-8 xl:space-x-16 my-8" x-data="{ modalOpen: false }">

    <!-- Content -->
    <div class="flex-1">

        @if (session('success'))
            <div x-show="open" x-data="{ open: true }" role="alert">
                <div class="px-4 py-2 rounded-sm text-sm border bg-emerald-100 dark:bg-emerald-400/30 border-emerald-200 dark:border-transparent text-emerald-600 dark:text-emerald-500">
                    <div class="flex w-full justify-between items-start">
                        <div class="flex">
                            <svg class="w-4 h-4 shrink-0 fill-current opacity-80 mt-[3px] mr-3" viewBox="0 0 16 16">
                                <path d="M8 0C3.6 0 0 3.6 0 8s3.6 8 8 8 8-3.6 8-8-3.6-8-8-8zM7 11.4L3.6 8 5 6.6l2 2 4-4L12.4 6 7 11.4z"></path>
                            </svg>
                            <div>{{ session('success') }}</div>
                        </div>
                        <button class="opacity-70 hover:opacity-80 ml-3 mt-[3px]" @click="open = false">
                            <div class="sr-only">Close</div>
                            <svg class="w-4 h-4 fill-current">
                                <path d="M7.95 6.536l4.242-4.243a1 1 0 111.415 1.414L9.364 7.95l4.243 4.242a1 1 0 11-1.415 1.415L7.95 9.364l-4.243 4.243a1 1 0 01-1.414-1.415L6.536 7.95 2.293 3.707a1 1 0 011.414-1.414L7.95 6.536z"></path>
                            </svg>
                        </button>
                    </div>
                </div>
            </div>
        @endif

        @if(get_ad('job_content_top'))
            <div class="my-4">
                {!! get_ad('job_content_top') !!}
            </div>
        @endif

        <div class="mb-6">
            <a
                wire:navigate
                class="btn-sm px-3 bg-white dark:bg-slate-800 border-slate-200 dark:border-slate-700 hover:border-slate-300 dark:hover:border-slate-600 text-slate-600 dark:text-slate-300"
                href="{{ route('jobs.index') }}">
                <svg class="fill-current text-slate-400 dark:text-slate-500 mr-2" width="7" height="12" viewBox="0 0 7 12">
                    <path d="M5.4.6 6.8 2l-4 4 4 4-1.4 1.4L0 6z" />
                </svg>
                <span>{{ __('Back To Jobs') }}</span>
            </a>
        </div>
        <div class="text-sm text-slate-500 dark:text-slate-400 italic mb-2">{{ __('Posted :date', ['date' => $job->created_at->translatedFormat('j F Y')]) }}</div>
        <header class="mb-4">
            <!-- Title -->
            <h1 class="text-2xl md:text-3xl text-slate-800 dark:text-slate-100 font-bold">{{ $job->title }}</h1>
        </header>


        <div class="bg-white dark:bg-slate-800 p-5 shadow-lg rounded-sm border border-slate-200 dark:border-slate-700 mb-6 lg:hidden">
            <div class="text-center mb-6">
                <div class="inline-flex mb-3">
                    @if(isset($job->user->profile_photo_path))
                        <img
                            src="{{ asset($job->user->profile_photo_path) }}"
                            class="w-16 h-16 rounded-full object-cover"
                            alt="{{$job->user->username}}"
                        >
                    @else
                        <div class="w-16 h-16 bg-gray-100 rounded-full flex items-center justify-center text-xl font-bold text-gray-400 uppercase">
                            {{mb_substr($job->user->username, 0, 1)}}
                        </div>
                    @endif
                </div>
                <div class="text-lg font-bold text-slate-800 dark:text-slate-100 mb-1">{{ $job->user->name }}</div>
                <div class="text-sm text-slate-500 dark:text-slate-400 italic">{{ __(':count Jobs', ['count' => $job->user->jobs->count()]) }}</div>
            </div>

            <div class="space-y-2">
                <button class="btn w-full bg-indigo-500 hover:bg-indigo-600 text-white">
                    {{ __('Apply') }}
                </button>
            </div>
        </div>

        <hr class="my-6 border-t border-slate-200 dark:border-slate-700" />

        <!-- The Role -->
        <div>
            <h2 class="text-xl leading-snug text-slate-800 dark:text-slate-100 font-bold mb-2">{{ __('Details') }}</h2>
            <div class="space-y-6">
                {!! $job->content !!}
            </div>
        </div>

        <hr class="my-6 border-t border-slate-200 dark:border-slate-700" />

        @if(get_ad('job_above_apply_button'))
            <div class="my-4">
                {!! get_ad('job_above_apply_button') !!}
            </div>
        @endif

        @if(Auth::id() != $job->user->id)
        <!-- Apply section -->
        <div class="mt-6">
            <p class="font-medium italic mb-6">{{ __('Would you like to apply for this job advertisement?') }}</p>
            <div class="flex justify-between items-center">
                <button
                    @if(Auth::check() && !$active)
                    @click.prevent="modalOpen = true"
                    @endif
                    class="btn bg-indigo-500 hover:bg-indigo-600 text-white whitespace-nowrap {{!Auth::check() ? 'not-login' : ''}} ">
                    @if($active)
                        {{ __('You have already applied') }}
                    @else
                        {{ __('Apply') }}
                    @endif
                </button>
            </div>
        </div>

        <hr class="my-6 border-t border-slate-200 dark:border-slate-700" />
        @endif

        @if(
            Auth::check() && Auth::id() == $job->user->id && $job_applicants->count() > 0
        )
        {{-- @if($job_applicants) --}}
        <div>
            <h2 class="text-xl leading-snug text-slate-800 dark:text-slate-100 font-bold mb-6">{{ __('Applicants for this posting') }}</h2>
            <div class="space-y-2 mt-6">

            @foreach($job_applicants as $job)
                <div class="flex gap-3 bg-white dark:bg-slate-800 border-slate-200 dark:border-slate-700 shadow-lg rounded-sm border px-5 py-4">
                    <div>
                        @if(isset($job->user->profile_photo_path))
                            <img
                                src="{{ asset($job->user->profile_photo_path) }}"
                                class="w-10 h-10 rounded-full object-cover"
                                alt="{{$job->user->username}}"
                            >
                        @else
                            <div class="w-10 h-10 bg-gray-100 rounded-full flex items-center justify-center text-xl font-bold text-gray-400 uppercase">
                                {{mb_substr($job->user->username, 0, 1)}}
                            </div>
                        @endif
                    </div>

                    <div class="grid grid-cols-12 gap-3 flex-1">
                        <div class="col-span-9">
                            <div class="font-bold">{{ $job->user->name }}</div>
                            <div class="text-sm">
                                <div><span class="font-medium">{{ __('Estimated Delivery Time') }}</span>: {{ __(':day Day', ['day' => $job->day]) }} </div>
                            </div>
                        </div>

                        <div class="col-span-3 flex justify-end items-center">
                            <a href="#" class="btn dark:bg-slate-800 !border-slate-200 dark:!border-slate-700 hover:!border-slate-300 dark:hover:!border-slate-600 text-indigo-500">{{ __('View Profile') }}</a>
                        </div>

                        <div class="col-span-12">
                            {{ $job->content }}
                        </div>
                    </div>
                </div>
            @endforeach
            </div>

            {{ $job_applicants->links() }}
        </div>
        @else
            @if($related_jobs)
            <!-- Related Jobs -->
            <div>
                <h2 class="text-xl leading-snug text-slate-800 dark:text-slate-100 font-bold mb-6">{{ __('Related Jobs') }}</h2>
                <div class="space-y-2 mt-6">

                    @foreach($related_jobs as $item)
                    <div class="@if($item->featured) bg-amber-50 dark:bg-amber-400/10 border-amber-300 dark:border-amber-400/50 @else bg-white dark:bg-slate-800 border-slate-200 dark:border-slate-700 @endif shadow-lg rounded-sm border  px-5 py-4">
                        <div class="md:flex justify-between items-center space-y-4 md:space-y-0 space-x-2">
                            <!-- Left side -->
                            <div class="flex items-start space-x-3 md:space-x-4">
                                <div class="w-9 h-9 shrink-0 mt-1">
                                    @if(isset($item->user->profile_photo_path))
                                        <img
                                            src="{{ asset($item->user->profile_photo_path) }}"
                                            class="w-9 h-9 rounded-full"
                                            alt="{{$item->user->username}}"
                                        >
                                    @else
                                        <div class="w-9 h-9 bg-gray-100 rounded-full flex items-center justify-center text-xl font-bold text-gray-400 uppercase">
                                            {{mb_substr($item->user->username, 0, 1)}}
                                        </div>
                                    @endif
                                </div>
                                <div>
                                    <a
                                        wire:navigate
                                        class="inline-flex font-semibold text-slate-800 dark:text-slate-100"
                                        href="{{ route('jobs.single', $item->slug) }}">
                                        {{ $item->title }}
                                    </a>
                                    <div class="text-sm">{{ __('Budget') }}: {{ $item->budget }} TL</div>
                                </div>
                            </div>
                            <!-- Right side -->
                            <div class="flex items-center space-x-4 pl-10 md:pl-0">
                                <div class="text-sm text-slate-500 dark:text-slate-400 italic whitespace-nowrap">
                                    {{ $item->created_at->translatedFormat('j F Y') }}
                                </div>
                                @if($item->featured)
                                    <div class="text-xs inline-flex font-medium bg-amber-100 dark:bg-amber-400/30 text-amber-600 dark:text-amber-400 rounded-full text-center px-2.5 py-1">{{ __('Featured') }}</div>
                                @endif
                            </div>
                        </div>
                    </div>
                    @endforeach

                </div>
            </div>
            @endif
        @endif
    </div>

    <!-- Sidebar -->
    <div class="hidden lg:block space-y-4">
        <div class="bg-white dark:bg-slate-800 p-5 shadow-lg rounded-sm border border-slate-200 dark:border-slate-700 lg:w-72 xl:w-80">
            <div class="text-center @if(Auth::id() != $job->user->id) mb-6 @endif">
                <div class="inline-flex mb-3">
                    @if(isset($job->user->profile_photo_path))
                        <img
                            src="{{ asset($job->user->profile_photo_path) }}"
                            class="w-16 h-16 rounded-full object-cover"
                            alt="{{$job->user->username}}"
                        >
                    @else
                        <div class="w-16 h-16 bg-gray-100 rounded-full flex items-center justify-center text-xl font-bold text-gray-400 uppercase">
                            {{mb_substr($job->user->username, 0, 1)}}
                        </div>
                    @endif
                </div>
                <div class="text-lg font-bold text-slate-800 dark:text-slate-100 mb-1">{{ $job->user->name }}</div>
                <div class="text-sm text-slate-500 dark:text-slate-400 italic">{{ __(':count Jobs', ['count' => $job->user->jobs->count()]) }}</div>
            </div>
            @if(Auth::id() != $job->user->id)
            <div class="space-y-2">
                <button
                    @if(Auth::check() && !$active)
                    @click.prevent="modalOpen = true"
                    @endif
                    class="btn w-full bg-indigo-500 hover:bg-indigo-600 text-white {{!Auth::check() ? 'not-login' : ''}} ">
                        @if($active)
                        {{ __('You have already applied') }}
                        @else
                        {{ __('Apply') }}
                        @endif
                </button>
            </div>

            <div class="mt-2 text-center text-sm">
                @if($applicants_count)
                {!! __(':num People Applied to This Posting', ['num' => '<span class="font-bold">'.$applicants_count.'</span>']) !!}
                @else
                {{ __('Be the first to apply for this posting!') }}
                @endif
            </div>
            @endif
        </div>

        @if(get_ad('job_sidebar'))
            <div class="my-4">
                {!! get_ad('job_sidebar') !!}
            </div>
        @endif

        {{-- <div class="bg-white dark:bg-slate-800 p-5 shadow-lg rounded-sm border border-slate-200 dark:border-slate-700 lg:w-72 xl:w-80">
            <div class="font-bold text-lg mb-3">{{ __('Applicants for this posting') }}</div>

            @foreach($job_applicants as $job)
                <div class="flex gap-2">
                    <div>
                        @if(isset($job->user->profile_photo_path))
                            <img
                                src="{{ asset($job->user->profile_photo_path) }}"
                                class="w-10 h-10 rounded-full object-cover"
                                alt="{{$job->user->username}}"
                            >
                        @else
                            <div class="w-10 h-10 bg-gray-100 rounded-full flex items-center justify-center text-xl font-bold text-gray-400 uppercase">
                                {{mb_substr($job->user->username, 0, 1)}}
                            </div>
                        @endif
                    </div>

                    <div>
                        <div class="font-bold">{{ $job->user->name }}</div>
                        <div class="text-sm">
                            <div><span class="font-medium">{{ __('Estimated Delivery Time') }}</span>: {{ __(':day Day', ['day' => $job->day]) }} </div>
                        </div>
                    </div>
                </div>
            @endforeach
        </div> --}}
    </div>

    <!-- Start -->
    <div wire:ignore.self>
        <div
            class="fixed inset-0 bg-slate-900 bg-opacity-30 z-50 transition-opacity"
            x-show="modalOpen"
            x-transition:enter="transition ease-out duration-200"
            x-transition:enter-start="opacity-0"
            x-transition:enter-end="opacity-100"
            x-transition:leave="transition ease-out duration-100"
            x-transition:leave-start="opacity-100"
            x-transition:leave-end="opacity-0"
            aria-hidden="true"
            x-cloak
        ></div>
        <!-- Modal dialog -->
        <div
            id="feedback-modal"
            class="fixed inset-0 z-50 overflow-hidden flex items-center my-4 justify-center px-4 sm:px-6"
            role="dialog"
            aria-modal="true"
            x-show="modalOpen"
            x-transition:enter="transition ease-in-out duration-200"
            x-transition:enter-start="opacity-0 translate-y-4"
            x-transition:enter-end="opacity-100 translate-y-0"
            x-transition:leave="transition ease-in-out duration-200"
            x-transition:leave-start="opacity-100 translate-y-0"
            x-transition:leave-end="opacity-0 translate-y-4"
            x-cloak
        >
            <form
                wire:submit="apply"
                class="bg-white dark:bg-slate-800 rounded shadow-lg overflow-auto max-w-lg w-full max-h-full" @click.outside="modalOpen = false" @keydown.escape.window="modalOpen = false">
                <!-- Modal header -->
                <div class="px-5 py-3 border-b border-slate-200 dark:border-slate-700">
                    <div class="flex justify-between items-center">
                        <div class="font-semibold text-slate-800 dark:text-slate-100">{{ __('Apply to job posting') }}</div>
                        <button class="text-slate-400 dark:text-slate-500 hover:text-slate-500 dark:hover:text-slate-400" @click="modalOpen = false">
                            <div class="sr-only">{{ __('Close') }}</div>
                            <svg class="w-4 h-4 fill-current">
                                <path d="M7.95 6.536l4.242-4.243a1 1 0 111.415 1.414L9.364 7.95l4.243 4.242a1 1 0 11-1.415 1.415L7.95 9.364l-4.243 4.243a1 1 0 01-1.414-1.415L6.536 7.95 2.293 3.707a1 1 0 011.414-1.414L7.95 6.536z" />
                            </svg>
                        </button>
                    </div>
                </div>
                <!-- Modal content -->
                <div class="px-5 py-4">
                    <div class="text-sm">
                        <div class="font-medium text-slate-800 dark:text-slate-100 mb-3">
                            {{ __('Please write the time period and details.') }}
                        </div>
                    </div>
                    <div class="space-y-3">
                        <div>
                            <label class="block text-sm font-medium mb-1" for="time">{{ __('How many days will it take to deliver?') }} <span class="text-rose-500">*</span></label>
                            <input wire:model="modelTime" id="time" class="form-input w-full px-2 py-1" type="text" />
                            @error('modelTime') <div class="text-xs mt-1 text-rose-500">{{$message}}</div> @enderror
                        </div>
                        <div>
                            <label class="block text-sm font-medium mb-1" for="detail">{{ __('Details') }} <span class="text-rose-500">*</span></label>
                            <textarea wire:model="modelContent" id="detail" class="form-textarea w-full px-2 py-1 resize-none" rows="4" required></textarea>
                            @error('modelContent') <div class="text-xs mt-1 text-rose-500">{{$message}}</div> @enderror
                        </div>
                    </div>
                </div>
                <!-- Modal footer -->
                <div class="px-5 py-4 border-t border-slate-200 dark:border-slate-700">
                    <div class="flex flex-wrap justify-end space-x-2">
                        <button class="btn-sm border-slate-200 dark:border-slate-700 hover:border-slate-300 dark:hover:border-slate-600 text-slate-600 dark:text-slate-300" @click="modalOpen = false">{{ __('Cancel') }}</button>
                        <button class="btn-sm bg-indigo-500 hover:bg-indigo-600 text-white">{{ __('Apply') }}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <!-- End -->
</div>
