    <div
        {{-- wire:ignore --}}
        id="messages-sidebar"
        class="absolute z-20 top-0 bottom-0 w-full md:w-auto md:static md:top-auto md:bottom-auto -mr-px md:translate-x-0 transition-transform duration-200 ease-in-out" >
        <div class="sticky top-16 bg-white dark:bg-slate-900 overflow-x-hidden overflow-y-auto no-scrollbar shrink-0 border-r border-slate-200 dark:border-slate-700 md:w-72 xl:w-80 h-[calc(100dvh-64px)]">

            <div class="h-full">
                <!-- Group body -->
                <div class="px-5 py-4 h-full">

                    <!-- Search form -->
                    <div
                        class="relative">
                        <label for="msg-search" class="sr-only">{{ __('Search') }}</label>
                        <input
                            wire:model.live="searchText"
                            id="msg-search"
                            class="form-input w-full !pl-9 bg-white dark:bg-slate-800"
                            type="search"
                            placeholder="{{ __('Search User') }}"
                            autocomplete="off"
                            />
                            <div class="absolute inset-0 right-auto group flex items-center justify-center h-full" type="submit" aria-label="{{ __('Search') }}">
                                <svg class="w-4 h-4 shrink-0 fill-current text-slate-400 dark:text-slate-500 group-hover:text-slate-500 dark:group-hover:text-slate-400 ml-3 mr-2" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M7 14c-3.86 0-7-3.14-7-7s3.14-7 7-7 7 3.14 7 7-3.14 7-7 7zM7 2C4.243 2 2 4.243 2 7s2.243 5 5 5 5-2.243 5-5-2.243-5-5-5z" />
                                    <path d="M15.707 14.293L13.314 11.9a8.019 8.019 0 01-1.414 1.414l2.393 2.393a.997.997 0 001.414 0 .999.999 0 000-1.414z" />
                                </svg>
                            </div>
                    </div>

                    <!-- Direct messages -->
                    <div class="mt-4">
                        <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase mb-3">{{ __('Direct Messages') }}</div>
                        <ul class="mb-6">

                            @foreach($messages as $message)
                                <li class="-mx-2">
                                    <a
                                        wire:navigate
                                        href="{{ route('messages.view', $message->id) }}"
                                        class="flex items-center justify-between w-full p-2 rounded {{ $message->id == $id ? 'bg-indigo-500/30' : '' }}"
                                    >
                                        <div class="flex items-center truncate">
                                            @if($message->sender_id !== Auth::id())
                                                <x-user.avatar :user="$message->senderUser" class="mr-2 w-8 h-8" />
                                            @else
                                                <x-user.avatar :user="$message->receiptUser" class="mr-2 w-8 h-8" />
                                            @endif

                                            <div class="truncate">
                                                <span class="text-sm font-medium text-slate-800 dark:text-slate-100">
                                                    @if($message->sender_id !== Auth::id())
                                                    {{ $message->senderUser->name }}
                                                    @else
                                                    {{ $message->receiptUser->name }}
                                                    @endif
                                                </span>
                                            </div>
                                        </div>
                                        <div class="flex items-center ml-2">
                                            @if(Auth::id() != $message->sender_id)
                                                @if($message->contents()->where('sender_id', $message->sender_id)->where('viewed', 0)->count() > 0)
                                                    <div class="text-xs inline-flex font-medium bg-indigo-400 text-white rounded-full text-center leading-5 px-2">
                                                        {{ $message->contents()->where('sender_id', $message->sender_id)->where('viewed', 0)->count() }}
                                                    </div>
                                                @endif
                                            @else
                                                @if($message->contents()->where('sender_id', '!=', $message->sender_id)->where('viewed', 0)->count() > 0)
                                                    <div class="text-xs inline-flex font-medium bg-indigo-400 text-white rounded-full text-center leading-5 px-2">
                                                        {{ $message->contents()->where('sender_id', '!=', $message->sender_id)->where('viewed', 0)->count() }}
                                                    </div>
                                                @endif
                                            @endif
                                        </div>
                                    </a>
                                </li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>

        </div>
    </div>
