<div class="relative flex h-full">

    <div class="hidden md:block"><livewire:message.sidebar :id="$id" /></div>

    <!-- Messages body -->
    <div class="grow flex flex-col md:translate-x-0 transition-transform duration-300 ease-in-out">

        <!-- Header -->
        <div class="sticky top-16">
            <div class="flex items-center justify-between bg-slate-50 dark:bg-[#161F32] border-b border-slate-200 dark:border-slate-700 px-4 sm:px-6 md:px-5 h-16">

                <div class="flex ml-auto">
                    <a
                        href="{{ route('report-violation') }}?url={{ url()->full() }}"
                        class="p-1.5 shrink-0 rounded bg-white dark:bg-slate-800 border border-slate-200 dark:border-slate-700 hover:border-slate-300 dark:hover:border-slate-600 shadow-sm ml-2">
                        <svg class="w-4 h-4 fill-current text-slate-400 dark:text-slate-500" viewBox="0 0 16 16">
                            <path d="M8 0C3.6 0 0 3.6 0 8s3.6 8 8 8 8-3.6 8-8-3.6-8-8-8zm0 12c-.6 0-1-.4-1-1s.4-1 1-1 1 .4 1 1-.4 1-1 1zm1-3H7V4h2v5z" />
                        </svg>
                    </a>
                </div>
            </div>
        </div>

        <!-- Body -->
        <div class="grow px-4 sm:px-6 md:px-5 py-6">

            @foreach($messageContents as $content)

            <!-- Chat msg -->
            <div class="flex items-start mb-4 last:mb-0 @if(Auth::id() == $content->sender_id) justify-end @endif">
                @if(Auth::id() != $content->sender_id)

                    @if($content->sender_id !== Auth::id())
                        @if($content->senderUser->profile_photo_path)
                            <img
                                src="{{ asset($content->senderUser->profile_photo_path) }}"
                                class="w-10 h-10 rounded-full mr-2"
                                alt="{{$content->senderUser->username}}"
                            >
                        @else
                            <div class="w-10 h-10 bg-white rounded-full flex items-center justify-center text-xl font-bold text-gray-400 uppercase mr-2">
                                {{mb_substr($content->senderUser->username, 0, 1)}}
                            </div>
                        @endif
                    @endif

                @endif
                <div>
                    <div
                        class="
                        @if(Auth::id() == $content->sender_id)
                        text-sm bg-indigo-500 text-white p-3 rounded-lg rounded-tl-none border border-transparent shadow-md mb-1
                        @else
                        text-sm bg-white dark:bg-slate-800 text-slate-800 dark:text-slate-100 p-3 rounded-lg rounded-tl-none border border-slate-200 dark:border-slate-700 shadow-md mb-1
                        @endif
                        ">
                        {{$content->content}}
                    </div>
                    <div class="flex items-center justify-between">
                        <div class="text-xs text-slate-500 font-medium">
                            {{ $content->created_at->translatedFormat('h:i') }}
                        </div>
                        @if($content->viewed && Auth::id() == $content->sender_id)
                        <svg class="w-5 h-3 shrink-0 fill-current text-indigo-500" viewBox="0 0 20 12">
                            <path d="M10.402 6.988l1.586 1.586L18.28 2.28a1 1 0 011.414 1.414l-7 7a1 1 0 01-1.414 0L8.988 8.402l-2.293 2.293a1 1 0 01-1.414 0l-3-3A1 1 0 013.695 6.28l2.293 2.293L12.28 2.28a1 1 0 011.414 1.414l-3.293 3.293z" />
                        </svg>
                        @endif
                    </div>
                </div>
            </div>
            @endforeach
        </div>

        <!-- Footer -->
        <div class="sticky bottom-0" wire:ignore>
            <div class="flex items-center justify-between bg-white dark:bg-slate-900 border-t border-slate-200 dark:border-slate-700 px-4 sm:px-6 md:px-5 h-16">
                <form
                    wire:submit="createMessage"
                    class="grow flex">
                    <div class="grow mr-3">
                        <label for="message-input" class="sr-only">{{ __('Type a message') }}</label>
                        <input wire:model="messageContent" id="message-input" class="form-input w-full bg-slate-100 dark:bg-slate-800 border-transparent dark:border-transparent focus:bg-white dark:focus:bg-slate-800 placeholder-slate-500" type="text" placeholder="{{ __('Message...') }}" autocomplete="off" />
                    </div>
                    <button type="submit" class="btn bg-indigo-500 hover:bg-indigo-600 text-white whitespace-nowrap">{{ __('Send') }} -&gt;</button>
                </form>
            </div>
        </div>

    </div>

    <script>
        setInterval(() => {
            Livewire.dispatch('render')
        }, 5000);
    </script>
</div>
