<div class="xl:flex">
    <div class="md:flex flex-1">
        <x-parts.left-sidebar />
        <div class="flex-1 md:ml-8 xl:mx-4 2xl:mx-8">
            <div class="md:py-8">

                <div class="flex justify-end mb-5">
                    <button
                        wire:click="markAllRead"
                        type="button"
                        class="text-gray-600 bg-white border border-gray-300 focus:outline-none hover:bg-gray-100  font-medium rounded-md text-sm px-4 py-2 dark:bg-gray-800 dark:text-slate-400 dark:border-gray-600 dark:hover:bg-gray-700 dark:hover:border-gray-600">
                        {{ __('Mark All Read') }}
                    </button>
                </div>

                <div class="bg-white dark:bg-slate-800 rounded border border-slate-200 dark:border-slate-700 p-5 text-sm space-y-1">
                    @foreach($notifications as $notification)
                        <a href="{{ $notification->type == "follow" ? route('user-profile', $notification->user->username) : route('thread', $notification->thread->slug ?? '') }}" class="p-2 hover:bg-slate-100 dark:hover:bg-slate-700 dark:hover:text-white sm:flex gap-2 rounded items-center transition-all @if(!$notification->read) bg-slate-100 dark:bg-slate-700 dark:text-white @endif">
                            <div class="bg-slate-50 dark:bg-slate-700 w-8 h-8 rounded flex items-center justify-center">
                                @if($notification->type == "thread_comment" || $notification->type == "comment_reply")
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5 text-gray-600 dark:text-slate-400">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="M7.5 8.25h9m-9 3H12m-9.75 1.51c0 1.6 1.123 2.994 2.707 3.227 1.129.166 2.27.293 3.423.379.35.026.67.21.865.501L12 21l2.755-4.133a1.14 1.14 0 01.865-.501 48.172 48.172 0 003.423-.379c1.584-.233 2.707-1.626 2.707-3.228V6.741c0-1.602-1.123-2.995-2.707-3.228A48.394 48.394 0 0012 3c-2.392 0-4.744.175-7.043.513C3.373 3.746 2.25 5.14 2.25 6.741v6.018z" />
                                </svg>
                                @elseif($notification->type == "follow")
                                    <svg xmlns="http://www.w3.org/2000/svg" class="w-5 h-5 stroke-gray-500 dark:stroke-slate-400" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                        <path d="M8 7a4 4 0 1 0 8 0a4 4 0 0 0 -8 0" />
                                        <path d="M16 19h6" />
                                        <path d="M19 16v6" />
                                        <path d="M6 21v-2a4 4 0 0 1 4 -4h4" />
                                    </svg>
                                @else
                                    <svg class="w-5 h-5 stroke-gray-500 dark:stroke-slate-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" stroke-width="1.5" stroke="#2c3e50" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                        <path d="M18 19h-6a3 3 0 0 1 -3 -3v-7" />
                                        <path d="M13 13l-4 -4l-4 4m8 -5l-4 -4l-4 4" />
                                    </svg>
                                @endif
                            </div>

                            <div>
                                @if($notification->type == "thread_comment" && $notification->thread)
                                    {!! __(":name commented on the topic :title", ['name' => $notification->user->name, 'title' => '<span class="font-bold">' . $notification->thread->title . '</span>']) !!}
                                @elseif($notification->type == "thread_like" && $notification->thread)
                                    {!! __(":name upvoted for your thread :title", ['name' => $notification->user->name, 'title' => '<span class="font-bold">' . $notification->thread->title . '</span>']) !!}
                                @elseif($notification->type == "comment_like" && $notification->thread)
                                    {!! __(":name upvoted your comment in the thread :title", ['name' => $notification->user->name, 'title' => '<span class="font-bold">' . $notification->thread->title . '</span>']) !!}
                                @elseif($notification->type == "reply_like" && $notification->thread)
                                    {!! __(":name upvoted for your reply in the thread :title", ['name' => $notification->user->name, 'title' => '<span class="font-bold">' . $notification->thread->title . '</span>']) !!}
                                @elseif($notification->type == "comment_reply" && $notification->thread)
                                    {!! __(":name replied to your comment in the thread :title", ['name' => $notification->user->name, 'title' => '<span class="font-bold">' . $notification->thread->title . '</span>']) !!}
                                @elseif($notification->type == "follow")
                                    {!! __(':name started following you.', ['name' => $notification->user->name]) !!}
                                @endif
                            </div>

                            <span class="ml-auto text-xs">{{ $notification->created_at->translatedFormat('j F / H:i') }}</span>
                        </a>
                    @endforeach

                    @if($notifications->hasMorePages())
                    <button
                        wire:click.prevent="loadMore"
                        wire:loading.attr="disabled"
                        type="button"
                        class="mt-5 py-2.5 px-5 text-sm font-medium text-gray-900 bg-white rounded-lg border border-gray-200 hover:bg-gray-100 hover:text-blue-700 focus:z-10 focus:outline-none focus:text-blue-700 dark:bg-gray-800 dark:text-gray-400 dark:border-gray-600 dark:hover:text-white dark:hover:bg-gray-700 flex justify-center items-center w-full transition-all">

                        <span wire:loading>
                            <svg aria-hidden="true" role="status" class="inline w-4 h-4 mr-3 text-gray-200 animate-spin dark:text-gray-600" viewBox="0 0 100 101" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M100 50.5908C100 78.2051 77.6142 100.591 50 100.591C22.3858 100.591 0 78.2051 0 50.5908C0 22.9766 22.3858 0.59082 50 0.59082C77.6142 0.59082 100 22.9766 100 50.5908ZM9.08144 50.5908C9.08144 73.1895 27.4013 91.5094 50 91.5094C72.5987 91.5094 90.9186 73.1895 90.9186 50.5908C90.9186 27.9921 72.5987 9.67226 50 9.67226C27.4013 9.67226 9.08144 27.9921 9.08144 50.5908Z" fill="currentColor"/>
                            <path d="M93.9676 39.0409C96.393 38.4038 97.8624 35.9116 97.0079 33.5539C95.2932 28.8227 92.871 24.3692 89.8167 20.348C85.8452 15.1192 80.8826 10.7238 75.2124 7.41289C69.5422 4.10194 63.2754 1.94025 56.7698 1.05124C51.7666 0.367541 46.6976 0.446843 41.7345 1.27873C39.2613 1.69328 37.813 4.19778 38.4501 6.62326C39.0873 9.04874 41.5694 10.4717 44.0505 10.1071C47.8511 9.54855 51.7191 9.52689 55.5402 10.0491C60.8642 10.7766 65.9928 12.5457 70.6331 15.2552C75.2735 17.9648 79.3347 21.5619 82.5849 25.841C84.9175 28.9121 86.7997 32.2913 88.1811 35.8758C89.083 38.2158 91.5421 39.6781 93.9676 39.0409Z" fill="#1C64F2"/>
                            </svg>
                            {{ __('Loading...') }}
                        </span>

                        <span wire:loading.remove>
                            {{ __('Load More') }}
                        </span>
                    </button>
                @endif
                </div>

            </div>
        </div>
    </div>

    <x-parts.right-sidebar />
</div>
