<div class="bg-white dark:bg-slate-800 rounded border border-slate-200 dark:border-slate-700 p-5 relative my-8">
    <div class="py-8 lg:py-16 px-4 mx-auto max-w-screen-md">
        <h2 class="mb-4 text-4xl tracking-tight extrabold text-center text-gray-900 dark:text-white">{{ __('Report Abuse') }}</h2>
        <p class="mb-8 lg:mb-16 font-light text-center text-gray-500 dark:text-gray-400 sm:text-xl">{{ __('Thank you for reporting any abuse that violates our code of conduct or terms and conditions. We continue to try to make this environment a great one for everybody.') }}</p>

        @if(session('success'))
        <div x-show="open" x-data="{ open: true }" role="alert" class="my-8">
            <div class="px-4 py-2 rounded-sm text-sm border bg-emerald-100 dark:bg-emerald-400/30 border-emerald-200 dark:border-transparent text-emerald-600 dark:text-emerald-500">
                <div class="flex w-full justify-between items-start">
                    <div class="flex">
                        <svg class="w-4 h-4 shrink-0 fill-current opacity-80 mt-[3px] mr-3" viewBox="0 0 16 16">
                            <path d="M8 0C3.6 0 0 3.6 0 8s3.6 8 8 8 8-3.6 8-8-3.6-8-8-8zM7 11.4L3.6 8 5 6.6l2 2 4-4L12.4 6 7 11.4z"></path>
                        </svg>
                        <div>{{ session('success') }}</div>
                    </div>
                    <button class="opacity-70 hover:opacity-80 ml-3 mt-[3px]" @click="open = false">
                        <div class="sr-only">Close</div>
                        <svg class="w-4 h-4 fill-current">
                            <path d="M7.95 6.536l4.242-4.243a1 1 0 111.415 1.414L9.364 7.95l4.243 4.242a1 1 0 11-1.415 1.415L7.95 9.364l-4.243 4.243a1 1 0 01-1.414-1.415L6.536 7.95 2.293 3.707a1 1 0 011.414-1.414L7.95 6.536z"></path>
                        </svg>
                    </button>
                </div>
            </div>
        </div>
        @endif

        <form wire:submit="send" class="space-y-8">
            <div>
                <label for="reportedurl" class="block mb-2 text-sm font-medium text-gray-900 dark:text-gray-300">{{ __('Reported URL') }}</label>
                <input
                    wire:model="reportedurl"
                    type="text"
                    id="reportedurl"
                    class="shadow-sm bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-primary-500 focus:border-primary-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-primary-500 dark:focus:border-primary-500 dark:shadow-sm-light"
                >
                @error('reportedurl') <div class="text-xs mt-1 text-rose-500">{{ $message }}</div> @enderror
            </div>
            <div class="sm:col-span-2">
                <label for="details" class="block mb-2 text-sm font-medium text-gray-900 dark:text-gray-400">{{ __('Details') }}</label>
                <textarea
                    wire:model="details"
                    id="details"
                    rows="6"
                    class="block p-2.5 w-full text-sm text-gray-900 bg-gray-50 rounded-lg shadow-sm border border-gray-300 focus:!outline-none dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white"
                    ></textarea>
                @error('details') <div class="text-xs mt-1 text-rose-500">{{ $message }}</div> @enderror
            </div>
            <button type="submit" class="py-3 px-5 text-sm font-medium text-center text-white rounded-lg bg-blue-700 sm:w-fit hover:bg-blue-800 focus:outline-none dark:bg-blue-600 dark:hover:bg-blue-700">
                {{__('Send')}}
            </button>
        </form>
    </div>
</div>
