<li class="relative pl-9 space-y-5 comment">
    <!-- Comment wrapper -->
    <div class="flex items-start">
        <!-- Comment upvote -->
        <div class="absolute top-0 left-0">
            <button
                wire:click="like({{$comment->id}})"
                class="text-xs font-semibold text-left w-6 rounded-sm flex flex-col justify-center items-center text-slate-600 dark:text-slate-300 hover:text-indigo-500 dark:hover:text-indigo-500">
                <svg class="inline-flex {{$active ? 'fill-indigo-500' : 'fill-slate-400 dark:fill-slate-500'}} mt-1.5 mb-1.5" width="12" height="6" xmlns="http://www.w3.org/2000/svg">
                    <path d="m0 6 6-6 6 6z" />
                </svg>
                <div>{{$comment->likes->count()}}</div>
            </button>
        </div>
        <!-- Comment content -->

        <div class="flex-1" x-data="{ open: false }">
            <!-- Comment text -->
            <div class="grow text-sm text-slate-800 dark:text-slate-100 space-y-2 mb-2">
                {{$comment->content}}
            </div>
            <!-- Comment footer -->
            <div class="flex flex-wrap text-xs">
                <div class="flex items-center after:block after:content-['·'] last:after:content-[''] after:text-sm after:text-slate-400 dark:after:text-slate-600 after:px-2">
                    <a
                        wire:navigate
                        class="block mr-2"
                        href="{{ route('user-profile', $comment->user->username) }}">
                        <x-user.avatar :user="$comment->user" class="w-6 h-6" />
                    </a>
                    <a class="font-medium text-indigo-500 hover:text-indigo-600 dark:hover:text-indigo-400" href="{{ route('user-profile', $comment->user->username) }}">{{ $comment->user->name }}</a>
                </div>
                @if(!$comment->comment_id)
                <div class="flex items-center after:block after:content-['·'] last:after:content-[''] after:text-sm after:text-slate-400 dark:after:text-slate-600 after:px-2">
                    <a
                    x-on:click="open = ! open"
                    class="font-medium text-slate-500 hover:text-slate-600 dark:hover:text-slate-400 reply-button" href="#">{{__('Reply')}}</a>
                </div>
                @endif
                @if(
                    Auth::check() && Auth::user()->type == "admin" ||
                    Auth::check() && Auth::id() == $comment->user->id
                )
                <div class="flex items-center after:block after:content-['·'] last:after:content-[''] after:text-sm after:text-slate-400 dark:after:text-slate-600 after:px-2">
                    <a
                        wire:click="destroy({{$comment->id}})"
                        class="font-medium text-red-500 hover:text-red-600" href="#0">
                        {{ __('Delete') }}
                    </a>
                </div>
                @endif
                <div class="flex items-center after:block after:content-['·'] last:after:content-[''] after:text-sm after:text-slate-400 dark:after:text-slate-600 after:px-2">
                    <a
                        href="{{ route('report-violation') }}?url={{url()->full()}}?commentid={{$comment->id}}"
                        class="font-medium text-red-500 hover:text-red-600" href="#0">
                        {{ __('Report Abuse') }}
                    </a>
                </div>
            </div>

            <!-- Reply Start -->
            <div x-show="open">
                <form
                wire:submit="add" class="mt-2 flex flex-col items-start comment-reply" wire:ignore.self>
                    <textarea wire:model="content" name="" id="" cols="30" rows="10" class="w-full border border-gray-300 h-14 text-sm rounded-md resize-none !ring-0 !outline-none" placeholder="{{ __('Reply...') }}"></textarea>
                    <div class="flex items-center gap-5 mt-2 w-full">
                        @error('content')
                            <span class="text-red-500 text-sm">{{$message}}</span>
                        @enderror
                        <button type="submit" class="btn-sm bg-indigo-500 hover:bg-indigo-600 text-white whitespace-nowrap py-1 px-2 rounded-md text-sm transition-all ml-auto">{{ __('Reply') }}</button>
                    </div>
                </form>
            </div>
            <!-- Reply End -->
        </div>
    </div>

    @if($comment->replies->count() > 0)
    <ul class="space-y-5">
        @foreach($comment->replies as $reply)
            <livewire:thread.comment :comment="$reply" :id="$reply->id" :$threadId :key="$reply->id" />
        @endforeach
    </ul>
    @endif
</li>
