<div>

    <!-- Comment form -->
    <form wire:submit="save">
        <div class="flex items-start space-x-3 mb-3">

            @if(Auth::check())
                <x-user.avatar :user="Auth::user()" class="w-10 h-10" />
            @endif

            <div class="grow">
                <label for="comment" class="sr-only">{{__('Write a comment…')}}</label>
                <textarea
                    wire:model="content"
                    id="comment"
                    class="form-textarea w-full focus:border-slate-300 border border-gray-300 !ring-0 !outline-none rounded text-sm resize-none"
                    rows="4"
                    placeholder="{{__('Write a comment…')}}"></textarea>
            </div>
        </div>
        <div class="text-right">
            <button type="submit" class="btn-sm bg-indigo-500 hover:bg-indigo-600 text-white whitespace-nowrap py-1 px-2 rounded-md text-sm transition-all">
                {{__('Reply')}}
            </button>
        </div>
    </form>

    @if(get_ad('under_comment_form'))
        <div class="my-4">
            {!! get_ad('under_comment_form') !!}
        </div>
    @endif

    @if($comments->count() > 0)
    <!-- Comments -->
    <div class="mt-4">
        <h3 class="font-semibold text-slate-800 dark:text-slate-100 mb-4">{{ __('Comments') }}</h3>
        <ul class="space-y-5">
            @foreach($comments as $comment)
                <livewire:thread.comment :$comment :id="$comment->id" :threadId="$id" :key="$comment->id" />
            @endforeach
        </ul>

        @if($commentCount != $comments->count())
        <div class="text-center mt-5">
            <button
                wire:click="loadMore"
                class="text-sm font-medium text-indigo-500 hover:text-indigo-600 dark:hover:text-indigo-400">
                {{__('View More Comments')}}
            </button>
        </div>
        @endif
    </div>
    @endif
</div>
