<div
class="absolute z-10 inline-block w-64 text-sm text-gray-500 transition-opacity duration-300 bg-white border border-gray-200 rounded-lg shadow-sm invisible opacity-0 group-hover:opacity-100 group-hover:visible">
    <div class="p-3">
        <div class="flex items-center justify-between mb-2">
            <a
            wire:navigate
            href="{{ route('user-profile', $user->username) }}"
            >
                @if($user->profile_photo_path)
                    <img src="{{ asset('storage/' . $user->profile_photo_path) }}"
                        class="w-10 h-10 rounded-full" alt="{{$user->username}}">
                @else
                    <div class="w-10 h-10 bg-gray-100 rounded-full flex items-center justify-center text-2xl font-bold text-gray-400 uppercase">
                        {{mb_substr($user->username, 0, 1)}}
                    </div>
                @endif
            </a>
            <div>
                @if(Auth::check() && Auth::id() !== $user->id)
                <button
                    wire:click="followStatus"
                    type="button"
                    class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-xs px-3 py-1.5 dark:bg-blue-600 dark:hover:bg-blue-700 focus:outline-none dark:focus:ring-blue-800">
                    {{ $following ? 'Takip Ediliyor' : 'Takip Et' }}
                </button>
                @endif
            </div>
        </div>
        <p class="text-base font-semibold leading-none text-gray-900 dark:text-white">
            <a
            wire:navigate
            href="{{ route('user-profile', $user->username) }}"
            >
                {{ $user->name }}
            </a>
        </p>
        <p class="mb-3 text-sm font-normal">
            <a
            wire:navigate
            href="{{ route('user-profile', $user->username) }}"
            class="hover:underline">{{ '@' . $user->username }}</a>
        </p>
        @if($user->about)
            <p class="mb-4 text-sm">{{ $user->about }}</p>
        @endif
        <ul class="flex text-sm">
            <li class="mr-2">
                <a href="#" class="hover:underline">
                    <span class="font-semibold text-gray-900">{{ $followings }}</span>
                    <span>Takip Edilen</span>
                </a>
            </li>
            <li>
                <a href="#" class="hover:underline">
                    <span class="font-semibold text-gray-900">{{ $followers }}</span>
                    <span>Takipçi</span>
                </a>
            </li>
        </ul>
    </div>
</div>
