<div class="xl:flex">
    <div class="md:flex flex-1">
        <x-parts.left-sidebar />
        <div class="flex-1 md:ml-8 xl:mx-4 2xl:mx-8">
            <div class="md:py-8">

                <div class="bg-white p-5 rounded dark:bg-slate-800">
                    <form wire:submit="edit">
                        <div class="grid gap-4 sm:grid-cols-2 sm:gap-6">
                            <div class="sm:col-span-2">
                                <label for="name" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Başlık</label>
                                <input
                                    wire:model="title"
                                    type="text"
                                    name="title"
                                    id="title"
                                    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-primary-600 focus:border-primary-600 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-primary-500 dark:focus:border-primary-500" placeholder="Konu Başlığı"
                                    value="{{ $thread->title }}"
                                >

                                @error('title')
                                    <div class="mt-2 text-xs font-semibold text-red-500"> {{ $message }} </div>
                                @enderror
                            </div>
                            {{-- <div class="sm:col-span-2">
                                <label for="content" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Description</label>
                                <textarea
                                wire:model="content"
                                id="content"
                                rows="8"
                                class="block p-2.5 w-full text-sm text-gray-900 bg-gray-50 rounded-lg border border-gray-300 focus:ring-primary-500 focus:border-primary-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-primary-500 dark:focus:border-primary-500" placeholder="Your description here">{{ $thread->content }}</textarea>
                                @error('content')
                                    <div class="mt-2 text-xs font-semibold text-red-500"> {{ $message }} </div>
                                @enderror
                            </div> --}}

                            <div class="sm:col-span-2">
                                <label class="block text-sm font-medium mb-1" for="normal">{{ __('Content') }}</label>
                                <input wire:model="content" id="content" type="hidden" name="content" value="{{$content}}">
                                    <div wire:ignore>
                                        <trix-editor
                                        class="trix-editor"
                                        wire:ignore
                                        wire:trix-change="setContent($event.target.value)"
                                        input="content"
                                        ></trix-editor>
                                    </div>
                                    @error('content') <div class="text-xs mt-1 text-rose-500">{{ $message }}</div> @enderror
                            </div>
                            <div>
                                <label for="category" class="block mb-2 text-sm font-medium text-gray-900 dark:text-white">Category</label>
                                <select wire:model="category" id="category" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-primary-500 focus:border-primary-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-primary-500 dark:focus:border-primary-500">
                                    <option selected="">Kategori Seçin</option>
                                    @foreach($categories as $category)
                                    <option value="{{$category->id}}" @if($thread->category_id == $category->id) selected @endif>{{$category->title}}</option>
                                    @endforeach
                                </select>
                                @error('category')
                                    <div class="mt-2 text-xs font-semibold text-red-500"> {{ $message }} </div>
                                @enderror
                            </div>
                        </div>
                        <button type="submit" class="inline-flex items-center px-5 py-2.5 mt-4 sm:mt-6 text-sm font-medium text-center text-white bg-blue-500 rounded-lg focus:ring-4 focus:ring-primary-200 dark:focus:ring-primary-900 hover:bg-primary-800">
                            Konuyu Düzenle
                        </button>
                    </form>
                </div>

            </div>
        </div>
    </div>
    <x-parts.right-sidebar />

    <script>
        (function() {
            var HOST = "{{ env('APP_URL') }}/upload";

            addEventListener("trix-attachment-add", function(event) {
                if(event.attachment.file.size > (1024 * 1024)){
                    event.preventDefault();
                }else{
                    if(
                    event.attachment.file.type == 'image/png' ||
                    event.attachment.file.type == 'image/jpg' ||
                    event.attachment.file.type == 'image/jpeg'
                ){
                    uploadFileAttachment(event.attachment)
                }
                }
            })

            function uploadFileAttachment(attachment) {
                uploadFile(attachment.file, setProgress, setAttributes)

                function setProgress(progress) {
                    attachment.setUploadProgress(progress)
                }

                function setAttributes(attributes) {
                    attachment.setAttributes(attributes)
                }
            }

            function uploadFile(file, progressCallback, successCallback) {
                var formData = createFormData(file);
                var xhr = new XMLHttpRequest();

                xhr.open("POST", HOST, true);
                xhr.setRequestHeader( 'X-CSRF-TOKEN', getMeta( 'csrf-token' ) );

                xhr.upload.addEventListener("progress", function(event) {
                    var progress = event.loaded / event.total * 100
                    progressCallback(progress)
                })

                xhr.addEventListener("load", function(event) {
                    var attributes = {
                        url: xhr.responseText,
                        href: xhr.responseText + "?content-disposition=attachment"
                    }
                    successCallback(attributes)
                })

                xhr.send(formData)
            }

            function createFormData(file) {
                var data = new FormData()
                data.append("Content-Type", file.type)
                data.append("file", file)
                return data
            }

            function getMeta(metaName) {
                const metas = document.getElementsByTagName('meta');

                for (let i = 0; i < metas.length; i++) {
                if (metas[i].getAttribute('name') === metaName) {
                    return metas[i].getAttribute('content');
                }
                }

                return '';
            }
        })();
    </script>
</div>
