<article class="bg-white dark:bg-slate-800 rounded border border-slate-200 dark:border-slate-700 p-5 relative">
    <div class="flex flex-start space-x-4 items-center">
        <!-- Avatar -->
        <div class="shrink-0 mt-1.5">
            <x-user.avatar :user="$thread->user" class="w-10 h-10" />
        </div>
        <!-- Content -->
        <div class="grow">
            <!-- Title -->
            <h2 class="font-semibold text-slate-800 dark:text-slate-100 mb-2">
                <a
                    wire:navigate
                    href="{{ route('thread', $thread->slug) }}">
                    {{$thread->title}}
                </a>
            </h2>
            <!-- Footer -->
            <footer class="flex flex-wrap text-sm">
                <div class="flex items-center after:block after:content-['·'] last:after:content-[''] after:text-sm after:text-slate-400 dark:after:text-slate-600 after:px-2">
                    <a
                        href="{{ route('user-profile', $thread->user->username) }}"
                        class="font-medium text-indigo-500 hover:text-indigo-600 dark:hover:text-indigo-400 flex items-center"
                        wire:navigate
                        >
                        @if($thread->fixed)
                        <svg class="w-4 h-4 mr-2 fill-current" xmlns="http://www.w3.org/2000/svg">
                            <path d="M15.686 5.708 10.291.313c-.4-.4-.999-.4-1.399 0s-.4 1 0 1.399l.6.6-6.794 3.696-1-1C1.299 4.61.7 4.61.3 5.009c-.4.4-.4 1 0 1.4l1.498 1.498 2.398 2.398L.6 14.001 2 15.4l3.696-3.697L9.692 15.7c.5.5 1.199.2 1.398 0 .4-.4.4-1 0-1.4l-.999-.998 3.697-6.695.6.6c.599.6 1.199.2 1.398 0 .3-.4.3-1.1-.1-1.499Zm-7.193 6.095L4.196 7.507l6.695-3.697 1.298 1.299-3.696 6.694Z" />
                        </svg>
                        @endif
                        {{ $thread->user->name }}
                    </a>
                </div>
                <div class="flex items-center after:block after:content-['·'] last:after:content-[''] after:text-sm after:text-slate-400 dark:after:text-slate-600 after:px-2">
                    <span class="text-slate-500">{{ $thread->created_at->diffForHumans() }}</span>
                </div>
                <div class="flex items-center after:block after:content-['·'] last:after:content-[''] after:text-sm after:text-slate-400 dark:after:text-slate-600 after:px-2">
                    <span class="text-slate-500">{{ $thread->comments->count() > 0 ? $thread->comments->count() . ' ' . __('Comment') : __('No Comment') }}</span>
                </div>
            </footer>
        </div>

        <livewire:thread.item.favorite :id="$thread->id" />
        <livewire:thread.item.upvote :id="$thread->id" />
    </div>
</article>
