<div class="bg-slate-50 dark:bg-slate-800/20 p-4 rounded border border-slate-200 dark:border-slate-700">
    <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase mb-4">
        {{__('About the Author')}}
    </div>
    <div class="flex items-center mb-4">
        <div class="w-10 h-10 shrink-0 mr-3">
            <x-user.avatar :user="$user" class="w-10 h-10" />
        </div>
        <div>
            <div class="font-semibold text-slate-800 dark:text-slate-100">{{ $user->name }}</div>
            <div class="text-sm text-slate-500 dark:text-slate-400 italic">{{ '@' . $user->username }}</div>
        </div>
    </div>
    <ul class="text-sm space-y-2">
        <li>🔥 <span class="font-medium">{{ $user->threads->count() }}</span> {{ __('Thread') }}</li>
        <li>✍️ <span class="font-medium">{{ $user->comments->count() }}</span> {{ __('Comment') }}</li>
    </ul>
    @if(Auth::id() != $user->id)
    <div class="mt-4">
        <button
            wire:click="follow"
            class="w-full rounded text-sm py-1 transition-all bg-white border dark:bg-slate-800 border-slate-200 dark:border-slate-700 hover:border-slate-300 dark:hover:border-slate-600 text-indigo-500 shadow-none">
            {{ $followStatus ? __('Unfollow') : __('Follow') }}
        </button>
    </div>
    @endif
</div>
