<div class="my-8">
    <div class="bg-white dark:bg-slate-800 shadow-lg rounded-sm mb-8">
        <div class="flex flex-col md:flex-row md:-mr-px">

            <x-user.edit-profile.sidebar />

            <!-- Panel -->
            <div class="grow">

                <!-- Panel body -->
                <div class="p-6 space-y-6">

                    <div>
                        <h2 class="text-2xl text-slate-800 dark:text-slate-100 font-bold mb-4">{{ __('Give Feedback') }}</h2>
                        <div class="text-sm">{{ __('Give feedback to improve our community.') }}</div>
                    </div>


                        @if (session('success'))
                            <div class="p-4 mb-4 text-sm text-green-800 rounded-lg bg-green-50 dark:bg-gray-800 dark:text-green-400" role="alert">
                                {{ session('success') }}
                            </div>
                        @elseif (session('error'))
                            <div class="p-4 mb-4 text-sm text-red-800 rounded-lg bg-red-50 dark:bg-gray-800 dark:text-red-400" role="alert">
                                {{ session('error') }}
                            </div>
                        @endif

                    <form wire:submit="sendFeedback">

                    <!-- Tell us in words -->
                    <section>
                        <h3 class="text-xl leading-snug text-slate-800 dark:text-slate-100 font-bold mb-5">{{ __('Tell us what we should do') }}</h3>
                        <!-- Form -->
                        <label class="sr-only" for="feedback">{{ __('Give Feedback') }}</label>
                        <textarea wire:model="content" id="feedback" class="form-textarea w-full focus:border-slate-300 resize-none" rows="4" placeholder="{{ __('Give Feedback') }}"></textarea>
                        @error('content') <div class="text-red-500 mt-1 text-xs font-medium">{{ $message }}</div> @enderror
                    </section>
                </div>

                    <!-- Panel footer -->
                    <footer>
                        <div class="flex flex-col px-6 py-5 border-t border-slate-200 dark:border-slate-700">
                            <div class="flex self-end">
                                <button type="submit" class="btn bg-indigo-500 hover:bg-indigo-600 text-white ml-3">{{ __('Send') }}</button>
                            </div>
                        </div>
                    </footer>
                </form>
            </div>

        </div>
    </div>
</div>
