<div class="my-8">
    <div class="bg-white dark:bg-slate-800 shadow-lg rounded-sm mb-8">
        <div class="flex flex-col md:flex-row md:-mr-px">

            <x-user.edit-profile.sidebar />

            <!-- Panel -->
            <div class="grow">

                <!-- Panel body -->
                <div class="p-6 space-y-6">
                    <h2 class="text-2xl text-slate-800 dark:text-slate-100 font-bold mb-5">{{ __('Password') }}</h2>

                        @if (session('success'))
                            <div class="p-4 mb-4 text-sm text-green-800 rounded-lg bg-green-50 dark:bg-gray-800 dark:text-green-400" role="alert">
                                {{ session('success') }}
                            </div>
                        @elseif (session('error'))
                            <div class="p-4 mb-4 text-sm text-red-800 rounded-lg bg-red-50 dark:bg-gray-800 dark:text-red-400" role="alert">
                                {{ session('error') }}
                            </div>
                        @endif

                    <form wire:submit="changePassword">

                    <section class="space-y-5">
                        <div class="space-y-4 mt-5">
                            <div>
                                <label class="block text-sm font-medium mb-1" for="current_password">{{ __('Current Password') }}</label>
                                <input wire:model="current_password" id="current_password" class="form-input w-full" type="password"  />
                                @error('current_password') <div class="text-red-500 mt-1 text-xs font-medium">{{ $message }}</div> @enderror
                            </div>
                            <div>
                                <label class="block text-sm font-medium mb-1" for="password">{{ __('Password') }}</label>
                                <input wire:model="password" id="password" class="form-input w-full" type="password"  />
                                @error('password') <div class="text-red-500 mt-1 text-xs font-medium">{{ $message }}</div> @enderror
                            </div>
                            <div>
                                <label class="block text-sm font-medium mb-1" for="password_confirmation">{{ __('Password Repeat') }}</label>
                                <input wire:model="password_confirmation" id="password_confirmation" class="form-input w-full" type="password"  />
                                @error('password_confirmation') <div class="text-red-500 mt-1 text-xs font-medium">{{ $message }}</div> @enderror
                            </div>
                        </div>
                    </section>
                </div>

                    <!-- Panel footer -->
                    <footer>
                        <div class="flex flex-col px-6 py-5 border-t border-slate-200 dark:border-slate-700">
                            <div class="flex self-end">
                                <button type="submit" class="btn bg-indigo-500 hover:bg-indigo-600 text-white ml-3">{{ __('Save Changes') }}</button>
                            </div>
                        </div>
                    </footer>
                </form>
            </div>

        </div>
    </div>
</div>
