<div class="my-8">
    <script type="text/javascript">
        @if(App::environment('local'))
            Paddle.Environment.set('sandbox');
        @endif
        Paddle.Setup({
            @if(App::environment('stating'))
                seller: 180063,
                token: live_d72680626bd84a5a8be1e3ae452,
            @else
                seller: 15307,
            @endif
          checkout: {
            settings: {
                locale: "tr"
            }
          },
          eventCallback: function(data){
            if(data.name == "checkout.completed"){
                Livewire.dispatch('add', {data: data.data})
                Paddle.Checkout.close()
            }
          }
        });
    </script>
    <div class="bg-white dark:bg-slate-800 shadow-lg rounded-sm mb-8">
        <div class="flex flex-col md:flex-row md:-mr-px">

            <x-user.edit-profile.sidebar />

            <!-- Panel -->
            <div class="grow">

                <!-- Panel body -->
                <div class="p-6 space-y-6">
                    @if (session('success'))
                        <div class="p-4 mb-4 text-sm text-green-800 rounded-lg bg-green-50 dark:bg-gray-800 dark:text-green-400" role="alert">
                            {{ session('success') }}
                        </div>
                    @elseif (session('error'))
                        <div class="p-4 mb-4 text-sm text-red-800 rounded-lg bg-red-50 dark:bg-gray-800 dark:text-red-400" role="alert">
                            {{ session('error') }}
                        </div>
                    @endif

                    <section>
                        <div class="mb-8">
                            <h2 class="text-2xl text-slate-800 dark:text-slate-100 font-bold mb-4">{{ __('Premium') }}</h2>
                            @if(isset($user->subscription->expiration_date))
                                <div class="text-sm">{!! __('Premium üyeliğiniz :startedDate tarihinde başlamış olup :expirationDate tarihine kadar geçerlidir.', [
                                    'expirationDate' => '<span class="font-bold">'.$user->subscription->expiration_date->translatedFormat('j F Y').'</span>',
                                    'startedDate'   => '<span class="font-bold">'.$user->subscription->created_at->translatedFormat('j F Y').'</span>'
                                    ]) !!}
                                </div>
                            @endif
                        </div>

                        <!-- Pricing -->
                        <div>
                            <!-- Pricing tabs -->
                            <div class="grid grid-cols-12 gap-6">
                                <!-- Tab 1 -->
                                <div class="relative col-span-full xl:col-span-4 bg-white dark:bg-slate-800 shadow-md rounded-sm border border-slate-200 dark:border-slate-700">
                                    <div class="absolute top-0 left-0 right-0 h-0.5 bg-emerald-500" aria-hidden="true"></div>
                                    <div class="px-5 pt-5 pb-6 border-b border-slate-200 dark:border-slate-700">
                                        <header class="flex items-center mb-2">
                                            <div class="w-6 h-6 rounded-full shrink-0 bg-gradient-to-tr from-emerald-500 to-emerald-300 mr-3">
                                                <svg class="w-6 h-6 fill-current text-white" viewBox="0 0 24 24">
                                                    <path d="M12 17a.833.833 0 01-.833-.833 3.333 3.333 0 00-3.334-3.334.833.833 0 110-1.666 3.333 3.333 0 003.334-3.334.833.833 0 111.666 0 3.333 3.333 0 003.334 3.334.833.833 0 110 1.666 3.333 3.333 0 00-3.334 3.334c0 .46-.373.833-.833.833z" />
                                                </svg>
                                            </div>
                                            <h3 class="text-lg text-slate-800 dark:text-slate-100 font-semibold">{{ __('Basic') }}</h3>
                                        </header>
                                        <div class="text-sm mb-2">{{ __('For users who don\'t want to use the site tools and just want to browse the community.') }}</div>
                                        <!-- Price -->
                                        <div class="text-slate-800 dark:text-slate-100 font-bold mb-4">
                                            <span class="text-3xl">{{ __('Free') }}</span>
                                        </div>
                                        <!-- CTA -->
                                        {{-- <button class="btn border-slate-200 dark:border-slate-700 hover:border-slate-300 dark:hover:border-slate-600 text-slate-600 dark:text-slate-300 w-full">
                                            {{__('Downgrade')}}
                                        </button> --}}
                                        <button class="btn w-full bg-indigo-500 hover:bg-indigo-600 text-white disabled:border-slate-200 dark:disabled:border-slate-700 disabled:bg-slate-100 dark:disabled:bg-slate-800 disabled:text-slate-400 dark:disabled:text-slate-600 disabled:cursor-not-allowed shadow-none" disabled>
                                            <svg class="w-3 h-3 shrink-0 fill-current mr-2" viewBox="0 0 12 12">
                                                <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                            </svg>
                                            <span>{{ __('No Changes Until Your Plan Ends') }}</span>
                                        </button>
                                    </div>
                                    <div class="px-5 pt-4 pb-5">
                                        <div class="text-xs text-slate-800 dark:text-slate-100 font-semibold uppercase mb-4">
                                            {{__('What\'s included')}}
                                        </div>
                                        <!-- List -->
                                        <ul>
                                            <li class="flex items-center py-1">
                                                <svg class="w-3 h-3 shrink-0 fill-current text-emerald-500 mr-2" viewBox="0 0 12 12">
                                                    <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                                </svg>
                                                <div class="text-sm">{{ __('Sending Unlimited Messages to Members') }}</div>
                                            </li>
                                            <li class="flex items-center py-1">
                                                <svg class="w-3 h-3 shrink-0 fill-current text-emerald-500 mr-2" viewBox="0 0 12 12">
                                                    <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                                </svg>
                                                <div class="text-sm">{{ __('Creating a Job Ad') }}</div>
                                            </li>
                                            <li class="flex items-center py-1">
                                                <svg class="w-3 h-3 shrink-0 fill-current text-emerald-500 mr-2" viewBox="0 0 12 12">
                                                    <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                                </svg>
                                                <div class="text-sm">{{ __('Limited use of site tools') }}</div>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <!-- Tab 2 -->
                                <div class="relative col-span-full xl:col-span-4 bg-white dark:bg-slate-800 shadow-md rounded-sm border border-slate-200 dark:border-slate-700">
                                    <div class="absolute top-0 left-0 right-0 h-0.5 bg-sky-500" aria-hidden="true"></div>
                                    <div class="px-5 pt-5 pb-6 border-b border-slate-200 dark:border-slate-700">
                                        <header class="flex items-center mb-2">
                                            <div class="w-6 h-6 rounded-full shrink-0 bg-gradient-to-tr from-sky-500 to-sky-300 mr-3">
                                                <svg class="w-6 h-6 fill-current text-white" viewBox="0 0 24 24">
                                                    <path d="M12 17a.833.833 0 01-.833-.833 3.333 3.333 0 00-3.334-3.334.833.833 0 110-1.666 3.333 3.333 0 003.334-3.334.833.833 0 111.666 0 3.333 3.333 0 003.334 3.334.833.833 0 110 1.666 3.333 3.333 0 00-3.334 3.334c0 .46-.373.833-.833.833z" />
                                                </svg>
                                            </div>
                                            <h3 class="text-lg text-slate-800 dark:text-slate-100 font-semibold">{{ __('Monthly') }}</h3>
                                        </header>
                                        <div class="text-sm mb-2">{{ __('For freelancers who want to access site tools and apply for jobs') }}</div>
                                        <!-- Price -->
                                        <div class="text-slate-800 dark:text-slate-100 font-bold mb-4">
                                            <span class="text-2xl">$</span><span class="text-3xl">9</span><span class="text-slate-500 font-medium text-sm">/ay</span>
                                        </div>
                                        <!-- CTA -->
                                        <button
                                            @if(!$user->subscription)
                                            data-month="1"
                                            id="buy"
                                            @else
                                            disabled
                                            @endif
                                            class="btn w-full bg-indigo-500 hover:bg-indigo-600 text-white disabled:border-slate-200 dark:disabled:border-slate-700 disabled:bg-slate-100 dark:disabled:bg-slate-800 disabled:text-slate-400 dark:disabled:text-slate-600 disabled:cursor-not-allowed shadow-none"
                                            >
                                            <svg class="w-3 h-3 shrink-0 fill-current mr-2" viewBox="0 0 12 12">
                                                <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                            </svg>
                                            @if($user->subscription)
                                                <span>{{ __('No Changes Until Your Plan Ends') }}</span>
                                            @else
                                                <span>{{ __('Buy Now') }}</span>
                                            @endif
                                        </button>
                                    </div>
                                    <div class="px-5 pt-4 pb-5">
                                        <div class="text-xs text-slate-800 dark:text-slate-100 font-semibold uppercase mb-4">
                                            {{__('What\'s included')}}
                                        </div>
                                        <!-- List -->
                                        <ul>
                                            <li class="flex items-center py-1">
                                                <svg class="w-3 h-3 shrink-0 fill-current text-emerald-500 mr-2" viewBox="0 0 12 12">
                                                    <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                                </svg>
                                                <div class="text-sm">{{ __('Sending Unlimited Messages to Members') }}</div>
                                            </li>
                                            <li class="flex items-center py-1">
                                                <svg class="w-3 h-3 shrink-0 fill-current text-emerald-500 mr-2" viewBox="0 0 12 12">
                                                    <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                                </svg>
                                                <div class="text-sm">{{ __('Creating Unlimited Job Postings') }}</div>
                                            </li>
                                            <li class="flex items-center py-1">
                                                <svg class="w-3 h-3 shrink-0 fill-current text-emerald-500 mr-2" viewBox="0 0 12 12">
                                                    <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                                </svg>
                                                <div class="text-sm">{{ __('Applying for Unlimited Job Postings') }}</div>
                                            </li>
                                            <li class="flex items-center py-1">
                                                <svg class="w-3 h-3 shrink-0 fill-current text-emerald-500 mr-2" viewBox="0 0 12 12">
                                                    <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                                </svg>
                                                <div class="text-sm">{{ __('Using Site Tools') }}</div>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <!-- Tab 3 -->
                                <div class="relative col-span-full xl:col-span-4 bg-white dark:bg-slate-800 shadow-md rounded-sm border border-slate-200 dark:border-slate-700">
                                    <div class="absolute top-0 left-0 right-0 h-0.5 bg-indigo-500" aria-hidden="true"></div>
                                    <div class="px-5 pt-5 pb-6 border-b border-slate-200 dark:border-slate-700">
                                        <header class="flex items-center mb-2">
                                            <div class="w-6 h-6 rounded-full shrink-0 bg-gradient-to-tr from-indigo-500 to-indigo-300 mr-3">
                                                <svg class="w-6 h-6 fill-current text-white" viewBox="0 0 24 24">
                                                    <path d="M12 17a.833.833 0 01-.833-.833 3.333 3.333 0 00-3.334-3.334.833.833 0 110-1.666 3.333 3.333 0 003.334-3.334.833.833 0 111.666 0 3.333 3.333 0 003.334 3.334.833.833 0 110 1.666 3.333 3.333 0 00-3.334 3.334c0 .46-.373.833-.833.833z" />
                                                </svg>
                                            </div>
                                            <h3 class="text-lg text-slate-800 dark:text-slate-100 font-semibold">{{ __('Yearly') }}</h3>
                                        </header>
                                        <div class="text-sm mb-2">{{ __('For freelancers who want to access site tools and apply for jobs') }}</div>
                                        <!-- Price -->
                                        <div class="text-slate-800 dark:text-slate-100 font-bold mb-4">
                                            <span class="text-2xl">$</span><span class="text-3xl">90</span><span class="text-slate-500 font-medium text-sm">/yıl</span>
                                        </div>
                                        <!-- CTA -->
                                        {{-- <button class="btn bg-indigo-500 hover:bg-indigo-600 text-white w-full">Upgrade</button> --}}
                                        <button
                                        @if(!$user->subscription)
                                        id="buy"
                                        data-month="12"
                                        @else
                                        disabled
                                        @endif
                                        class="btn w-full bg-indigo-500 hover:bg-indigo-600 text-white disabled:border-slate-200 dark:disabled:border-slate-700 disabled:bg-slate-100 dark:disabled:bg-slate-800 disabled:text-slate-400 dark:disabled:text-slate-600 disabled:cursor-not-allowed shadow-none">
                                            <svg class="w-3 h-3 shrink-0 fill-current mr-2" viewBox="0 0 12 12">
                                                <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                            </svg>
                                            @if($user->subscription)
                                                <span>{{ __('No Changes Until Your Plan Ends') }}</span>
                                            @else
                                                <span>{{ __('Buy Now') }}</span>
                                            @endif
                                        </button>
                                    </div>
                                    <div class="px-5 pt-4 pb-5">
                                        <div class="text-xs text-slate-800 dark:text-slate-100 font-semibold uppercase mb-4">
                                            {{__('What\'s included')}}
                                        </div>
                                        <!-- List -->
                                        <ul>
                                            <li class="flex items-center py-1">
                                                <svg class="w-3 h-3 shrink-0 fill-current text-emerald-500 mr-2" viewBox="0 0 12 12">
                                                    <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                                </svg>
                                                <div class="text-sm">{{ __('Sending Unlimited Messages to Members') }}</div>
                                            </li>
                                            <li class="flex items-center py-1">
                                                <svg class="w-3 h-3 shrink-0 fill-current text-emerald-500 mr-2" viewBox="0 0 12 12">
                                                    <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                                </svg>
                                                <div class="text-sm">{{ __('Creating Unlimited Job Postings') }}</div>
                                            </li>
                                            <li class="flex items-center py-1">
                                                <svg class="w-3 h-3 shrink-0 fill-current text-emerald-500 mr-2" viewBox="0 0 12 12">
                                                    <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                                </svg>
                                                <div class="text-sm">{{ __('Applying for Unlimited Job Postings') }}</div>
                                            </li>
                                            <li class="flex items-center py-1">
                                                <svg class="w-3 h-3 shrink-0 fill-current text-emerald-500 mr-2" viewBox="0 0 12 12">
                                                    <path d="M10.28 1.28L3.989 7.575 1.695 5.28A1 1 0 00.28 6.695l3 3a1 1 0 001.414 0l7-7A1 1 0 0010.28 1.28z" />
                                                </svg>
                                                <div class="text-sm">{{ __('Using Site Tools') }}</div>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>

                    <!-- Contact Sales -->
                    <section>
                        <div class="px-5 py-3 bg-indigo-50 dark:bg-indigo-500/30 border border-indigo-100 dark:border-transparent rounded-sm text-center xl:text-left xl:flex xl:flex-wrap xl:justify-between xl:items-center">
                            <div class="text-slate-800 dark:text-slate-100 font-semibold mb-2 xl:mb-0">{{ __('Are you having a problem with your membership?') }}</div>
                            <button class="btn bg-indigo-500 hover:bg-indigo-600 text-white">{{ __('Contact Us') }}</button>
                        </div>
                    </section>

                    <!-- FAQs -->
                    <section>
                        <div class="my-8">
                            <h2 class="text-2xl text-slate-800 dark:text-slate-100 font-bold">{{ __('FAQs' )}}</h2>
                        </div>
                        <ul class="space-y-5">
                            <li>
                                <div class="font-semibold text-slate-800 dark:text-slate-100 mb-1">
                                    {{ __('How can I switch from a paid plan to a free plan?') }}
                                </div>
                                <div class="text-sm">
                                    {{ __('You are included in the paid plan until the end of the term of the service you purchased. After the end of the period, you will automatically switch to the free plan. You do not need to do anything.') }}
                                </div>
                            </li>
                            <li>
                                <div class="font-semibold text-slate-800 dark:text-slate-100 mb-1">
                                    {{ __('I purchased a monthly plan. How do I switch to an annual plan?') }}
                                </div>
                                <div class="text-sm">
                                    {{ __('At the end of your monthly membership period, your membership will automatically be downgraded to the free plan. Once you\'re downgraded to the free plan, you can purchase an annual membership.') }}
                                </div>
                            </li>
                        </ul>
                    </section>
                </div>
            </div>

        </div>
    </div>

    <script>
        const buttons = document.querySelectorAll('#buy')

        buttons.forEach(item => {
            item.addEventListener('click', () => {
                const month = item.dataset.month

                if(month == 1){
                    @if(App::environment('local'))
                    var priceId = 'pri_01hdxjc4zr2snexxk3bfj8bm72'
                    @else
                    var priceId = 'pri_01he2p87vp0st75e1qq8p6zye0'
                    @endif
                }else{
                    @if(App::environment('local'))
                    var priceId = 'pri_01hdxjcsd3c2yg6z3ejbk9mx3t'
                    @else
                    var priceId = 'pri_01he2p8nhd2kym3pwa373b6kav'
                    @endif
                }

                Paddle.Checkout.open({
                    customData: {
                        "month": month
                    },
                    items: [
                        {
                            priceId,
                            quantity: 1
                        }
                    ]
                })
            })
        })
        // document.querySelector('.click-paddle').addEventListener('click', () => {
        //     Paddle.Checkout.open({
        //         customData: {
        //             "month": "1"
        //         },
        //         items: [
        //             {
        //                 priceId: 'pri_01hdxjc4zr2snexxk3bfj8bm72',
        //                 quantity: 1
        //             }
        //         ]
        //     })
        // })
    </script>
</div>
