<div class="relative flex">
    <div class="grow flex flex-col md:translate-x-0 transition-transform duration-300 ease-in-out" >

        <!-- Content -->
        <div class="relative">
            <div class="bg-white dark:bg-slate-800 p-4 border border-slate-200 dark:border-slate-700 rounded-sm shadow-sm my-6">
                <div class="mb-6 sm:mb-3">
                    <div class="flex flex-col items-center sm:flex-row sm:justify-between sm:items-end">
                        <!-- Avatar -->
                        <div class="inline-flex">
                            {{-- @if($user->profile_photo_path)
                                <img
                                    src="{{ asset($user->profile_photo_path) }}"
                                    class="w-32 h-32 rounded-sm border-4 border-white dark:border-slate-900 object-cover"
                                    alt="{{$user->username}}"
                                >
                            @else
                                <div class="w-32 h-32 bg-gray-100 dark:bg-slate-900 rounded-sm flex items-center justify-center text-2xl dark:text-slate-200 font-bold text-gray-400 uppercase">
                                    {{mb_substr($user->username, 0, 1)}}
                                </div>
                            @endif --}}

                            <x-user.avatar :$user class="w-32 h-32 rounded-none" />
                        </div>
                    </div>
                </div>
                <header class="text-center sm:text-left flex gap-5 items-end justify-between">
                    <div>
                        <!-- Name -->
                        <div class="inline-flex items-start mb-2">
                            <h1 class="text-2xl text-slate-800 dark:text-slate-100 font-bold">{{ $user->name }}</h1>
                        </div>
                        @if(user_get_meta('about', $user->id))
                        <!-- Bio -->
                        <div class="text-sm mb-3">{{ user_get_meta('about', $user->id) }}</div>
                        @endif

                        <!-- Meta -->
                        <div class="flex flex-wrap justify-center sm:justify-start space-x-4">
                            @if(user_get_meta('location', $user->id))
                            <div class="flex items-center">
                                <svg class="w-4 h-4 fill-current shrink-0 text-slate-400 dark:text-slate-500" viewBox="0 0 16 16">
                                    <path d="M8 8.992a2 2 0 1 1-.002-3.998A2 2 0 0 1 8 8.992Zm-.7 6.694c-.1-.1-4.2-3.696-4.2-3.796C1.7 10.69 1 8.892 1 6.994 1 3.097 4.1 0 8 0s7 3.097 7 6.994c0 1.898-.7 3.697-2.1 4.996-.1.1-4.1 3.696-4.2 3.796-.4.3-1 .3-1.4-.1Zm-2.7-4.995L8 13.688l3.4-2.997c1-1 1.6-2.198 1.6-3.597 0-2.798-2.2-4.996-5-4.996S3 4.196 3 6.994c0 1.399.6 2.698 1.6 3.697 0-.1 0-.1 0 0Z" />
                                </svg>
                                <span class="text-sm font-medium whitespace-nowrap text-slate-500 dark:text-slate-400 ml-2">{{ user_get_meta('location', $user->id) }}</span>
                            </div>
                            @endif

                            @if(user_get_meta('website', $user->id))
                            <div class="flex items-center">
                                <svg class="w-4 h-4 fill-current shrink-0 text-slate-400 dark:text-slate-500" viewBox="0 0 16 16">
                                    <path d="M11 0c1.3 0 2.6.5 3.5 1.5 1 .9 1.5 2.2 1.5 3.5 0 1.3-.5 2.6-1.4 3.5l-1.2 1.2c-.2.2-.5.3-.7.3-.2 0-.5-.1-.7-.3-.4-.4-.4-1 0-1.4l1.1-1.2c.6-.5.9-1.3.9-2.1s-.3-1.6-.9-2.2C12 1.7 10 1.7 8.9 2.8L7.7 4c-.4.4-1 .4-1.4 0-.4-.4-.4-1 0-1.4l1.2-1.1C8.4.5 9.7 0 11 0ZM8.3 12c.4-.4 1-.5 1.4-.1.4.4.4 1 0 1.4l-1.2 1.2C7.6 15.5 6.3 16 5 16c-1.3 0-2.6-.5-3.5-1.5C.5 13.6 0 12.3 0 11c0-1.3.5-2.6 1.5-3.5l1.1-1.2c.4-.4 1-.4 1.4 0 .4.4.4 1 0 1.4L2.9 8.9c-.6.5-.9 1.3-.9 2.1s.3 1.6.9 2.2c1.1 1.1 3.1 1.1 4.2 0L8.3 12Zm1.1-6.8c.4-.4 1-.4 1.4 0 .4.4.4 1 0 1.4l-4.2 4.2c-.2.2-.5.3-.7.3-.2 0-.5-.1-.7-.3-.4-.4-.4-1 0-1.4l4.2-4.2Z" />
                                </svg>
                                <a class="text-sm font-medium whitespace-nowrap text-indigo-500 hover:text-indigo-600 dark:hover:text-indigo-400 ml-2" target="_blank" rel="nofollow" href="{{ user_get_meta('website', $user->id) }}">{{ user_get_meta('website', $user->id) }}</a>
                            </div>
                            @endif
                        </div>
                    </div>

                    <div class="flex space-x-2 sm:mb-2">
                        {{-- <div class="relative inline-flex" x-data="{ open: false }">
                            <button
                                class="rounded"
                                :class="open ? 'bg-slate-100 dark:bg-slate-700 text-slate-500 dark:text-slate-400': 'text-slate-400 hover:text-slate-500 dark:text-slate-500 dark:hover:text-slate-400'"
                                aria-haspopup="true"
                                @click.prevent="open = !open"
                                :aria-expanded="open"
                            >
                                <span class="sr-only">{{ __('User Settings') }}</span>
                                <svg class="w-8 h-8 fill-current" viewBox="0 0 32 32">
                                    <circle cx="16" cy="16" r="2" />
                                    <circle cx="10" cy="16" r="2" />
                                    <circle cx="22" cy="16" r="2" />
                                </svg>
                            </button>
                            <div
                                class="origin-top-right z-10 absolute top-full left-0 min-w-36 bg-white dark:bg-slate-800 border border-slate-200 dark:border-slate-700 py-1.5 rounded shadow-lg overflow-hidden mt-1"
                                @click.outside="open = false"
                                @keydown.escape.window="open = false"
                                x-show="open"
                                x-transition:enter="transition ease-out duration-200 transform"
                                x-transition:enter-start="opacity-0 -translate-y-2"
                                x-transition:enter-end="opacity-100 translate-y-0"
                                x-transition:leave="transition ease-out duration-200"
                                x-transition:leave-start="opacity-100"
                                x-transition:leave-end="opacity-0"
                                x-cloak
                            >
                                <ul>
                                    <li>
                                        <a
                                            class="font-medium text-sm text-slate-600 dark:text-slate-300 hover:text-slate-800 dark:hover:text-slate-200 flex py-1 px-3"
                                            href="#0"
                                            @click="open = false"
                                            @focus="open = true"
                                            @focusout="open = false"
                                        >
                                            Option
                                        </a>
                                    </li>
                                    <li>
                                        <a class="font-medium text-sm text-slate-600 dark:text-slate-300 hover:text-slate-800 dark:hover:text-slate-200 flex py-1 px-3" href="#0" @click="open = false" @focus="open = true" @focusout="open = false">Option 2</a>
                                    </li>
                                    <li>
                                        <a class="font-medium text-sm text-rose-500 hover:text-rose-600 flex py-1 px-3" href="#0" @click="open = false" @focus="open = true" @focusout="open = false">Remove</a>
                                    </li>
                                </ul>
                            </div>
                        </div> --}}
                        @if(Auth::id() != $user->id)
                        <button
                            wire:click="sendMessage"
                            class="p-1.5 shrink-0 rounded bg-white dark:bg-slate-800 border border-slate-200 dark:border-slate-700 hover:border-slate-300 dark:hover:border-slate-600 shadow-sm">
                            <svg class="w-4 h-4 fill-current text-indigo-500" viewBox="0 0 16 16">
                                <path d="M8 0C3.6 0 0 3.1 0 7s3.6 7 8 7h.6l5.4 2v-4.4c1.2-1.2 2-2.8 2-4.6 0-3.9-3.6-7-8-7Zm4 10.8v2.3L8.9 12H8c-3.3 0-6-2.2-6-5s2.7-5 6-5 6 2.2 6 5c0 2.2-2 3.8-2 3.8Z" />
                            </svg>
                        </button>
                        <button class="flex py-1.5 px-3 text-sm rounded bg-indigo-500 hover:bg-indigo-600 text-white" wire:click="follow">
                            <span>{{ $following ? __('Unfollow') : __('Follow') }}</span>
                        </button>
                        @endif
                    </div>
                </header>
            </div>

            <!-- Profile content -->
            <div class="flex flex-col xl:flex-row xl:space-x-5">

                <!-- Main content -->
                <div class="flex-1 space-y-5 mb-8 xl:mb-0">
                    @if($threads->count() > 0)
                        @foreach($threads as $thread)
                            <livewire:thread.item :itemid="$thread->id" :key="$thread->id" />
                        @endforeach

                        <div class="mt-5">{{ $threads->links() }}</div>
                    @else
                        <p>{{ __('There are currently no posts to display.') }}</p>
                    @endif
                </div>

                <!-- Sidebar -->
                <aside class="xl:min-w-56 xl:w-56 space-y-3">
                    @if(user_get_meta('job', $user->id))
                    <div class="text-sm">
                        <h3 class="font-medium text-slate-800 dark:text-slate-100">{{ __('Job') }}</h3>
                        <div>{{ user_get_meta('job', $user->id) }}</div>
                    </div>
                    @endif

                    @if(user_get_meta('location', $user->id))
                    <div class="text-sm">
                        <h3 class="font-medium text-slate-800 dark:text-slate-100">{{ __('Location') }}</h3>
                        <div>{{ user_get_meta('location', $user->id) }}</div>
                    </div>
                    @endif

                    @if($user->created_at)
                    <div class="text-sm">
                        <h3 class="font-medium text-slate-800 dark:text-slate-100">{{ __('Joining Date') }}</h3>
                        <div>{{ $user->created_at->format('d.m.Y') }}</div>
                    </div>
                    @endif
                </aside>

            </div>

        </div>

    </div>

</div>
