@extends('layouts.main')
@section('title', $user->username)

@section('content')
    <!-- Head Start -->
    <div class="bg-white p-5 rounded shadow space-y-5">
        <div class="flex items-center gap-5">
            <!-- Avatar Start -->
            @if($user->profile_photo_path)
                <img src="{{ $user->profile_photo_path }}" class="w-16 h-16 rounded shadow mx-auto" alt="{{$user->username}}">
            @else
                <div class="w-16 h-16 bg-gray-100 rounded-full flex items-center justify-center text-2xl font-bold text-gray-400 uppercase mx-auto">
                    {{mb_substr($user->username, 0, 1)}}
                </div>
            @endif
            <!-- Avatar End -->

            <div class="flex-1 flex items-center">
                <div>
                    <div class="font-bold">
                        {{$user->name}}
                    </div>
                    <div class="text-gray-600 font-medium text-sm">{{'@' . $user->username}}</div>
                </div>
                <div class="ml-auto space-y-2">
                    <button type="button" class=" w-60 flex justify-center items-center gap-1 py-2 px-4 transition-all text-sm font-medium text-gray-900 focus:outline-none bg-white rounded-lg border border-gray-200 hover:bg-gray-100 hover:text-blue-700 focus:z-10 focus:ring-4 focus:ring-gray-200">
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
                            <path stroke-linecap="round" stroke-linejoin="round" d="M8.625 9.75a.375.375 0 11-.75 0 .375.375 0 01.75 0zm0 0H8.25m4.125 0a.375.375 0 11-.75 0 .375.375 0 01.75 0zm0 0H12m4.125 0a.375.375 0 11-.75 0 .375.375 0 01.75 0zm0 0h-.375m-13.5 3.01c0 1.6 1.123 2.994 2.707 3.227 1.087.16 2.185.283 3.293.369V21l4.184-4.183a1.14 1.14 0 01.778-.332 48.294 48.294 0 005.83-.498c1.585-.233 2.708-1.626 2.708-3.228V6.741c0-1.602-1.123-2.995-2.707-3.228A48.394 48.394 0 0012 3c-2.392 0-4.744.175-7.043.513C3.373 3.746 2.25 5.14 2.25 6.741v6.018z" />
                        </svg>
                        Mesaj Gönder
                    </button>

                    <button type="button" class=" w-60 flex justify-center items-center gap-1 text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2 transition-all focus:outline-none ">
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4">
                            <path stroke-linecap="round" stroke-linejoin="round" d="M19 7.5v3m0 0v3m0-3h3m-3 0h-3m-2.25-4.125a3.375 3.375 0 11-6.75 0 3.375 3.375 0 016.75 0zM4 19.235v-.11a6.375 6.375 0 0112.75 0v.109A12.318 12.318 0 0110.374 21c-2.331 0-4.512-.645-6.374-1.766z" />
                        </svg>
                        Takip Et
                    </button>
                </div>
            </div>
        </div>
        <div class="mt-5 flex items-center gap-3 text-sm">
            <span>{{ $user->threads->count() }}</span>
        </div>
    </div>
    <!-- Head End -->
@endsection
