<div>

    <div
        class="fixed inset-0 bg-slate-900 bg-opacity-30 z-50 transition-opacity"
        x-show="searchOpen"
        x-transition:enter="transition ease-out duration-200"
        x-transition:enter-start="opacity-0"
        x-transition:enter-end="opacity-100"
        x-transition:leave="transition ease-out duration-100"
        x-transition:leave-start="opacity-100"
        x-transition:leave-end="opacity-0"
        aria-hidden="true"
        x-cloak
    ></div>

    <div
        id="search-modal"
        class="fixed inset-0 z-50 overflow-hidden flex items-start top-20 mb-4 justify-center px-4 sm:px-6"
        role="dialog"
        aria-modal="true"
        x-show="searchOpen"
        x-transition:enter="transition ease-in-out duration-200"
        x-transition:enter-start="opacity-0 translate-y-4"
        x-transition:enter-end="opacity-100 translate-y-0"
        x-transition:leave="transition ease-in-out duration-200"
        x-transition:leave-start="opacity-100 translate-y-0"
        x-transition:leave-end="opacity-0 translate-y-4"
        x-cloak
    >
        <div
            class="bg-white dark:bg-slate-800 border border-transparent dark:border-slate-700 overflow-auto max-w-2xl w-full max-h-full rounded shadow-lg"
            @click.outside="searchOpen = false"
            @keydown.escape.window="searchOpen = false"
        >
            <!-- Search form -->
            <div class=" <?php if($search): ?> border-b border-slate-200 dark:border-slate-700 <?php endif; ?>">
                <div class="relative">
                    <label for="modal-search" class="sr-only"><?php echo e(__('Search')); ?></label>
                    <input
                        wire:model.live="search"
                        id="modal-search"
                        class="w-full dark:text-slate-300 bg-white dark:bg-slate-800 border-0 focus:ring-transparent placeholder-slate-400 dark:placeholder-slate-500 appearance-none py-3 pl-10 pr-4"
                        type="search"
                        placeholder="<?php echo e(__('Search for threads or job postings...')); ?>" x-ref="searchInput" />
                    <div class="absolute inset-0 right-auto group h-full flex items-center justify-center" type="submit" aria-label="Search">
                        <svg class="w-4 h-4 shrink-0 fill-current text-slate-400 dark:text-slate-500 group-hover:text-slate-500 dark:group-hover:text-slate-400 ml-4 mr-2" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg">
                            <path d="M7 14c-3.86 0-7-3.14-7-7s3.14-7 7-7 7 3.14 7 7-3.14 7-7 7zM7 2C4.243 2 2 4.243 2 7s2.243 5 5 5 5-2.243 5-5-2.243-5-5-5z" />
                            <path d="M15.707 14.293L13.314 11.9a8.019 8.019 0 01-1.414 1.414l2.393 2.393a.997.997 0 001.414 0 .999.999 0 000-1.414z" />
                        </svg>
                    </div>
                </div>
            </div>
            <!-- __BLOCK__ --><?php if($search): ?>
            <div class="py-4 px-2">
                <!-- __BLOCK__ --><?php if($threads->count() < 1 && $jobs->count() < 1 && $users->count() < 1): ?>
                    <p class="text-sm text-center"><?php echo e(__('No content matching your search was found.')); ?></p>
                <?php else: ?>
                    <?php if($threads->count() > 0): ?>
                    <div class="mb-3 last:mb-0">
                        <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase px-2 mb-2"><?php echo e(__('Threads')); ?></div>
                        <ul class="text-sm">
                            <!-- __BLOCK__ --><?php $__currentLoopData = $threads; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $thread): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li>
                                <a
                                    wire:navigate
                                    class="flex items-center p-2 text-slate-800 dark:text-slate-100 hover:text-white hover:bg-indigo-500 rounded group"
                                    href="<?php echo e(route('thread', $thread->slug)); ?>"
                                    @click="searchOpen = false" @focus="searchOpen = true" @focusout="searchOpen = false">
                                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4 text-slate-400 dark:text-slate-500 group-hover:text-white group-hover:text-opacity-50 shrink-0 mr-3">
                                        <path stroke-linecap="round" stroke-linejoin="round" d="M8.25 4.5l7.5 7.5-7.5 7.5" />
                                    </svg>
                                    <span><?php echo e($thread->title); ?></span>
                                </a>
                            </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <!-- __ENDBLOCK__ -->
                        </ul>
                    </div>
                    <?php endif; ?>

                    <?php if($jobs->count() > 0): ?>
                    <div class="mb-3 last:mb-0">
                        <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase px-2 mb-2"><?php echo e(__('Jobs')); ?></div>
                        <ul class="text-sm">
                            <!-- __BLOCK__ --><?php $__currentLoopData = $jobs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $job): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li>
                                <a
                                    wire:navigate
                                    class="flex items-center p-2 text-slate-800 dark:text-slate-100 hover:text-white hover:bg-indigo-500 rounded group"
                                    href="<?php echo e(route('jobs.single', $job->slug)); ?>"
                                    @click="searchOpen = false" @focus="searchOpen = true" @focusout="searchOpen = false">
                                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4 text-slate-400 dark:text-slate-500 group-hover:text-white group-hover:text-opacity-50 shrink-0 mr-3">
                                        <path stroke-linecap="round" stroke-linejoin="round" d="M8.25 4.5l7.5 7.5-7.5 7.5" />
                                    </svg>
                                    <span><?php echo e($job->title); ?></span>
                                </a>
                            </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <!-- __ENDBLOCK__ -->
                        </ul>
                    </div>
                    <?php endif; ?>

                    <?php if($users->count() > 0): ?>
                    <div class="mb-3 last:mb-0">
                        <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase px-2 mb-2"><?php echo e(__('Users')); ?></div>
                        <ul class="text-sm">
                            <!-- __BLOCK__ --><?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li>
                                <a
                                    wire:navigate
                                    class="flex items-center p-2 text-slate-800 dark:text-slate-100 hover:text-white hover:bg-indigo-500 rounded group"
                                    href="<?php echo e(route('user-profile', $user->username)); ?>"
                                    @click="searchOpen = false" @focus="searchOpen = true" @focusout="searchOpen = false">
                                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4 h-4 text-slate-400 dark:text-slate-500 group-hover:text-white group-hover:text-opacity-50 shrink-0 mr-3">
                                        <path stroke-linecap="round" stroke-linejoin="round" d="M8.25 4.5l7.5 7.5-7.5 7.5" />
                                    </svg>
                                    <span><?php echo e($user->name); ?></span>
                                </a>
                            </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <!-- __ENDBLOCK__ -->
                        </ul>
                    </div>
                    <?php endif; ?> <!-- __ENDBLOCK__ -->
                <?php endif; ?> <!-- __ENDBLOCK__ -->
            </div>
            <?php endif; ?> <!-- __ENDBLOCK__ -->
        </div>
    </div>
</div>
<?php /**PATH /Users/ferdisahin/Downloads/typn-community-freelancer/resources/views/livewire/search.blade.php ENDPATH**/ ?>