<div id="login-modal" tabindex="-1" aria-hidden="true" class="fixed hidden inset-0 z-50  w-full h-full flex items-center justify-center bg-gray-500/50" wire:ignore.self>
    <div class="relative w-full max-w-md max-h-full">
        <!-- Modal content -->
        <div class="relative bg-white rounded-lg shadow ">
            <button type="button" class="absolute top-3 right-2.5 text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm w-8 h-8 ml-auto inline-flex justify-center items-center close-button">
                <svg class="w-3 h-3" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 14 14">
                    <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="m1 1 6 6m0 0 6 6M7 7l6-6M7 7l-6 6"/>
                </svg>
                <span class="sr-only"><?php echo e(__('Close')); ?></span>
            </button>
            <div class="px-6 py-6 lg:px-8">
                <h3 class="mb-4 text-xl font-medium text-gray-900 "><?php echo e(__('Log in')); ?></h3>

                <!-- __BLOCK__ --><?php if($error): ?>
                    <div class="p-4 mb-4 text-sm text-red-800 rounded-lg bg-red-50" role="alert">
                    <?php echo e($error); ?>

                    </div>
                <?php endif; ?> <!-- __ENDBLOCK__ -->

                <form class="space-y-6" action="#" wire:submit="login">
                    <div>
                        <label for="email" class="block mb-2 text-sm font-medium text-gray-900 "><?php echo e(__('E-Mail or Username')); ?></label>
                        <input wire:model="email" type="text" name="email" id="email" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5">
                    </div>
                    <div>
                        <label for="password" class="block mb-2 text-sm font-medium text-gray-900 "><?php echo e(__('Password')); ?></label>
                        <input wire:model="password" type="password" name="password" id="password" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5">
                    </div>
                    <div class="flex justify-between">
                        <div class="flex items-start">
                            <div class="flex items-center h-5">
                                <input wire:model="remember" id="remember" type="checkbox" class="w-4 h-4 border border-gray-300 rounded bg-gray-50 focus:ring-3 focus:ring-blue-300">
                            </div>
                            <label for="remember" class="ml-2 text-sm font-medium text-gray-900 "><?php echo e(__('Remember me')); ?></label>
                        </div>
                        <a
                            wire:navigate
                            href="<?php echo e(route('password.email')); ?>" class="text-sm text-blue-700 hover:underline "><?php echo e(__('Forgot your password?')); ?></a>
                    </div>
                    <button type="submit" class="w-full text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center">Giriş Yap</button>
                    <div class="text-sm font-medium text-gray-500 ">
                        <?php echo e(__('Not a member?')); ?> <a wire:navigate href="<?php echo e(route('register')); ?>" class="text-blue-700 hover:underline "><?php echo e(__('Create account')); ?></a>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php /**PATH /Users/ferdisahin/Downloads/typn-community-freelancer/resources/views/livewire/modals/login.blade.php ENDPATH**/ ?>